Introduction

The LEADTOOLS Medical Image Viewer COM Object is only available in the LEADTOOLS Medical Imaging Suite toolkits. Some of the functionality available through this COM object includes:

Displaying one or more images and for the real-time manipulation of one or more images.

Support for several standard or "built-in" actions and custom or "user-defined" actions.

LEADTOOLS Image Viewer COM supports UNICODE. For more information on using the samples in this help file with UNICODE, please refer to A Special Note About UNICODE Support.

You can use the LEADTOOLS Image Viewer COM features in any programming environment that supports OLE custom controls, including the following:

Visual C++ 5.0 and later (32-bit)
Visual Basic 5.0 and later (32-bit)

Registering the Image Viewer COM Object

Please note that due to the large size of the PDF files that contain the LEADTOOLS manuals, these files are no longer included in the setup. Instead, these PDF files can be downloaded from our website at http://support.leadtools.com/SupportPortal/DesktopDefault.aspx?tabindex=3&tabid=27.


Example Programs

Note:

You can run some of the example programs on your system by clicking the appropriate buttons in online help. An error message will appear if you try to run an example program that is not on your system.

The executable files for these examples were compiled with Document/Medical capabilities of the toolkit. To get Document/Medical capabilities, you must buy a LEADTOOLS Document/Medical toolkit. Otherwise, if you recompile the examples, the resulting executable files will not have the Document/Medical capabilities.

Visual Basic

EXAMPLES\COM\VB\CONVIEW contains a sample application that demonstrates most of the COM capabilities in Visual Basic 5.0. To run the 32-bit sample application, you can run the EXE file in LEAD's BIN directory.

Visual C++

EXAMPLES\COM\MSVC5\ConView contains sample project code for Visual C++. You can open the project in Visual C++; then compile and run it.


Version History

Current version: | 14.5
Last update: | October 31, 2005

Version 14.5


Version 14.5

Version 14.5 is the first version of the LEADTOOLS Image Viewer COM Object. The LEADTOOLS COM Objects support the following methods, properties, and events:

ILEADOwnerAction

Cursor property (ILEADOwnerAction)

Change property (ILEADOwnerAction)

CircularMouseMove property (ILEADOwnerAction)

Use property (ILEADOwnerAction)

Key property (ILEADOwnerAction)

Modifier property (ILEADOwnerAction)

SetKeyboardAction method (ILEADOwnerAction)

SetMouseButtonAction method (ILEADOwnerAction)

ActivateAction method (ILEADOwnerAction)

SetAction method (ILEADOwnerAction)

GetAction method (ILEADOwnerAction)

GetKeyboardAction method (ILEADOwnerAction)

ILEADScaleAction

Cursor property (ILEADScaleAction)

Change property (ILEADScaleAction)

CircularMouseMove property (ILEADScaleAction)

Use property (ILEADScaleAction)

Key property (ILEADScaleAction)

Modifier property (ILEADScaleAction)

ScaleFactor property (ILEADScaleAction)

SetKeyboardAction Method (ILEADScaleAction)

SetMouseButtonAction Method (ILEADScaleAction)

ActivateAction Method (ILEADScaleAction)

SetAction Method (ILEADScaleAction)

GetAction Method (ILEADScaleAction)

GetKeyboardAction Method (ILEADScaleAction)

ILEADStackAction

Cursor property (ILEADStackAction)

Change property (ILEADStackAction)

CircularMouseMove property (ILEADStackAction)

Use property (ILEADStackAction)

Key property (ILEADStackAction)

Modifier property (ILEADStackAction)

ScrollValue property (ILEADStackAction)

ActiveSubCell property (ILEADStackAction)

SetKeyboardAction Method (ILEADStackAction)

SetMouseButtonAction Method (ILEADStackAction)

ActivateAction Method (ILEADStackAction)

SetAction Method (ILEADStackAction)

GetAction Method (ILEADStackAction)

GetKeyboardAction Method (ILEADStackAction)

ILEADAlphaAction

Cursor property (ILEADAlphaAction)

Change property (ILEADAlphaAction)

CircularMouseMove property (ILEADAlphaAction)

Use property (ILEADAlphaAction)

Key property (ILEADAlphaAction)

Modifier property (ILEADAlphaAction)

Factor property (ILEADAlphaAction)

SetKeyboardAction Method (ILEADAlphaAction)

SetMouseButtonAction Method (ILEADAlphaAction)

ActivateAction Method (ILEADAlphaAction)

SetAction Method (ILEADAlphaAction)

GetAction Method (ILEADAlphaAction)

GetKeyboardAction Method (ILEADAlphaAction)

ILEADWindowLevelAction

Cursor property (ILEADWindowLevelAction)

Change property (ILEADWindowLevelAction)

CircularMouseMove property (ILEADWindowLevelAction)

StartColor property (ILEADWindowLevelAction)

EndColor property (ILEADWindowLevelAction)

Use property (ILEADWindowLevelAction)

Key property (ILEADWindowLevelAction)

Modifier property (ILEADWindowLevelAction)

Width property (ILEADWindowLevelAction)

Center property (ILEADWindowLevelAction)

FillType property (ILEADWindowLevelAction)

SetKeyboardAction Method (ILEADWindowLevelAction)

SetMouseButtonAction Method (ILEADWindowLevelAction)

ActivateAction Method (ILEADWindowLevelAction)

SetAction Method (ILEADWindowLevelAction)

GetAction Method (ILEADWindowLevelAction)

GetKeyboardAction Method (ILEADWindowLevelAction)

ILEADOffsetAction

Cursor property (ILEADOffsetAction)

Change property (ILEADOffsetAction)

CircularMouseMove property (ILEADOffsetAction)

Use property (ILEADOffsetAction)

Key property (ILEADOffsetAction)

Modifier property (ILEADOffsetAction)

XOffset property (ILEADOffsetAction)

YOffset property (ILEADOffsetAction)

SetKeyboardAction Method (ILEADOffsetAction)

SetMouseButtonAction Method (ILEADOffsetAction)

ActivateAction Method (ILEADOffsetAction)

SetAction Method (ILEADOffsetAction)

GetAction Method (ILEADOffsetAction)

GetKeyboardAction Method (ILEADOffsetAction)

ILEADContainerViewerProperties

IncludedParameters property (ILEADContainerViewerProperties)

RowCount property (ILEADContainerViewerProperties)

ColumnCount property (ILEADContainerViewerProperties)

EmptyCellBackGroundColor property (ILEADContainerViewerProperties)

BackGroundColor property (ILEADContainerViewerProperties)

TextColor property (ILEADContainerViewerProperties)

ShadowColor property (ILEADContainerViewerProperties)

RulerInColor property (ILEADContainerViewerProperties)

RulerOutColor property (ILEADContainerViewerProperties)

ActiveCellBorderColor property (ILEADContainerViewerProperties)

NonActiveCellBorderColor property (ILEADContainerViewerProperties)

ActiveSubCellBorderColor property (ILEADContainerViewerProperties)

DefaultCursor property (ILEADContainerViewerProperties)

VerticalResizeCursor property (ILEADContainerViewerProperties)

HorizontalResizeCursor property (ILEADContainerViewerProperties)

BothResizeCursor property (ILEADContainerViewerProperties)

AutoScroll property (ILEADContainerViewerProperties)

RulerStyle property (ILEADContainerViewerProperties)

CellMaintenance property (ILEADContainerViewerProperties)

ShowFreezeText property (ILEADContainerViewerProperties)

CellBorderStyle property (ILEADContainerViewerProperties)

TextQuality property (ILEADContainerViewerProperties)

ILEADRasterContainerCell

SubRowCount property (ILEADRasterContainerCell)

SubColumnCount property (ILEADRasterContainerCell)

EnableChangeOnMove property (ILEADRasterContainerCell)

Individual property (ILEADRasterContainerCell)

IsFit property (ILEADRasterContainerCell)

Select property (ILEADRasterContainerCell)

Freeze property (ILEADRasterContainerCell)

RowPosition property (ILEADRasterContainerCell)

ColumnPosition property (ILEADRasterContainerCell)

Window property (ILEADRasterContainerCell)

ShowRuler property (ILEADRasterContainerCell)

ShowTags property (ILEADRasterContainerCell)

BitmapList property (ILEADRasterContainerCell)

Top property (ILEADRasterContainerCell)

Left property (ILEADRasterContainerCell)

Height property (ILEADRasterContainerCell)

Width property (ILEADRasterContainerCell)

RepositionCell method (ILEADRasterContainerCell)

AddTag method (ILEADRasterContainerCell)

InsertBitmapList Method (ILEADRasterContainerCell)

ILEADMagnifyGlassAction

Use property (ILEADMagnifyGlassAction)

SetMouseButtonAction Method (ILEADMagnifyGlassAction)

ActivateAction Method (ILEADMagnifyGlassAction)

SetAction Method (ILEADMagnifyGlassAction)

GetAction Method (ILEADMagnifyGlassAction)

Width property (ILEADMagnifyGlassAction)

Height property (ILEADMagnifyGlassAction)

ZoomFactor property (ILEADMagnifyGlassAction)

PenColor property (ILEADMagnifyGlassAction)

Ellipse property (ILEADMagnifyGlassAction)

BorderSize property (ILEADMagnifyGlassAction)

Appearance3D property (ILEADMagnifyGlassAction)

CrossHair property (ILEADMagnifyGlassAction)

ILEADRasterContainerViewer

Resize property (ILEADRasterContainerViewer)

KeyPress event (ILEADRasterContainerViewer)

Click event (ILEADRasterContainerViewer)

DblClick event (ILEADRasterContainerViewer)

CellTag event (ILEADRasterContainerViewer)

KeyDown event (ILEADRasterContainerViewer)

KeyUp event (ILEADRasterContainerViewer)

MouseMove event (ILEADRasterContainerViewer)

MouseDown event (ILEADRasterContainerViewer)

MouseUp event (ILEADRasterContainerViewer)

MouseWheel event (ILEADRasterContainerViewer)

Appearance property (ILEADRasterContainerViewer)

ControlWindow property (ILEADRasterContainerViewer)

EnableMethodErrors property (ILEADRasterContainerViewer)

Window property (ILEADRasterContainerViewer)

CellCount property (ILEADRasterContainerViewer)

FirstVisibleRow property (ILEADRasterContainerViewer)

ActiveActionCount property (ILEADRasterContainerViewer)

ScaleMode property (ILEADRasterContainerViewer)

ScaleWidth property (ILEADRasterContainerViewer)

ScaleTop property (ILEADRasterContainerViewer)

ScaleLeft property (ILEADRasterContainerViewer)

ScaleHeight property (ILEADRasterContainerViewer)

InsertCell method (ILEADRasterContainerViewer)

RemoveCell method (ILEADRasterContainerViewer)

Cell property (ILEADRasterContainerViewer)

MagnifyGlassAction property (ILEADRasterContainerViewer)

WindowLevelAction property (ILEADRasterContainerViewer)

AlphaAction property (ILEADRasterContainerViewer)

OffSetAction property (ILEADRasterContainerViewer)

ScaleAction property (ILEADRasterContainerViewer)

StackAction property (ILEADRasterContainerViewer)

OwnerAction property (ILEADRasterContainerViewer)

SetContainerProperties method (ILEADRasterContainerViewer)

GetContainerProperties method (ILEADRasterContainerViewer)

OwnerActionImageList property (ILEADRasterContainerViewer)


Copyright notice

Copyright Notices

©Copyright LEAD Technologies, Inc. 1991-2005. ALL RIGHTS RESERVED

Portions of the PCDLIB32.DLL, PCDLIB.DLL, LFFPX7.DLL, LFKODAK.DLL, EKFPIXJPEG140.DLL, PDC_SDK.DLL, PROFIRE.DLL, DC120V154_32.DLL, LFDCR14N.DLL, DCSPROBACK.DLL, DCSPRO3SLR.DLL, LFDCS14N.DLL, and LFKDC14N.DLL files contain material that is ©Copyright Eastman Kodak Company, 1996-2001. This software is based in part on the work of the Independent JPEG Group.

Portions of the LFCRW14N.DLL, LTCMP14.DLL, CDSDK.reg, CDSDK.dll, CDRAPCLS.dll, czs_ui.dll, deimg.dll, deImg010.dll, deImg110.dll, deImg153.dll, deimg301.dll, deimg401.dll, deImg404.dll, deimg602.dll, Deimg603.dll, DeImgd60.dll, pscAdimg.dll, pscCllct.dll, pscCStUI.dll, pscDcd.dll, pscDevUI.dll, pscDvlp.dll, Pscl2STI.dll, pscll.dll, pscParse.dll, pscSetup.dll, psdkdll.dll, psdkReg.dll, psParse.dll. file contain material that is © Canon, Inc. 2002

Portions of the LFFPX7.DLL and LFKODAK.DLL files contain material that is ©Copyright Hewlett Packard, 1996.

Portions of the OCR/ICR/OMR Features and the help file for the OCR/ICR/OMR Features are ©Copyright Scansoft, Inc. 1995-2003. ALL RIGHTS RESERVED

Portions of the Barcode Modules contain material that is ©Copyright Axtel Inc., 1999.

Portions of the LEADTOOLS PDF Plug in and the LEADTOOLS Vector Imaging Pro are ©Copyright 1996, 2000 Artifex Software Inc. All rights reserved.

File filters for decoding MrSID ® and DjVu ® formats are provided under a license from Lizardtech, Inc.

The "FlashPix" format uses Microsoft's OLE structured storage.

Portions of the DICOM help files in Medical Imaging product line are reprinted with permission from the National Electrical Manufacturers Association ©Copyright 1998 by the National Electrical Manufacturers Association. All rights including translation into other languages, reserved under the Universal Copyright Convention, the Berne Convention or the Protection of Literacy and Artistic Works, and the International and Pan American Copyright Conventions.

Portions of LEADTOOLS Data Security Add On contain software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/), including cryptographic software written by Eric Young (eay@cryptsoft.com) and by Tim Hudson (tjh@cryptsoft.com). Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com) All rights reserved. Copyright Tim Hudson 1995-1998 (tjh@cryptsoft.com) All rights reserved.

Portions of LEADTOOLS Data Security Add On contain software based on the MD5 Message Digest Algorithm developed by RSA Data Security, Inc. Copyright (c) 1991-92 RSA Data Security, Inc. All Rights Reserved.

Portions hereof licensed under US patent 5,327,254 and foreign counterparts.

Portions of the LEADTOOLS ICC Profiles material is © Copyright 2004, International Color Consortium.

Trademarks

LEAD® and LEADTOOLS® are registered trademarks of LEAD Technologies, Inc.
Microsoft, Windows, Windows NT, Visual Basic, Visual FoxPro, and Microsoft Access are either trademarks or registered trademarks of the Microsoft Corporation.
OS/2® is a registered trademark of International Business Machines Corporation.

TextBridge®OCR is a registered trademark of Scansoft, Inc.

ISIS® is a registered trademark of Pixel Translations, Inc.

ScanAhead™ is a trademark of Pixel Translations, Inc.

FlashPix™ is a trademark of Eastman Kodak Company.

All other brand or product names used in this online help are trademarks of their respective holders.

Address and Contact Information

LEAD Technologies, Inc.
1201 Greenwood Cliff, Suite 400
Charlotte, NC 28204

(704) 332-5532
FAX: (704) 372-8161
E-mail: support@leadtools.com
Technical support: (704) 372-9681 or support@leadtools.com
Home page: http://www.leadtools.com


Programming with the LEADTOOLS Image Viewer Com Object

Programming with LEADTOOLS Image Viewer COM Object

The following topics provide a systematic approach to understanding and using the LEADTOOLS Image Viewer COM properties, methods, and events:

Registering the Image Viewer COM Object

Using the Image Viewer

Image Viewer Cells

Applying Actions


Registering the Image Viewer COM Object

Registering COM Objects

Before COM objects can be used, it must be registered. The installation program automatically registers all the LEADTOOLS objects. If you would like to manually register the objects run:

REGSVR32.EXE for 32-bit objects

found in the BIN directory and pass the name of the objects to register as a parameter.

EX.:

REGSVR32 LTR14N.DLL will register the LEAD Main Raster Object.

REGSVR32 LTRPR14N.DLL will register the LEAD Raster Process Object.

REGSVR32 LTRCVW14N.DLL will register the LEAD Raster Image Viewer Object.

Unregistering COM Objects

To unregister COM objects, include the "/u" switch before the object name when running:

REGSVR32.EXE for 32-bit objects

EX.:

REGSVR32 /u LTR14N.DLL will unregister the LEAD Main Raster Object.

REGSVR32 /u LTRPR14N.DLL will unregister the LEAD Raster Process Object.

REGSVR32 /u LTRCVW14N.DLL will unregister the LEAD Raster Image Viewer Object.

For a list of required DLLs for the Image Viewer COM Objects, refer to Files To Be Included With Your Application.


A Special Note About UNICODE Support

LEADTOOLS now provides UNICODE support. However, in order to utilize the examples and tutorials in this help file with UNICODE, you must make a few substitutions for class names, IDs, event names, etc. This is true for VB, MFC, Delphi and C++ Builder. Before attempting to compile the samples or tutorials in this help file for UNICODE, replace the class name, ID name, event name, etc. in the first column below, with the corresponding name in the second column. As you can see, this just involves adding "_U" to the end of the class name, ID name, event name, etc.

General Notes For VC++ Programmers:

1.

Replace: | With:
LTRASTERXXXXLib | LTRASTERXXXXLib_U
ILEADRasterXXXX | ILEADRasterXXXX_U
LEADRasterXXXX | LEADRasterXXXX_U
IID_ILEADRasterXXXX | IID_ILEADRasterXXXX_U
CLSID_LEADRasterXXXX | CLSID_LEADRasterXXXX_U
LIBID_LTRASTERXXXXLib | LIBID_LTRASTERXXXXLib_U
_LEADRasterXXXXEvents | _LEADRasterXXXXEvents_U
DIID__LEADRasterXXXXEvents | DIID__LEADRasterXXXXEvents_U

For example:

ILEADRasterIO_U *pRasterIO=NULL;

CoCreateInstance(CLSID_LEADRasterIO_U, NULL, CLSCTX_ALL, IID_ILEADRasterIO_U, (void**)&pRasterIO);

2.

For importing (.DLL) or (.OCX) files in your project:

Replace: | With:
LTRXXXN.OCX | LTRXXXNU.OCX
LTRXXXN.DLL | LTRXXXNU.DLL

For example:

#import "c:\\winnt\\system32\\ltrvr14nu.dll" no_namespace, named_guids

#import "c:\\winnt\\system32\\ltrvw14nu.ocx" no_namespace, named_guids

General Notes For VB Programmers:

Replace: | With:
LTRASTERXXXXLib | LTRASTERXXXXLib_U
LEADRasterXXXX | LEADRasterXXXX_U
LEADRasterXXXX_EventName | LEADRasterXXXX_U_EventName
LEADRasterXXXX.LEADRasterXXXX | LEADRasterXXXX_U.LEADRasterXXXX_U

When adding a Reference or Component to a Visual Basic project, be sure that the desired Reference or Component name ends with (_U).

For example:

To add the Unicode version of LEAD RasterView Control to your project, you have to select LEAD Raster View_U Control (14).

General Notes For Delphi and C++ Builder Programmers:

Replace: | With:
LTRASTERXXXLib_TLB | LTRASTERXXXLib_U_TLB
ILEADRasterXXXX | ILEADRasterXXXX_U
CLASS_LEADRasterXXXX | CLASS_LEADRasterXXXX_U
LEADRasterXXXX | LEADRasterXXXX_U
IID_ILEADRasterXXXX | IID_ILEADRasterXXXX_U
CLSID_LEADRasterXXXX | CLSID_LEADRasterXXXX_U
LIBID_LTRASTERXXXXLib | LIBID_LTRASTERXXXXLib_U
_LEADRasterXXXXEvents | _LEADRasterXXXXEvents_U
DIID__LEADRasterXXXXEvents | DIID__LEADRasterXXXXEvents_U

Note:

When adding an ActiveX Control or Import type library to a Delphi or C++ Builder project, be sure that the desired ActiveX Control or Library name ends with (_U).

For example:

To add the Unicode version of LEAD Raster View Control to your project, you have to select LEAD Raster View_U Control (14).


Applying Actions

Actions are processes that can be applied to the images attached to cells within the container/image viewer. LEADTOOLS supports several standard or "built-in" actions and custom or "user-defined" actions. The built-in actions LEADTOOLS supports are listed below:

Window Leveling: Maps grayscale intensities using a user defined color map (LUT).

Alpha: A window-leveling factor used when the window leveling lookup table is not linear.

Scale: Increases or decreases the size of the image in the cell.

Offset: Changes the offset of the image within the cell.

Magnifying Glass: Magnifies the image in the cell.

Stack: Scrolls the images within the cell.

Custom actions are completely controlled by the user, including any mouse movement and keystroke association. The user handles these custom actions through KeyDown, KeyUp, MouseMove, MouseDown, MouseUp or MouseWheel events.

Regardless of whether the action is built-in or custom, any action must be activated inside a container by calling the corresponding ActivateAction method for that action, for example to activate the window level action inside a container you need to call the ILEADWindowLevelAction ActivateAction method.

Once the action has been activated, assign it to a mouse button using the SetMouseButtonAction method. An action can be assigned to more than one mouse button.

In addition to assigning an action to a mouse button, an action can also be assigned to a keystroke combination. To set the keystroke combination for an action, call the SetKeyboardAction method. To get the current keystroke combination associated with a specific action, call the GetKeyboardAction method.

Most "built-in" actions have container and cell level properties. The container level properties are those related to the mouse or keyboard when applying the action, whereas the cell level properties are used to apply the action with specific values to a selected cell without using the mouse or keyboard. To activate container-level proprieties update those properties and call SetAction passing CONVIEW_ACTIONLEVEL_CONTAINER in the ActionLevel parameter. To activate cell-level proprieties update those properties and call SetAction passing CONVIEW_ACTIONLEVEL_CELL in ActionLevel parameter.

The following sections list the properties, methods and events that are used with the various actions supported by LEADTOOLS:

To use and change the container window level action, use the following:

ActivateAction Method

Cursor Property

Change Property

CircularMouseMove Property

EndColor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

StartColor Property

Use Property

WindowLevelAction property

To change the window level of a certain cell, use the following:

Center Property

FillType Property

GetAction Method

SetAction Method

Width Property

To use and change the container alpha action, use the following:

ActivateAction Method

AlphaAction property

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

To change the alpha action of a certain cell, use the following:

Factor Property

GetAction Method

SetAction Method

To use and change the container offset action, use the following:

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

OffsetAction Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

To change the offset action of a certain cell, use the following:

GetAction Method

SetAction Method

XOffset property

YOffset property

To use and change the Magnify glass action, use the following:

ActivateAction Method

Appearance3D Property

BorderSize Property

CrossHair Property

Ellipse Property

GetAction Method

Height Property

MagnifyGlassAction Property

PenColor Property

SetMouseButtonAction Method

SetAction Method

Use Property

Width Property

ZoomFactor Property

To use and change the container scale action, use the following:

ActivateAction Method

ScaleAction Property

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

To change the scale action of a certain cell, use the following:

GetAction Method

ScaleFactor property

SetAction Method

To use and change the container stack action, use the following:

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

StackAction Property

Use Property

To change the stack action of a certain cell, use the following:

ActiveSubCell property

GetAction Method

ScrollValue property

SetAction Method

To create, use and change owner action, use the following:

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

OwnerAction Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

To specialize mouse and keyboard input to control owner actions, use the following:

Click event

DblClick event

KeyDown event

KeyPress event

KeyUp event

MouseDown event

MouseMove event

MouseUp event

MouseWheel event


Image Viewer Cells

General

A container, or Image Viewer, may contain a number of child windows called cells. These cells may contain images, tags or rulers. Cells are resized to fit within the "blocks" that make up the rows and columns in the container. The number of rows and columns can be altered programmatically by calling the SetContainerProperties method to set the container properties. The number of rows and columns can be altered dynamically by the user positioning more "splitters" within the container.

When a container is created, it is empty. To add a cell to a container, call the InsertCell method. The number of cells that can be added to a container is limited only by the available memory.

Cells are positioned within a container from left to right and top to bottom. When a cell is inserted in the container, any cells to the right of the inserted cell will be moved to the right one block, wrapping to the next row as each row is filled. The row and column position of each cell can be obtained in the ColumnPosition and RowPosition properties respectively. A cell can be repositioned, based on the index, by calling the RepositionCell method.

Each cell in the container has certain properties associated with it. The current properties for a cell can be retrieved or updated using the Cell property. There are certain properties that apply to all cells within a container. These properties can be retrieved and updated using GetContainerProperties and SetContainerProperties.

Each cell in a container has boundaries, which are dictated by the splitters separating the rows and the columns. These boundaries cannot actually be reset programmatically, although you could change the number of rows and columns in the container. The boundaries can be obtained however, by reading the following properties Left (ILEADRasterContainerCell), Top(ILEADRasterContainerCell), Width (ILEADRasterContainerCell) and Height(ILEADRasterContainerCell).

Actions may be applied to the images attached to the cells in the container. For more information about the available actions and the methods and properties associated with them, refer to Applying Actions to a Container. As the Applying Actions to a Container topic describes, actions can be assigned to mouse buttons and keystroke combinations. These actions are then applied to one or more cells when the mouse button is pressed/dragged or the keystroke combination is pressed. To prevent the mouse or keyboard from being used to apply an action to a cell, that cell can be frozen. To "freeze" a cell, set the Freeze property to TRUE. A frozen cell cannot be handled using the mouse or the keyboard, but it can be changed manually using the Cell property. To unfreeze a frozen cell, set the Freeze property to FALSE.

Cells within a container may be selected or deselected. In fact, when applying actions to cells the user has the option to apply the action on one cell, all cells, or only selected cells. To select or deselect a cell, set the Select property (ILEADRasterContainerCell). When selecting cells dynamically, selecting one cell by clicking on it will deselect all other cells. To select more than one cell, hold the CTRL key while clicking on the cells.

What a Cell Contains

A cell can have one or more images attached to it by calling the InsertBitmapList method. If a bitmap list having multiple images is added, scroll bars will appear to allow scrolling through the images. To get the current list attached to a cell, read the BitmapList Property. It is best not to modify an existing bitmap list attached to a specific cell. However, if it is necessary to modify an attached bitmap list, certain steps should be taken. For more information on this procedure, refer to InsertBitmapList.

Cells may also contain rulers. Horizontal and vertical rulers are used to measure the actual size of the image in centimeters. These rulers are updated automatically if the image is resized. They are displayed or hidden, depending on the cell attributes set using the Cell property. The style and colors used to draw the rulers are set for the container using SetContainerProperties.

In addition to images and rulers, cells may also contain tags. Tags are text that is spread along the sides of the cell, and provide information about the image. A cell may have no tags, one tag, or more than one tag. Each tag is added by calling the AddTag method.

There are three types of tags:

Built-in tags (hot tags): internally written tags that contain information about the image, such as the scale. These tags change immediately, if the image properties associated with the tag change. Therefore, if the image is scaled to 300, the scale tag changes to 300.

User tags: tags that contain text entered by the user.

Owner tags: tags that are handled through the CellTag event. Each time a cell is drawn that contains an owner tag, this event is fired.

Sub-Cells

Cells can sometimes act like mini containers. They can be divided into equivalent blocks based on the number of rows and columns set using the Cell property. Splitters are not used to separate rows and columns in cells. Each block within the cell contains one page of the bitmap list attached to the cell. Scrolling is also supported within the cell, although it is a little different from the container scrolling. In cell scrolling, the pages shift up by one page. Therefore, if the cell has pages 0, 1, 2, and 3, and the pages are scrolled down by one, page 0 will disappear and page 1 will take its place.

There is very little independence for sub-cells. For most actions, such as scaling, if one sub-cell is scaled, all sub cells are scaled. However, the window leveling and alpha actions can be applied to individual sub-cells, without being applied to all sub-cells.

While sub-cells can be selected, only one-sub cell per cell can be selected at a time.

Dynamically, left double clicking on a sub-cell causes the cell to enter an "exploded" mode in which the sub-cell expands to cover the entire cell. Left double-clicking the cell a second time returns the sub-cell to its regular state.

Removing a Cell

When a cell is no longer needed in a container it can be removed by calling the RemoveCell method. If a cell is removed, any cells to the right of the removed cell will be shifted left. Cells will wrap to the preceding row as needed. All cells in a container can be removed by calling RemoveCell method with the lCellIndex parameter set to –1.

For a list of the properties, methods, and events used to manipulate the cell properties, refer to Image Viewer: Cell Properties.


Using the Image Viewer

The LEADTOOLS Image Viewer Control provides support for displaying one or more images and for the real-time manipulation of one or more images.

A container has a number of properties that govern the appearance of the container and the cells, including the number of rows and columns in which cells are viewed. These properties are set by calling SetContainerProperties. Therefore, if the number of rows and columns for a container are both set to 3, there will be 9 areas in which the cells will be viewed. Each two adjacent rows or columns are separated by a thick line called a splitter, which can be moved in order to change the height of the rows or the width of the columns. These splitters may be dragged using the left mouse button. Once the splitter is released in its new position the size and position of the surrounding cells will be adjusted automatically. To get the current properties for a container, call GetContainerProperties.

To the right and to the bottom of the image viewer/container, there are two splitters. These are the extra splitters, which allow the user to change the number of rows and/or columns in the container dynamically. To increase the number of rows or columns, drag an extra splitter over from either the bottom or right side of the container. To decrease the number of rows or columns, drag a splitter currently in the container over to where the extra splitter is currently located. The maximum number of rows and columns allowed in a container is 4 X 8. Once the maximum number of rows or columns has been set in the container, the extra splitter disappears. For example, if the user sets the maximum number of rows in the container, the extra bottom splitter will disappear, indicating that no more rows can be added.

Changing the position of one splitter may affect other splitters, depending on whether the container was set to maintain cell size or maintain cell position. If the container was set to maintain cell size, then if one splitter is moved, the other splitters parallel to it will move the same amount, as long as possible, to maintain the size of the cells.

If the container has been set to maintain cell position, then moving splitters may result in cells of various sizes. To make all cells the same size, call SetContainerProperties for the container, with the number of rows and columns set to the current number of visible rows and columns.

While a container can have a maximum of 4 rows and 8 columns, the number of cells in a container is limited by the amount of available memory. If the container contains more cells than it does blocks in which to display those cells, a vertical scroll bar appears to control which rows of cells to display. You can set or get the first visible row of cells programmatically using the FirstVisibleRow property.

For a list of the properties and methods used to manipulate the container properties, refer to Image Viewer: Container Properties.


Files To Be Included With Your Application

The installation procedure creates a directory tree for the LEADTOOLS files, and adds the demonstration programs and online help to your desktop. You specify the root directory during installation. The following subdirectory for the Image Viewer Container COM object is created:

REDIST\

Redistributable Image Viewer features files.

Note:

The Image Viewer features are provided for evaluation purposes only. You may not copy or redistribute any of the following files without obtaining the proper license. In some cases, the license is included with your initial purchase of LEADTOOLS. In other cases, you must obtain a license from a third party or enter into a royalty agreement with LEAD to obtain the proper license. For these special licensing situations, see the notes below accompanying the specific file.

The following table summarizes the files you must include on your distribution diskettes to support the LEADTOOLS Image Viewer COM features on a WIN32 system. (\REDIST\ subdirectory contains copies of these files.)

Please note that LTR is required for ALL COM applications. For more information on LTR and other files for the Main COM, refer to Files To Be Included With Your Application ..

Note: All Unicode versions of LEADTOOLS require Microsoft Unicode Layer for Windows (UNICOWS.DLL) in order to function on Windows 95/98/Me. You can obtain MSUL from: http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dnanchor/html/anch_mslu.asp.

Redistributables: | Explanation: | If you are using a standard release without Unicode, the files to use are: | If you are using a standard release with Unicode, the files to use are: | If you are using an evaluation release without Unicode, the files to use are: | If you are using an evaluation release with Unicode, the files to use are:
LTRCVW | Image Viewer support. LTRCVW is the LEADTOOLS Image Viewer COM Object. This Also requires the LTR14N.DLL and LTRPR14N.DLL. | DLL: LTRCVW14N.DLL | DLL: LTRCVW14NU.DLL | DLL: LTRCVWE.DLL | DLL: LTRCVWEU.DLL


Installation Directory

The installation procedure creates a directory tree for the LEADTOOLS files, and adds the demonstration programs and online help to your desktop. You specify the root directory during installation.

Please note that due to the large size of the PDF files that contain the LEADTOOLS manuals, these files are no longer included in the setup. Instead, these PDF files can be downloaded from our website at http://support.leadtools.com/SupportPortal/DesktopDefault.aspx?tabindex=3&tabid=27.

The following is a list of the subdirectories in the root directory:

BIN | Executable files for the demonstration programs.
HELP | Online help files.
IMAGES | Sample images and databases containing images.
EXAMPLES\DLL | One subdirectory for each example API program.
EXAMPLES\CLASSLIB | One subdirectory for each example Class Library program.
EXAMPLES\COM | One subdirectory for each example COM program.
EXAMPLES\RES | Resource files for the example programs.
INCLUDE | Header files, BAS files, and the ActiveX's MFC interface files for versions of Visual C++ earlier than 4.0.
INCLUDE\CLASSLIB | Header files for the Class Library
LIB | Library files.
REDIST | Redistributable files. These are copies of the LEADTOOLS files and other files that you may need to distribute with your application. For exact information about required files, refer to Files To Be Included With Your Application.
REDIST\NONAGLTKRN | This directory contains the LTKRN DLL that must be distributed with your application.
REDIST\COM | Redistributable files. These are copies of the LEADTOOLS COM Object files and other files that you may need to distribute with your application. For exact information about required files, refer to Files To Be Included With Your Application.
REDIST\COM\NONAG | This directory contains the LEADRaster COM Object DLL that must be distributed with your application.


Tutorial for Visual Basic Programmers

The following topics provide brief and simple examples to help you learn how to use the LEADTOOLS Image ViewerCOM Objects.

LEADTOOLS COM supports UNICODE. For more information on using the samples in this help file with UNICODE, please refer to A Special Note About UNICODE Support.

Note:

These tutorial examples are intended to be easy to understand and easy to test. The example programs in the EXAMPLES subdirectory provide more in depth design and more detailed code.

Miscellaneous Examples


Miscellaneous Examples (Visual Basic)

LEADTOOLS COM supports UNICODE. For more information on using the samples in this help file with UNICODE, please refer to A Special Note About UNICODE Support.

You can test any of the following examples by adding a command button, and pasting the sample code in the Click procedure.

ActionCount Example for Visual Basic

KeyDown Example for Visual Basic

KeyPress Example for Visual Basic

KeyUp Example for Visual Basic

MouseDown Example for Visual Basic

MouseMove Example for Visual Basic

MouseUp Example for Visual Basic

MouseWheel Example for Visual Basic

Absolutepos Example for Visual Basic

AlphaActionSample Example for Visual Basic

AlphaCellActionSample Example for Visual Basic

CreateSample Example for Visual Basic

ContainerCellProperties Example for Visual Basic

OffsetActionSample Example for Visual Basic

ScaleActionSample Example for Visual Basic

StackActionSample Example for Visual Basic

WindowLevelActionSample Example for Visual Basic

WindowlevelCellAction Example for Visual Basic

OffsetCellActionSample Example for Visual Basic

OwnerActionSample Example for Visual Basic

ScaleCellActionSample Example for Visual Basic

StackCellActionSample Example for Visual Basic

MagnifyGlassActionSample Example for Visual Basic

Click Example for Visual Basic

DblClick Example for Visual Basic


Absolutepos Example for Visual Basic

   'This sample assumes that you have LEADRasterContainerViewer1
'defined somewhere else in your code
Dim raster As New LEADRaster
Dim rasterio As New LEADRasterIO

Dim MedicalSuiteKey As String
MedicalSuiteKey = "" 'Make sure to specify the right key

raster.UnlockSupport
  L_SUPPORT_MEDICAL, MedicalSuiteKey

' Load IMAGE3.dic from LEAD Technologies setup directory
rasterio.Load
  raster, "e:\temp\MR.dcm", 0, 0, -1

' Insert a new cell at the end of the container cell queue.
Dim iCellIndex As Long
iCellIndex = LEADRasterContainerViewer1.InsertCell (-1, 0)

' Attach the loaded raster to the newly inserted cell.
LEADRasterContainerViewer1.Cell (iCellIndex).InsertBitmapList raster, True, 0

' Get the cells bounding rectangle.
LEADRasterContainerViewer1.ScaleMode = SCALEMODE_PIXEL
Dim x As Integer
Dim y As Integer
x = LEADRasterContainerViewer1.Cell (iCellIndex).Left
y = LEADRasterContainerViewer1.Cell(iCellIndex).Top

Dim Left As Integer
Dim Top As Integer
Dim Right As Integer
Dim bottom As Integer

Left = x
Top = y
Right = x + LEADRasterContainerViewer1.Cell (iCellIndex).Width
bottom = y + LEADRasterContainerViewer1.Cell(iCellIndex).Height


ActionCount Example for Visual Basic

Dim strMsg As String
MsgBox "The active action count equals " + CStr(LEADRasterContainerViewer1.ActiveActionCount)


AlphaActionSample Example for Visual Basic

LEADRasterContainerViewer1.EnableMethodErrors = True

' Activate Alpha action
If LEADRasterContainerViewer1.AlphaAction.Use = False Then
LEADRasterContainerViewer1.AlphaAction.ActivateAction True, 0
End If
' Select left mouse button to control window level parameters.
LEADRasterContainerViewer1.AlphaAction.SetMouseButtonAction CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ACTIVEONLY Or CONVIEW_ACTION_REALTIME

' Select left, right, up, and down keys to control Alpha parameters.
LEADRasterContainerViewer1.AlphaAction.Modifier = CONVIEW_KEY_ALT
LEADRasterContainerViewer1.AlphaAction.Key = vbKeyDown
LEADRasterContainerViewer1.AlphaAction.SetKeyboardAction CONVIEW_MOUSEMOVE_DOWN
LEADRasterContainerViewer1.AlphaAction.Key = vbKeyUp
LEADRasterContainerViewer1.AlphaAction.SetKeyboardAction CONVIEW_MOUSEMOVE_UP

' Select Alpha cursor.

LEADRasterContainerViewer1.AlphaAction.Cursor = LoadPicture("C:\WINNT\Cursors\h_move.cur")

' Specify Alpha parameters.
LEADRasterContainerViewer1.AlphaAction.Change = 100
LEADRasterContainerViewer1.AlphaAction.CircularMouseMove = True

' Set Alpha parameters.
LEADRasterContainerViewer1.AlphaAction.SetAction 0, 0, CONVIEW_ACTIONLEVEL_CONTAINER


AlphaCellActionSample Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True
If LEADRasterContainerViewer.AlphaAction.Use = False Then
LEADRasterContainerViewer.AlphaAction.ActivateAction True, 0
End If
' Specify Window level cell parameters.
LEADRasterContainerViewer.AlphaAction.Factor = 100
' Apply Window level on subcell 0 of cell 0.
LEADRasterContainerViewer.AlphaAction.SetAction 0, 0, CONVIEW_ACTIONLEVEL_CELL


ContainerCellProperties Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True
Dim raster As New LEADRaster
Dim rasterio As New LEADRasterIO

Dim MedicalSuiteKey As String
MedicalSuiteKey = "" 'Make sure to specify the right key

raster.UnlockSupport
  L_SUPPORT_MEDICAL, MedicalSuiteKey

' Load IMAGE3.dic from LEAD Technologies setup directory
rasterio.Load
  raster, "C:\LEAD Technologies, Inc\LEADTOOLS14\Images\IMAGE3.dic", 0, 0, -1

' Insert a new cell at the end of the container cell queue.
Dim iCellIndex As Integer
iCellIndex = LEADRasterContainerViewer.InsertCell (-1, 0)

' Attach the loaded raster to the newly inserted cell.
LEADRasterContainerViewer.Cell (iCellIndex).InsertBitmapList raster, True, 0

' Change the number of rows and cols to show all the inserted cells.
Dim ContainerViewerProps As New LEADContainerViewerProperties

'Set Container properties
LEADRasterContainerViewer.GetContainerProperties ContainerViewerProps, 0

ContainerViewerProps.IncludedParameters = CONVIEW_CIP_ALL
ContainerViewerProps.RowCount = 4
ContainerViewerProps.ColumnCount = 8
ContainerViewerProps.EmptyCellBackGroundColor = RGB(0, 0, 0)
ContainerViewerProps.BackGroundColor = RGB(0, 0, 255)
ContainerViewerProps.TextColor = RGB(0, 255, 0)
ContainerViewerProps.ShadowColor = RGB(255, 255, 255)
ContainerViewerProps.RulerInColor = RGB(0, 255, 255)
ContainerViewerProps.RulerOutColor = RGB(255, 0, 255)
ContainerViewerProps.ActiveCellBorderColor = RGB(0, 255, 0)
ContainerViewerProps.NonActiveCellBorderColor = RGB(255, 255, 255)
ContainerViewerProps.ActiveSubCellBorderColor = RGB(255, 255, 0)

ContainerViewerProps.DefaultCursor = LoadPicture("c:\vb\icons\arrows\cross.cur")
ContainerViewerProps.VerticalResizeCursor = LoadPicture("c:\vb\icons\arrows\3dwns.cur  ")
ContainerViewerProps.HorizontalResizeCursor = LoadPicture("c:\vb\icons\arrows\beam_l.cur")
ContainerViewerProps.BothResizeCursor = LoadPicture("c:\vb\icons\arrows\busy_m.cur")
ContainerViewerProps.AutoScroll = True
ContainerViewerProps.RulerStyle = CONVIEW_RULERSTYLE_INVERT
ContainerViewerProps.CellMaintenance = CONVIEW_CELLSMAINTENANCE_SIZE
ContainerViewerProps.ShowFreezeText = True
ContainerViewerProps.CellBorderStyle = CONVIEW_PEN_STYLE_SOLID
ContainerViewerProps.TextQuality = CONVIEW_TEXTQUALITY_DEFAULT

'Apply these properties
LEADRasterContainerViewer.SetContainerProperties ContainerViewerProps, 0

LEADRasterContainerViewer.Appearance = CONVIEW_APPEARANCE_THREED

Dim i As Integer
For i = 0 To LEADRasterContainerViewer.Cell Count - 1
' Change the number of sub-rows and sub-cols.
LEADRasterContainerViewer.Cell(i).SubRowCount = 2
LEADRasterContainerViewer.Cell(i).SubColumnCount = 2

'Set cell properties
LEADRasterContainerViewer.Cell(i).EnableChangeOnMove = True
LEADRasterContainerViewer.Cell(i).Individual = True
LEADRasterContainerViewer.Cell(i).IsFit = True
LEADRasterContainerViewer.Cell(i).Select = True
LEADRasterContainerViewer.Cell(i).Freeze = False

LEADRasterContainerViewer.Cell(i).ShowRuler = CONVIEW_SHOWRULER_BOTH
LEADRasterContainerViewer.Cell (i).ShowTags = CONVIEW_SHOWTAGS_SHOW
Next i

LEADRasterContainerViewer.FirstVisibleRow = 0


CreateSample Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True

Dim MedicalSuiteKey As String
MedicalSuiteKey = "" 'Make sure to specify the right key

Dim raster As New LEADRaster
Dim rasterio As New LEADRasterIO
'Dim rcRect As RECT
'Dim pt As Point
raster.UnlockSupport L_SUPPORT_MEDICAL, MedicalSuiteKey

'Load first image list
rasterio.Load raster, "E:\Temp\XA.dcm", 0, 0, -1

' Insert a new cell at the end of the container cell queue.
Dim iCellIndex As Long
iCellIndex = LEADRasterContainerViewer.InsertCell (-1, 0)

' Attach the loaded raster to the newly inserted cell.
LEADRasterContainerViewer.Cell(iCellIndex).InsertBitmapList raster, True, 0

' Add some tags to the cell
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 0, CONVIEW_CELLALIGN_TOPLEFT, 0, "Image1 Text 1", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 1, CONVIEW_CELLALIGN_TOPLEFT, 0, "Image1 Text 2", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 2, CONVIEW_CELLALIGN_TOPLEFT, 0, "Image1 Text 3", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 3, CONVIEW_CELLALIGN_TOPLEFT, 0, "Image1 Text 4", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 1, CONVIEW_CELLALIGN_LEFTCENTER, 0, "L", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 0, CONVIEW_CELLALIGN_BOTTOMLEFT, 0, "Image1 Text 5", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 0, CONVIEW_CELLALIGN_TOPCENTER, 0, "Top", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 0, CONVIEW_CELLALIGN_BOTTOMCENTER, 0, "Bottom", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 0, CONVIEW_CELLALIGN_TOPRIGHT, 0, "Image1 Text 6", 0
LEADRasterContainerViewer.Cell (iCellIndex).AddTag 0, CONVIEW_CELLALIGN_RIGHTCENTER, 0, "R", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 8, CONVIEW_CELLALIGN_TOPLEFT, CONVIEW_CELLTAG_FRAME, 0, 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 3, CONVIEW_CELLALIGN_BOTTOMLEFT, CONVIEW_CELLTAG_WLCENTERWIDTH, 0, 0

'Load second image list
rasterio.Load raster, "E:\Temp\MR.dcm", 0, 0, -1

' insert a new cell at the end of the container queue.
iCellIndex = LEADRasterContainerViewer.InsertCell (-1, 0)

' Attach the loaded bitmap list to the newly inserted cell.
LEADRasterContainerViewer.Cell(iCellIndex).InsertBitmapList raster, True, 0
' Add some tags to the cell
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 0, CONVIEW_CELLALIGN_TOPLEFT, 0, "Image3 Text 1", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 2, CONVIEW_CELLALIGN_TOPLEFT, 0, "Image3 Text 2", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 4, CONVIEW_CELLALIGN_TOPLEFT, 0, "Image3 Text 3", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 6, CONVIEW_CELLALIGN_TOPLEFT, 0, "Image3 Text 4", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 1, CONVIEW_CELLALIGN_LEFTCENTER, 0, "Image3 Text 5", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 0, CONVIEW_CELLALIGN_BOTTOMLEFT, 0, "Image3 Text 6", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 0, CONVIEW_CELLALIGN_TOPCENTER, 0, "Image3 Text 7", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 0, CONVIEW_CELLALIGN_BOTTOMCENTER, 0, "Image3 Text 8", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 0, CONVIEW_CELLALIGN_TOPRIGHT, 0, "Image3 Text 9", 0
LEADRasterContainerViewer.Cell(iCellIndex).AddTag 0, CONVIEW_CELLALIGN_RIGHTCENTER, 0, "R", 0
LEADRasterContainerViewer.Cell (iCellIndex).AddTag 7, CONVIEW_CELLALIGN_TOPLEFT, CONVIEW_CELLTAG_SCALE, 0, 0

Dim ContainerViewerProps As New LEADContainerViewerProperties

' Change the number of rows and cols to show all the inserted cells.
ContainerViewerProps.ColumnCount = 2
ContainerViewerProps.RowCount = 1
ContainerViewerProps.IncludedParameters = CONVIEW_CIP_ROWCOUNT Or CONVIEW_CIP_COLUMNCOUNT

LEADRasterContainerViewer.GetContainerProperties ContainerViewerProps, 0

' Change the number of sub-rows and sub-cols of Cell 0.
LEADRasterContainerViewer.Cell(0).SubRowCount = 3
LEADRasterContainerViewer.Cell(0).SubColumnCount = 3

'Add owner action tag.
LEADRasterContainerViewer.Cell (0).AddTag 0, CONVIEW_CELLALIGN_BOTTOMRIGHT, CONVIEW_CELLTAG_OWNERDRAW, 0, 0

'Reposition Cell 0.
LEADRasterContainerViewer.Cell (0).RepositionCell 1


Click Example for Visual Basic

Private Sub LEADRasterContainerViewer_Click()
Me.Caption = " Click "
End Sub


DblClick Example for Visual Basic

Private Sub LEADRasterContainerViewer_DblClick()
Me.Caption = " Double Click "
End Sub


KeyDown Example for Visual Basic

Private Sub LEADRasterContainerViewer_KeyDown (ByVal KeyCode As Integer, ByVal Shift As Integer, ByVal lActionID As Long, ByVal lCount As Long)
Me.Caption = " Key down "
End Sub


KeyPress Example for Visual Basic

Private Sub LEADRasterContainerViewer_KeyPress (ByVal KeyAscii As Integer)
Me.Caption = " Key press "
End Sub


KeyUp Example for Visual Basic

Private Sub LEADRasterContainerViewer_KeyUp(ByVal KeyCode As Integer, ByVal Shift As Integer, ByVal lActionID As Long, ByVal lCount As Long)
Me.Caption = " Key Up "
End Sub


MagnifyGlassActionSample Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True
' Activate Magnify Glass action
If LEADRasterContainerViewer.MagnifyGlassAction.Use = False Then
LEADRasterContainerViewer.MagnifyGlassAction.ActivateAction True, 0
End If
' Select left mouse button to control Magnify Glass parameters.
LEADRasterContainerViewer.MagnifyGlassAction.SetMouseButtonAction CONVIEW_MOUSE_BUTTON_LEFT
' Specify Magnifiy parameters.
LEADRasterContainerViewer.MagnifyGlassAction.Appearance3D = True
LEADRasterContainerViewer.MagnifyGlassAction.BorderSize = 1
LEADRasterContainerViewer.MagnifyGlassAction.CrossHair = 5
LEADRasterContainerViewer.MagnifyGlassAction.Ellipse = True
LEADRasterContainerViewer.MagnifyGlassAction.Height = 100
LEADRasterContainerViewer.MagnifyGlassAction.Width = 200
LEADRasterContainerViewer.MagnifyGlassAction.ZoomFactor = 500
LEADRasterContainerViewer.MagnifyGlassAction.PenColor = RGB(0, 0, 0)
' Set Magnify Glass parameters.
LEADRasterContainerViewer.MagnifyGlassAction.SetAction


MouseDown Example for Visual Basic

Private Sub LEADRasterContainerViewer_MouseDown (ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single, ByVal lActionID As Long, ByVal lCount As Long)
Me.Caption = " Mouse Down "
End Sub


MouseMove Example for Visual Basic

Private Sub LEADRasterContainerViewer_MouseMove(ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single, ByVal lActionID As Long, ByVal lCount As Long)
Me.Caption = " Mouse Move "
If lActionID = 0 Then
Dim Temp As LEADRaster
Dim i As Integer
For i = 0 To lCount - 1

Set Temp = LEADRasterContainerViewer.OwnerActionImageList(i)
' Do what you want on this image
' .
' .
' .
Next i
End If
End Sub


MouseUp Example for Visual Basic

Private Sub LEADRasterContainerViewer_MouseUp(ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single, ByVal lActionID As Long, ByVal lCount As Long)
Me.Caption = " Mouse Up "
End Sub


MouseWheel Example for Visual Basic

Private Sub LEADRasterContainerViewer_MouseWheel(ByVal nDelta As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single, ByVal lActionID As Long, ByVal lCount As Long)
Me.Caption = " Mouse Wheel "
End Sub


OffsetActionSample Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True

' Activate offset action if the action is not activated
If LEADRasterContainerViewer.OffsetAction.Use = False Then
LEADRasterContainerViewer.OffsetAction.ActivateAction True, 0
End If
' Select left mouse button to control window level parameters.
LEADRasterContainerViewer.OffsetAction.SetMouseButtonAction CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ACTIVEONLY Or CONVIEW_ACTION_REALTIME

' Select left, right, up, and down keys to control offset parameters.
LEADRasterContainerViewer.OffsetAction.Modifier = CONVIEW_KEY_SHIFT
LEADRasterContainerViewer.OffsetAction.Key = vbKeyDown
LEADRasterContainerViewer.OffsetAction.SetKeyboardAction CONVIEW_MOUSEMOVE_DOWN
LEADRasterContainerViewer.OffsetAction.Key = vbKeyUp
LEADRasterContainerViewer.OffsetAction.SetKeyboardAction CONVIEW_MOUSEMOVE_UP
LEADRasterContainerViewer.OffsetAction.Key = vbKeyLeft
LEADRasterContainerViewer.OffsetAction.SetKeyboardAction CONVIEW_MOUSEMOVE_LEFT
LEADRasterContainerViewer.OffsetAction.Key = vbKeyRight
LEADRasterContainerViewer.OffsetAction.SetKeyboardAction CONVIEW_MOUSEMOVE_RIGHT

' Select offset cursor.

LEADRasterContainerViewer.OffsetAction.Cursor = LoadPicture("c:\vb\icons\arrows\cross.cur")

' Specify offset parameters.
LEADRasterContainerViewer.OffsetAction.Change = 100
LEADRasterContainerViewer.OffsetAction.CircularMouseMove = True

' Set offset parameters.
LEADRasterContainerViewer.OffsetAction.SetAction 0, CONVIEW_ACTIONLEVEL_CONTAINER


OffsetCellActionSample Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True
If LEADRasterContainerViewer.OffsetAction.Use = False Then
LEADRasterContainerViewer.OffsetAction.ActivateAction True, 0
End If
' Specify Offset cell's parameters.
LEADRasterContainerViewer.OffsetAction.XOffset = 100
LEADRasterContainerViewer.OffsetAction.YOffset = 100

' Apply Offset on cell 0.
LEADRasterContainerViewer.OffsetAction.SetAction 0, CONVIEW_ACTIONLEVEL_CELL


OwnerActionSample Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True

' Activate Owner action if the action is not activated
If LEADRasterContainerViewer.OwnerAction(0).Use = False Then
LEADRasterContainerViewer.OwnerAction(0).ActivateAction True, 0
End If
' Select left mouse button to control Owner action
LEADRasterContainerViewer.OwnerAction(0).SetMouseButtonAction CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ACTIVEONLY Or CONVIEW_ACTION_REALTIME

' Select left, right, up, and down keys to control Owner action
LEADRasterContainerViewer.OwnerAction(0).Modifier = CONVIEW_KEY_ALT
LEADRasterContainerViewer.OwnerAction(0).Key = vbKeyDown
LEADRasterContainerViewer.OwnerAction(0).SetKeyboardAction CONVIEW_MOUSEMOVE_DOWN
LEADRasterContainerViewer.OwnerAction(0).Key = vbKeyUp
LEADRasterContainerViewer.OwnerAction(0).SetKeyboardAction CONVIEW_MOUSEMOVE_UP

' Select cursor.
LEADRasterContainerViewer.OwnerAction(0).Cursor = LoadPicture("c:\vb\icons\arrows\cross.cur")

' Specify parameters.
LEADRasterContainerViewer.OwnerAction(0).Change = 100
LEADRasterContainerViewer.OwnerAction(0).CircularMouseMove = True

' Set parameters.
LEADRasterContainerViewer.OwnerAction(0).SetAction


ScaleActionSample Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True

' Activate scale action if the action is not activated
If LEADRasterContainerViewer.ScaleAction.Use = False Then
LEADRasterContainerViewer.ScaleAction.ActivateAction True, 0
End If
' Select left mouse button to control window level parameters.
LEADRasterContainerViewer.ScaleAction.SetMouseButtonAction CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ACTIVEONLY Or CONVIEW_ACTION_REALTIME

' Select left, right, up, and down keys to control scale parameters.
LEADRasterContainerViewer.ScaleAction.Modifier = CONVIEW_KEY_ALT
LEADRasterContainerViewer.ScaleAction.Key = vbKeyDown
LEADRasterContainerViewer.ScaleAction.SetKeyboardAction CONVIEW_MOUSEMOVE_DOWN
LEADRasterContainerViewer.ScaleAction.Key = vbKeyUp
LEADRasterContainerViewer.ScaleAction.SetKeyboardAction CONVIEW_MOUSEMOVE_UP

' Select scale cursor.

LEADRasterContainerViewer.ScaleAction.Cursor = LoadPicture("c:\vb\icons\arrows\cross.cur")

' Specify scale parameters.
LEADRasterContainerViewer.ScaleAction.Change = 100
LEADRasterContainerViewer.ScaleAction.CircularMouseMove = True

' Set scale parameters.
LEADRasterContainerViewer.ScaleAction.SetAction 0, CONVIEW_ACTIONLEVEL_CONTAINER


ScaleCellActionSample Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True
If LEADRasterContainerViewer.ScaleAction.Use = False Then
LEADRasterContainerViewer.ScaleAction.ActivateAction True, 0
End If

' Specify Sacle cell's parameters.
LEADRasterContainerViewer.ScaleAction.ScaleFactor = 10
' Apply Sacle on cell 0.
LEADRasterContainerViewer.ScaleAction.SetAction 0, CONVIEW_ACTIONLEVEL_CELL


StackActionSample Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True

' Activate stack action if the action is not activated
If LEADRasterContainerViewer.StackAction.Use = False Then
LEADRasterContainerViewer.StackAction.ActivateAction True, 0
End If
' Select left mouse button to control window level parameters.
LEADRasterContainerViewer.StackAction.SetMouseButtonAction CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ACTIVEONLY Or CONVIEW_ACTION_REALTIME

' Select left, right, up, and down keys to control stack parameters.
LEADRasterContainerViewer.StackAction.Modifier = CONVIEW_KEY_ALT
LEADRasterContainerViewer.StackAction.Key = vbKeyDown
LEADRasterContainerViewer.StackAction.SetKeyboardAction CONVIEW_MOUSEMOVE_DOWN
LEADRasterContainerViewer.StackAction.Key = vbKeyUp
LEADRasterContainerViewer.StackAction.SetKeyboardAction CONVIEW_MOUSEMOVE_UP

' Select stack cursor.
LEADRasterContainerViewer.StackAction.Cursor = LoadPicture("c:\vb\icons\arrows\cross.cur")

' Specify stack parameters.
LEADRasterContainerViewer.StackAction.Change = 100
LEADRasterContainerViewer.StackAction.CircularMouseMove = True

' Set stack parameters.
LEADRasterContainerViewer.StackAction.SetAction 0, CONVIEW_ACTIONLEVEL_CONTAINER


StackCellActionSample Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True
If LEADRasterContainerViewer.StackAction.Use = False Then
LEADRasterContainerViewer.StackAction.ActivateAction True, 0
End If
' Specify Stack cell's parameters.
LEADRasterContainerViewer.StackAction.ActiveSubCell = 0
LEADRasterContainerViewer.StackAction.ScrollValue = 0

' Apply Offset on cell 0.
LEADRasterContainerViewer.StackAction.SetAction 0, CONVIEW_ACTIONLEVEL_CELL


WindowLevelActionSample Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True

' Activate Window level action if the action is not activated
If LEADRasterContainerViewer.WindowLevelAction.Use = False Then
LEADRasterContainerViewer.WindowLevelAction.ActivateAction True, 0
End If
' Select left mouse button to control window level parameters.
LEADRasterContainerViewer.WindowLevelAction.SetMouseButtonAction CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ALLCELLS

' Select left, right, up, and down keys to control window level parameters.
LEADRasterContainerViewer.WindowLevelAction.Modifier = CONVIEW_KEY_CTRL
LEADRasterContainerViewer.WindowLevelAction.Key = vbKeyDown
LEADRasterContainerViewer.WindowLevelAction.SetKeyboardAction CONVIEW_MOUSEMOVE_DOWN
LEADRasterContainerViewer.WindowLevelAction.Key = vbKeyUp
LEADRasterContainerViewer.WindowLevelAction.SetKeyboardAction CONVIEW_MOUSEMOVE_UP
LEADRasterContainerViewer.WindowLevelAction.Key = vbKeyLeft
LEADRasterContainerViewer.WindowLevelAction.SetKeyboardAction CONVIEW_MOUSEMOVE_LEFT
LEADRasterContainerViewer.WindowLevelAction.Key = vbKeyRight
LEADRasterContainerViewer.WindowLevelAction.SetKeyboardAction CONVIEW_MOUSEMOVE_RIGHT

' Select Window level cursor.

LEADRasterContainerViewer.WindowLevelAction.Cursor = LoadPicture("c:\vb\icons\arrows\cross.cur")

' Specify Window level parameters.
LEADRasterContainerViewer.WindowLevelAction.Change = 100
LEADRasterContainerViewer.WindowLevelAction.CircularMouseMove = True
LEADRasterContainerViewer.WindowLevelAction.StartColor = RGB(0, 0, 0)
LEADRasterContainerViewer.WindowLevelAction.EndColor = RGB(255, 255, 255)

' Set Window level parameters.
LEADRasterContainerViewer.WindowLevelAction.SetAction 0, 0, CONVIEW_ACTIONLEVEL_CONTAINER


WindowlevelCellAction Example for Visual Basic

LEADRasterContainerViewer.EnableMethodErrors = True

If LEADRasterContainerViewer.WindowLevelAction.Use = False Then
LEADRasterContainerViewer. WindowLevelAction.ActivateAction True, 0
End If

' Specify Window level cell parameters.
LEADRasterContainerViewer.WindowLevelAction.Width = 2000
LEADRasterContainerViewer.WindowLevelAction.Center = 1000
LEADRasterContainerViewer.WindowLevelAction.FillType = FILLLUT_LINEAR

' Apply Window level on subcell 0 of cell 0.
LEADRasterContainerViewer.WindowLevelAction.SetAction 0, 0, CONVIEW_ACTIONLEVEL_CELL


Tutorial for Visual C++ 5.0 Programmers

The following topics provide brief and simple examples to help you learn how to use the LEADTOOLS Image ViewerCOM Objects. Note that the COM Objects require the MFC 4.2 files, which are described in System Files Updated .

For general information about the syntax requirements of this interface, refer to Visual C++ 5.0 Syntax.

LEADTOOLS COM supports UNICODE. For more information on using the samples in this help file with UNICODE, please refer to A Special Note About UNICODE Support.

Note:

These tutorial examples are intended to be easy to understand and easy to test. The example programs in the EXAMPLES subdirectory provide more in depth design and more detailed code.

Miscellaneous Examples


Miscellaneous Examples (Visual C++ 5.0)

Miscellaneous Examples (C++ 5.0 and later)

LEADTOOLS COM supports UNICODE. For more information on using the samples in this help file with UNICODE, please refer to A Special Note About UNICODE Support.

You can test any of the following examples by adding a command button, and pasting the sample code in the Click procedure.

ActionCount Example for Visual C++ 5.0

KeyDown Example for Visual C++ 5.0

KeyPress Example for Visual C++ 5.0

KeyUp Example for Visual C++ 5.0

MouseDown Example for Visual C++ 5.0

MouseMove Example for Visual C++ 5.0

MouseUp Example for Visual C++ 5.0

MouseWheel Example for Visual C++ 5.0

Absolutepos Example for Visual C++ 5.0

AlphaActionSample Example for Visual C++ 5.0

AlphaCellActionSample Example for Visual C++ 5.0

CreateSample Example for Visual C++ 5.0

ContainerCellProperties Example for Visual C++ 5.0

OffsetActionSample Example for Visual C++ 5.0

ScaleActionSample Example for Visual C++ 5.0

StackActionSample Example for Visual C++ 5.0

WindowLevelActionSample Example for Visual C++ 5.0

WindowlevelCellAction Example for Visual C++ 5.0

OffsetCellActionSample Example for Visual C++ 5.0

OwnerActionSample Example for Visual C++ 5.0

ScaleCellActionSample Example for Visual C++ 5.0

StackCellActionSample Example for Visual C++ 5.0

MagnifyGlassActionSample Example for Visual C++ 5.0


Absolutepos Example for Visual C++ 5.0

// This Sample returns the bounding rect that specifies the absolute position of the cell.
void Absolutepos(CLEADRasterContainerViewer * pLEADContainerViewer, LPRECT  rcRect)
{
POINT pt;

char * MedicalKey = "";

pLEADContainerViewer->SetEnableMethodErrors (TRUE);

ILEADRaster* pRaster = NULL;
CoCreateInstance(CLSID_LEADRaster, NULL, CLSCTX_ALL, IID_ILEADRaster, (void**)&pRaster);
pRaster->UnlockSupport
  (L_SUPPORT_MEDICAL, TEXT(MedicalKey));

ILEADRasterIO* pRasterIO= NULL;
CoCreateInstance(CLSID_LEADRasterIO, NULL, CLSCTX_ALL, IID_ILEADRasterIO, (void**)&pRasterIO);

//Load IMAGE3.dic from LEAD Technologies setup directory
pRasterIO->Load
  (pRaster, "C:\\LEAD Technologies, Inc\\LEADTOOLS14\\Images\\IMAGE3.dic", 0, 0, -1);

// Insert a new cell at the end of the container cell queue.
long iCellIndex = pLEADContainerViewer->InsertCell (-1, 0);

// Attach the loaded raster to the newly inserted cell.
pLEADContainerViewer->Cell (iCellIndex).InsertBitmapList (pRaster, TRUE, 0);

// Get the cells bounding rectangle, the corrdinates are relative to the upper
// left corner of the container window.
pLEADContainerViewer->SetScaleMode (SCALEMODE_PIXEL);
pt.x = (int)pLEADContainerViewer->Cell(iCellIndex).GetLeft();
pt.y = (int)pLEADContainerViewer->Cell(iCellIndex).GetTop();

CWnd cContainerWindow;
cContainerWindow.m_hWnd = (HWND)pLEADContainerViewer->GetWindow();
cContainerWindow.ClientToScreen(&pt);

// Get the window handle of the cell
CWnd cCellWindow;
cCellWindow.m_hWnd = (HWND)pLEADContainerViewer->Cell(iCellIndex).GetWindow();

rcRect->left   = pt.x;
rcRect->top    = pt.y;
rcRect->right  = pt.x + (int)pLEADContainerViewer->Cell(iCellIndex).GetWidth();
rcRect->bottom = pt.y + (int) pLEADContainerViewer->Cell (iCellIndex).GetHeight();

OffsetRect(rcRect, pt.x, pt.y);

pRasterIO->Release();
pRaster->Release();
cContainerWindow.m_hWnd = NULL;
cCellWindow.m_hWnd = NULL;
}


ActionCount Example for Visual C++ 5.0

void ActionCount(CLEADRasterContainerViewer * pLEADContainerViewer)
{
CString strMsg;

CWnd CtrlWnd;
CtrlWnd.Attach((HWND)pLEADContainerViewer->GetControlWindow ());
strMsg.Format(TEXT("The active action count is %d"), pLEADContainerViewer->GetActiveActionCount ());
CtrlWnd.MessageBox(strMsg, MB_OK);
CtrlWnd.Detach();
}


AlphaActionSample Example for Visual C++ 5.0

void AlphaActionSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors (TRUE);
pLEADContainerViewer->WindowLevelAction ().ActivateAction (FALSE, 0);
// Activate Alpha action
if(!pLEADContainerViewer->AlphaAction ().GetUse ())
pLEADContainerViewer->AlphaAction().ActivateAction (TRUE, 0);
// Select left mouse button to control Alpha action parameters.
pLEADContainerViewer->AlphaAction().SetMouseButtonAction(CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ACTIVEONLY|CONVIEW_ACTION_REALTIME);

// Select left, right, up, and down keys to control Alpha parameters.
pLEADContainerViewer->AlphaAction().SetModifier (CONVIEW_KEY_ALT);
pLEADContainerViewer->AlphaAction().SetKey (VK_DOWN);
pLEADContainerViewer->AlphaAction().SetKeyboardAction (CONVIEW_MOUSEMOVE_DOWN);
pLEADContainerViewer->AlphaAction().SetKey(VK_UP);
pLEADContainerViewer->AlphaAction().SetKeyboardAction(CONVIEW_MOUSEMOVE_UP);

// Select Alpha cursor.
CPictureHolder PicHolder;
if(PicHolder.CreateFromIcon(LoadCursor(NULL, IDC_CROSS)))
{
pLEADContainerViewer->AlphaAction().SetCursor (PicHolder.GetPictureDispatch());
}
// Specify Alpha parameters.
pLEADContainerViewer->AlphaAction().SetChange (100);
pLEADContainerViewer->AlphaAction().SetCircularMouseMove (TRUE);

// Set Alpha parameters.
pLEADContainerViewer->AlphaAction ().SetAction (0, 0, CONVIEW_ACTIONLEVEL_CONTAINER);

}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


AlphaCellActionSample Example for Visual C++ 5.0

void AlphaCellActionSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors(TRUE);
if(!pLEADContainerViewer->AlphaAction().GetUse())
pLEADContainerViewer->AlphaAction().ActivateAction(TRUE,
 0);
//
 Specify Window level cell parameters.
pLEADContainerViewer->AlphaAction().SetFactor(100);
//
 Apply Window level on subcell 0 of cell 0.
pLEADContainerViewer->AlphaAction().SetAction(0,
 0, CONVIEW_ACTIONLEVEL_CELL);
}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


Click Example for Visual C++ 5.0

void CConViewSamplesView::OnClickLeadrastercontainerviewer1 ()
{
CString S;
CWnd * ActiveWindow = NULL;
if(this->GetActiveWindow())
{
this->GetActiveWindow()->SetWindowText(S + TEXT(" Mouse was clicked "));
}

}


ContainerCellProperties Example for Visual C++ 5.0

void ContainerCellProperties(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
char * MedicalKey = "";

pLEADContainerViewer->SetEnableMethodErrors (TRUE);

ILEADRaster* pRaster = NULL;
CoCreateInstance(CLSID_LEADRaster, NULL, CLSCTX_ALL, IID_ILEADRaster, (void**)&pRaster);

pRaster->UnlockSupport
  (L_SUPPORT_MEDICAL, TEXT(MedicalKey));

ILEADRasterIO* pRasterIO= NULL;
CoCreateInstance(CLSID_LEADRasterIO, NULL, CLSCTX_ALL, IID_ILEADRasterIO, (void**)&pRasterIO);

//Load IMAGE3.dic from LEAD Technologies setup directory
pRasterIO->Load
  (pRaster, "C:\\LEAD Technologies, Inc\\LEADTOOLS14\\Images\\IMAGE3.dic", 0, 0, -1);

// Insert a new cell at the end of the container cell queue.
long iCellIndex = pLEADContainerViewer->InsertCell (-1, 0);

// Attach the loaded raster to the newly inserted cell.
pLEADContainerViewer->Cell (iCellIndex).InsertBitmapList (pRaster, TRUE, 0);

ILEADContainerViewerProperties * pContainerViewerProps = NULL;
HRESULT hr = CoCreateInstance( CLSID_LEADContainerViewerProperties, NULL, CLSCTX_ALL,
IID_ILEADContainerViewerProperties,(void**)&pContainerViewerProps );

//Set Container properties
pLEADContainerViewer->GetContainerProperties (pContainerViewerProps, 0);

pContainerViewerProps->PutIncludedParameters (CONVIEW_CIP_ALL);
// Change the number of rows and cols to show all the inserted cells.
pContainerViewerProps->PutRowCount (4);
pContainerViewerProps->PutColumnCount (8);
pContainerViewerProps->PutEmptyCellBackGroundColor (RGB(0,0,0));
pContainerViewerProps->PutBackGroundColor (RGB(0,0, 255));
pContainerViewerProps->PutTextColor (RGB(0,255,0));
pContainerViewerProps->PutShadowColor (RGB(255,255,255));
pContainerViewerProps->PutRulerInColor (RGB(0,255,255));
pContainerViewerProps->PutRulerOutColor (RGB(255,0,255));
pContainerViewerProps->PutActiveCellBorderColor (RGB(0,255, 0));
pContainerViewerProps->PutNonActiveCellBorderColor (RGB(255,255,255));
pContainerViewerProps->PutActiveSubCellBorderColor (RGB(255,255,0));

CPictureHolder PicHolder;

PicHolder.CreateFromIcon(LoadCursor(NULL, IDC_ARROW));
pContainerViewerProps->PutDefaultCursor (PicHolder.GetPictureDispatch());

PicHolder.CreateFromIcon(LoadCursor(NULL, IDC_WAIT));
pContainerViewerProps->PutVerticalResizeCursor (PicHolder.GetPictureDispatch());
PicHolder.CreateFromIcon(LoadCursor(NULL, IDC_CROSS));
pContainerViewerProps->PutHorizontalResizeCursor (PicHolder.GetPictureDispatch());
PicHolder.CreateFromIcon(LoadCursor(NULL, IDC_SIZE));
pContainerViewerProps->PutBothResizeCursor (PicHolder.GetPictureDispatch());
pContainerViewerProps->PutAutoScroll (TRUE);
pContainerViewerProps->PutRulerStyle (CONVIEW_RULERSTYLE_INVERT);
pContainerViewerProps->PutCellMaintenance (CONVIEW_CELLSMAINTENANCE_SIZE);
pContainerViewerProps->PutShowFreezeText (TRUE);
pContainerViewerProps->PutCellBorderStyle (CONVIEW_PEN_STYLE_SOLID);
pContainerViewerProps->PutTextQuality (CONVIEW_TEXTQUALITY_DEFAULT);

//Apply these properties
pLEADContainerViewer->SetContainerProperties (pContainerViewerProps, 0);

pLEADContainerViewer->SetAppearance (CONVIEW_APPEARANCE_THREED);

for(int i = 0; i < pLEADContainerViewer->GetCellCount (); i++)
{
// Change the number of sub-rows and sub-cols.
pLEADContainerViewer->Cell (i).SetSubRowCount (2);
pLEADContainerViewer->Cell(i).SetSubColumnCount (2);

//Set cell properties
pLEADContainerViewer->Cell(i).SetEnableChangeOnMove (VARIANT_TRUE);
pLEADContainerViewer->Cell(i).SetIndividual (VARIANT_TRUE);
pLEADContainerViewer->Cell(i).SetIsFit (VARIANT_TRUE);
pLEADContainerViewer->Cell(i).SetSelect (VARIANT_TRUE);
pLEADContainerViewer->Cell(i).SetFreeze (VARIANT_FALSE);

pLEADContainerViewer->Cell(i).SetShowRuler (CONVIEW_SHOWRULER_BOTH);
pLEADContainerViewer->Cell(i).SetShowTags (CONVIEW_SHOWTAGS_SHOW);
}

pLEADContainerViewer->SetFirstVisibleRow (0);

pRasterIO->Release();
pContainerViewerProps->Release();
pRaster->Release();

}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL

}


CreateSample Example for Visual C++ 5.0

void CConViewView::OnCellTag (long hDC, long lCellIndex, long lLeft, long lTop, long lWidth, long lHeight)
{
CDC dc;
dc.Attach((HDC) hDC);

if (lCellIndex == 1)
{
// draw an overlay with italic font
static LOGFONT lf;
CFont Font, OldFont;

lf.lfHeight = lHeight;
lf.lfItalic = TRUE;
wsprintf(lf.lfFaceName, "Times new Roman\0");
Font.CreateFontIndirect(&lf);
dc.SelectObject(Font) ;
dc.SetTextAlign(TA_BOTTOM | TA_RIGHT);
dc.SetTextColor(RGB(255, 255, 255));

dc.TextOut(lWidth + lLeft, lHeight + lTop, "Owner Text", 10);
}

dc.Detach();
}

void CreateSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{

TRY
{
char * MedicalKey = "";

pLEADContainerViewer->SetEnableMethodErrors (TRUE);
pLEADContainerViewer->RemoveCell (-1 ,TRUE, 0);

ILEADRaster* pRaster = NULL;
CoCreateInstance(CLSID_LEADRaster, NULL, CLSCTX_ALL, IID_ILEADRaster, (void**)&pRaster);
pRaster->UnlockSupport
  (L_SUPPORT_MEDICAL, TEXT(MedicalKey));

ILEADRasterIO* pRasterIO= NULL;
CoCreateInstance(CLSID_LEADRasterIO, NULL, CLSCTX_ALL, IID_ILEADRasterIO, (void**)&pRasterIO);

//Load IMAGE1.dic from LEAD Technologies setup directory
pRasterIO->Load
  (pRaster, "C:\\LEAD Technologies, Inc\\LEADTOOLS14\\Images\\IMAGE1.dic", 0, 0, -1);

// Insert a new cell at the end of the container cell queue.
long iCellIndex = pLEADContainerViewer->InsertCell (-1, 0);

// Attach the loaded raster to the newly inserted cell.
pLEADContainerViewer->Cell (iCellIndex).InsertBitmapList (pRaster, TRUE, 0);

// Add some tags to the cell
pLEADContainerViewer->Cell(iCellIndex).AddTag ( 0, CONVIEW_CELLALIGN_TOPLEFT     , 0, "Image1 Text 1", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 1, CONVIEW_CELLALIGN_TOPLEFT     , 0, "Image1 Text 2", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 2, CONVIEW_CELLALIGN_TOPLEFT     , 0, "Image1 Text 3", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 3, CONVIEW_CELLALIGN_TOPLEFT     , 0, "Image1 Text 4", 0);
pLEADContainerViewer->Cell (iCellIndex).AddTag( 1, CONVIEW_CELLALIGN_LEFTCENTER  , 0, "L", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 0, CONVIEW_CELLALIGN_BOTTOMLEFT  , 0, "Image1 Text 5", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 0, CONVIEW_CELLALIGN_TOPCENTER   , 0, "Top", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 0, CONVIEW_CELLALIGN_BOTTOMCENTER, 0, "Bottom", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 0, CONVIEW_CELLALIGN_TOPRIGHT    , 0, "Image1 Text 6", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 0, CONVIEW_CELLALIGN_RIGHTCENTER , 0, "R", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 8, CONVIEW_CELLALIGN_TOPLEFT     , CONVIEW_CELLTAG_FRAME, NULL, 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 3, CONVIEW_CELLALIGN_BOTTOMLEFT  , CONVIEW_CELLTAG_WLCENTERWIDTH , NULL, 0);

//Load IMAGE2.dic from LEAD Technologies setup directory
pRasterIO->Load
  (pRaster, "C:\\LEAD Technologies, Inc\\LEADTOOLS14\\Images\\IMAGE2.dic", 0, 0, -1);

// insert a new cell at the end of the container queue.
iCellIndex = pLEADContainerViewer->InsertCell (-1, 0);

// Attach the loaded bitmap list to the newly inserted cell.
pLEADContainerViewer->Cell(iCellIndex).InsertBitmapList (pRaster, TRUE, 0);

// Add some tags to the cell
pLEADContainerViewer->Cell(iCellIndex).AddTag( 0, CONVIEW_CELLALIGN_TOPLEFT     , 0, "Image3 Text 1", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 2, CONVIEW_CELLALIGN_TOPLEFT     , 0, "Image3 Text 2", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 4, CONVIEW_CELLALIGN_TOPLEFT     , 0, "Image3 Text 3", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 6, CONVIEW_CELLALIGN_TOPLEFT     , 0, "Image3 Text 4", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 1, CONVIEW_CELLALIGN_LEFTCENTER  , 0, "Image3 Text 5", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 0, CONVIEW_CELLALIGN_BOTTOMLEFT  , 0, "Image3 Text 6", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 0, CONVIEW_CELLALIGN_TOPCENTER   , 0, "Image3 Text 7", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 0, CONVIEW_CELLALIGN_BOTTOMCENTER, 0, "Image3 Text 8", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 0, CONVIEW_CELLALIGN_TOPRIGHT    , 0, "Image3 Text 9", 0);
pLEADContainerViewer->Cell(iCellIndex).AddTag( 0, CONVIEW_CELLALIGN_RIGHTCENTER , 0, "R", 0);
pLEADContainerViewer->Cell (iCellIndex).AddTag ( 7, CONVIEW_CELLALIGN_TOPLEFT     , CONVIEW_CELLTAG_SCALE, NULL, 0);

ILEADContainerViewerProperties * pContainerViewerProps = NULL;
HRESULT hr = CoCreateInstance( CLSID_LEADContainerViewerProperties, NULL, CLSCTX_ALL,
IID_ILEADContainerViewerProperties,(void**)&pContainerViewerProps );

// Change the number of rows and cols to show all the inserted cells.
pContainerViewerProps->PutColumnCount (2);
pContainerViewerProps->PutRowCount (1);
pContainerViewerProps->PutIncludedParameters (CONVIEW_CIP_ROWCOUNT | CONVIEW_CIP_COLUMNCOUNT);

pLEADContainerViewer->SetContainerProperties (pContainerViewerProps, 0);

// Change the number of sub-rows and sub-cols of Cell 0.
pLEADContainerViewer->Cell (0).SetSubRowCount (3);
pLEADContainerViewer->Cell(0).SetSubColumnCount (3);

//Add owner action tag.
pLEADContainerViewer->Cell(0).AddTag ( 0, CONVIEW_CELLALIGN_BOTTOMRIGHT , CONVIEW_CELLTAG_OWNERDRAW, NULL, 0);

//Reposition Cell 0.
pLEADContainerViewer->Cell(0).RepositionCell(1);

pRasterIO->Release();
pContainerViewerProps->Release();
pRaster->Release();

}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}

void CConViewView::OnCreateExample()
{
CreateSample(&m_ConView);

}


DblClick Example for Visual C++ 5.0

void CConViewSamplesView::OnDblClickLeadrastercontainerviewer1 ()
{
CString S;
if(this->GetActiveWindow())
{
this->GetActiveWindow()->SetWindowText(S + TEXT(" Mouse was double clicked "));
}

}


KeyDown Example for Visual C++ 5.0

void CConViewSamplesView::OnKeyDown (short KeyCode, short Shift, long lActionID, long lCount)
{
CString S;
if(this->GetActiveWindow())
{
this->GetActiveWindow()->SetWindowText(S + TEXT(" Key ") + (TCHAR)KeyCode + TEXT(" was pressed"));
}
}


KeyPress Example for Visual C++ 5.0

void CConViewView::OnKeyPress Leadrastercontainerviewer1(short KeyAscii)
{
CString S;
if(this->GetActiveWindow())
{
this->GetActiveWindow()->SetWindowText(S + TEXT(" Key ") + (TCHAR)KeyAscii + TEXT(" was pressed"));
}
}


KeyUp Example for Visual C++ 5.0

void CConViewSamplesView::OnKeyUpLeadrastercontainerviewer1 (short KeyCode, short Shift, long lActionID, long lCount)
{
CString S;
if(this->GetActiveWindow())
{
this->GetActiveWindow()->SetWindowText(S + TEXT(" Key ") + (TCHAR)KeyCode + TEXT(" was released"));
}
}


MagnifyGlassActionSample Example for Visual C++ 5.0

void MagnifyGlassActionSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors (TRUE);

// Activate Magnify Glass action
if(!pLEADContainerViewer->MagnifyGlassAction ().GetUse ())
pLEADContainerViewer->MagnifyGlassAction().ActivateAction (TRUE, 0);
// Select left mouse button to control Magnify Glass parameters.
pLEADContainerViewer->MagnifyGlassAction().SetMouseButtonAction (CONVIEW_MOUSE_BUTTON_LEFT);

// Specify Magnifiy parameters.
pLEADContainerViewer->MagnifyGlassAction().SetAppearance3D (TRUE);
pLEADContainerViewer->MagnifyGlassAction().SetBorderSize (1);
pLEADContainerViewer->MagnifyGlassAction().SetCrossHair (5);
pLEADContainerViewer->MagnifyGlassAction().SetEllipse (TRUE);
pLEADContainerViewer->MagnifyGlassAction().SetHeight (100);
pLEADContainerViewer->MagnifyGlassAction().SetWidth (200);
pLEADContainerViewer->MagnifyGlassAction().SetZoomFactor (500);
pLEADContainerViewer->MagnifyGlassAction().SetPenColor (RGB(0,0,0));

// Set Magnify Glass parameters.
pLEADContainerViewer->MagnifyGlassAction().SetAction ();

}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


MouseDown Example for Visual C++ 5.0

void CConViewSamplesView::OnMouseDownLeadrastercontainerviewer1(short Button, short Shift, float x, float y, long lActionID, long lCount)
{
CString S;
if(this->GetActiveWindow())
{
this->GetActiveWindow()->SetWindowText(S + TEXT(" Mouse Down "));
}
}


MouseMove Example for Visual C++ 5.0

void CConViewView::OnMouseMoveLeadrastercontainerviewer1 (short Button, short Shift, float x, float y, long lActionID, long lCount)
{
CString S;
if(this->GetActiveWindow())
{
this->GetActiveWindow()->SetWindowText(S + TEXT("Mouse Move"));
}

if(lActionID == 0)
{

ILEADRaster* Temp;
for (int nI = 0; nI < lCount; nI++)
{
// m_ConView is defined some where else
Temp
 = (ILEADRaster *)m_LEADContainerViewer.GetOwnerActionImageList(nI);

// Do what you want on this image
// .
// .
// .
}
}
}


MouseUp Example for Visual C++ 5.0

void CConViewSamplesView::OnMouseUpLeadrastercontainerviewer1 (short Button, short Shift, float x, float y, long lActionID, long lCount)
{
CString S;
if(this->GetActiveWindow())
{
this->GetActiveWindow()->SetWindowText(S + TEXT(" Mouse Up "));
}
}


MouseWheel Example for Visual C++ 5.0

void CConViewSamplesView::OnMouseWheelLeadrastercontainerviewer1 (short nDelta, short Shift, float x, float y, long lActionID, long lCount)
{
CString S;
if(this->GetActiveWindow())
{
this->GetActiveWindow()->SetWindowText(S + TEXT(" Mouse Wheel "));
}
}


OffsetActionSample Example for Visual C++ 5.0

void OffsetActionSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors (TRUE);

// Activate offset action if the action is not activated
if(!pLEADContainerViewer->OffsetAction ().GetUse ())
pLEADContainerViewer->OffsetAction().ActivateAction (TRUE, 0);
// Select left mouse button to control offset action parameters.
pLEADContainerViewer->OffsetAction().SetMouseButtonAction (CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ACTIVEONLY|CONVIEW_ACTION_REALTIME);

// Select left, right, up, and down keys to control offset parameters.
pLEADContainerViewer->OffsetAction().SetModifier (CONVIEW_KEY_SHIFT);
pLEADContainerViewer->OffsetAction().SetKey (VK_DOWN);
pLEADContainerViewer->OffsetAction().SetKeyboardAction (CONVIEW_MOUSEMOVE_DOWN);
pLEADContainerViewer->OffsetAction().SetKey(VK_UP);
pLEADContainerViewer->OffsetAction().SetKeyboardAction(CONVIEW_MOUSEMOVE_UP);
pLEADContainerViewer->OffsetAction().SetKey(VK_LEFT);
pLEADContainerViewer->OffsetAction().SetKeyboardAction(CONVIEW_MOUSEMOVE_LEFT);
pLEADContainerViewer->OffsetAction().SetKey(VK_RIGHT);
pLEADContainerViewer->OffsetAction().SetKeyboardAction(CONVIEW_MOUSEMOVE_RIGHT);

// Select offset cursor.
CPictureHolder PicHolder;
if(PicHolder.CreateFromIcon(LoadCursor(NULL, IDC_CROSS)))
{
pLEADContainerViewer->OffsetAction().SetCursor (PicHolder.GetPictureDispatch());
}
// Specify offset parameters.
pLEADContainerViewer->OffsetAction().SetChange (100);
pLEADContainerViewer->OffsetAction().SetCircularMouseMove (TRUE);

// Set offset parameters.
pLEADContainerViewer->OffsetAction ().SetAction (0, CONVIEW_ACTIONLEVEL_CONTAINER);

}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


OffsetCellActionSample Example for Visual C++ 5.0

void OffsetCellActionSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors(TRUE);
if(!pLEADContainerViewer->OffsetAction().GetUse())
pLEADContainerViewer->OffsetAction().ActivateAction(TRUE,
 0);
//
 Specify Offset cell's parameters.
pLEADContainerViewer->OffsetAction().SetXOffset(100);
pLEADContainerViewer->OffsetAction().SetYOffset(100);

//
 Apply Offset on cell 0.
pLEADContainerViewer->OffsetAction().SetAction(0,
 CONVIEW_ACTIONLEVEL_CELL);
}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


OwnerActionSample Example for Visual C++ 5.0

void OwnerActionSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors (TRUE);

// Activate owner action if the action is not activated
if(!pLEADContainerViewer->OwnerAction (0).GetUse ())
pLEADContainerViewer->OwnerAction(0).ActivateAction (TRUE, 0);
// Select left mouse button to control owner action parameters.
pLEADContainerViewer->OwnerAction(0). SetMouseButtonAction (CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ACTIVEONLY|CONVIEW_ACTION_REALTIME);

// Select left, right, up, and down keys to control owner action parameters.
pLEADContainerViewer->OwnerAction(0).SetModifier (CONVIEW_KEY_ALT);
pLEADContainerViewer->OwnerAction(0).SetKey (VK_DOWN);
pLEADContainerViewer->OwnerAction(0).SetKeyboardAction (CONVIEW_MOUSEMOVE_DOWN);
pLEADContainerViewer->OwnerAction(0).SetKey(VK_UP);
pLEADContainerViewer->OwnerAction(0).SetKeyboardAction(CONVIEW_MOUSEMOVE_UP);

// Select owner action cursor.
CPictureHolder PicHolder;
if(PicHolder.CreateFromIcon(LoadCursor(NULL, IDC_CROSS)))
{
pLEADContainerViewer->OwnerAction(0).SetCursor (PicHolder.GetPictureDispatch());
}
// Specify owner action parameters.
pLEADContainerViewer->OwnerAction(0).SetChange (100);
pLEADContainerViewer->OwnerAction(0).SetCircularMouseMove (TRUE);

// Set owner action parameters.
pLEADContainerViewer->OwnerAction(0).SetAction ();

}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


Resize Example for Visual C++ 5.0

void CConViewView::OnResizeLeadrastercontainerviewer1 ()
{
CString S;
if(this->GetActiveWindow())
{
this->GetActiveWindow()->SetWindowText(S + TEXT("Control Resized"));
}

}


ScaleActionSample Example for Visual C++ 5.0

void ScaleActionSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors (TRUE);

// Activate scale action if the action is not activated
if(!pLEADContainerViewer->ScaleAction().GetUse ())
pLEADContainerViewer->ScaleAction().ActivateAction (TRUE, 0);
// Select left mouse button to control scale action parameters.
pLEADContainerViewer->ScaleAction().SetMouseButtonAction (CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ACTIVEONLY|CONVIEW_ACTION_REALTIME);

// Select left, right, up, and down keys to control scale parameters.
pLEADContainerViewer->ScaleAction().SetModifier (CONVIEW_KEY_ALT);
pLEADContainerViewer->ScaleAction().SetKey (VK_DOWN);
pLEADContainerViewer->ScaleAction().SetKeyboardAction (CONVIEW_MOUSEMOVE_DOWN);
pLEADContainerViewer->ScaleAction().SetKey(VK_UP);
pLEADContainerViewer->ScaleAction().SetKeyboardAction(CONVIEW_MOUSEMOVE_UP);

// Select scale cursor.
CPictureHolder PicHolder;
if(PicHolder.CreateFromIcon(LoadCursor(NULL, IDC_CROSS)))
{
pLEADContainerViewer->ScaleAction().SetCursor (PicHolder.GetPictureDispatch());
}
// Specify scale parameters.
pLEADContainerViewer->ScaleAction().SetChange (100);
pLEADContainerViewer->ScaleAction().SetCircularMouseMove (TRUE);

// Set scale parameters.
pLEADContainerViewer->ScaleAction ().SetAction(0, CONVIEW_ACTIONLEVEL_CONTAINER);

}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


ScaleCellActionSample Example for Visual C++ 5.0

void ScalecellactionSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors(TRUE);
if(!pLEADContainerViewer->ScaleAction().GetUse())
pLEADContainerViewer->ScaleAction().ActivateAction(TRUE,
 0);
//
 Specify Offset cell's parameters.
pLEADContainerViewer->ScaleAction().SetScaleFactor(10);

//
 Apply Offset on cell 0.
pLEADContainerViewer->ScaleAction().SetAction(0,
 CONVIEW_ACTIONLEVEL_CELL);
}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


StackActionSample Example for Visual C++ 5.0

void StackActionSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors (TRUE);

// Activate stack action if the action is not activated
if(!pLEADContainerViewer->StackAction ().GetUse ())
pLEADContainerViewer->StackAction().ActivateAction (TRUE, 0);
// Select left mouse button to control stack action parameters.
pLEADContainerViewer->StackAction().SetMouseButtonAction (CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ACTIVEONLY|CONVIEW_ACTION_REALTIME);

// Select left, right, up, and down keys to control stack parameters.
pLEADContainerViewer->StackAction().SetModifier (CONVIEW_KEY_ALT);
pLEADContainerViewer->StackAction().SetKey (VK_DOWN);
pLEADContainerViewer->StackAction().SetKeyboardAction (CONVIEW_MOUSEMOVE_DOWN);
pLEADContainerViewer->StackAction().SetKey(VK_UP);
pLEADContainerViewer->StackAction().SetKeyboardAction(CONVIEW_MOUSEMOVE_UP);

// Select stack cursor.
CPictureHolder PicHolder;
if(PicHolder.CreateFromIcon(LoadCursor(NULL, IDC_CROSS)))
{
pLEADContainerViewer->StackAction().SetCursor(PicHolder.GetPictureDispatch());
}
// Specify stack parameters.
pLEADContainerViewer->StackAction().SetChange (100);
pLEADContainerViewer->StackAction().SetCircularMouseMove (TRUE);

// Set stack parameters.
pLEADContainerViewer->StackAction().SetAction (0, CONVIEW_ACTIONLEVEL_CONTAINER);

}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


StackCellActionSample Example for Visual C++ 5.0

void StackCellActionSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors(TRUE);
if(!pLEADContainerViewer->StackAction().GetUse())
pLEADContainerViewer->StackAction().ActivateAction(TRUE,
 0);
//
 Specify Offset cell's parameters.
pLEADContainerViewer->StackAction().SetActiveSubCell(0);
pLEADContainerViewer->StackAction().SetScrollValue(0);

//
 Apply Offset on cell 0.
pLEADContainerViewer->StackAction().SetAction(0,
 CONVIEW_ACTIONLEVEL_CELL);
}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


WindowLevelActionSample Example for Visual C++ 5.0

void WindowLevelActionSample(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors (TRUE);

// Activate Window level action if the action is not activated
if(!pLEADContainerViewer->WindowLevelAction ().GetUse ())
pLEADContainerViewer->WindowLevelAction().ActivateAction (TRUE, 0);
// Select left mouse button to control window level parameters.
pLEADContainerViewer->WindowLevelAction().SetMouseButtonAction (CONVIEW_MOUSE_BUTTON_LEFT, CONVIEW_ACTION_ALLCELLS);

// Select left, right, up, and down keys to control window level parameters.
pLEADContainerViewer->WindowLevelAction().SetModifier (CONVIEW_KEY_CTRL);
pLEADContainerViewer->WindowLevelAction().SetKey (VK_DOWN);
pLEADContainerViewer->WindowLevelAction().SetKeyboardAction (CONVIEW_MOUSEMOVE_DOWN);
pLEADContainerViewer->WindowLevelAction().SetKey(VK_UP);
pLEADContainerViewer->WindowLevelAction().SetKeyboardAction(CONVIEW_MOUSEMOVE_UP);
pLEADContainerViewer->WindowLevelAction().SetKey(VK_LEFT);
pLEADContainerViewer->WindowLevelAction().SetKeyboardAction(CONVIEW_MOUSEMOVE_LEFT);
pLEADContainerViewer->WindowLevelAction().SetKey(VK_RIGHT);
pLEADContainerViewer->WindowLevelAction().SetKeyboardAction(CONVIEW_MOUSEMOVE_RIGHT);

// Select Window level cursor.
CPictureHolder PicHolder;
if(PicHolder.CreateFromIcon(LoadCursor(NULL, IDC_CROSS)))
{
pLEADContainerViewer->WindowLevelAction().SetCursor (PicHolder.GetPictureDispatch());
}
// Specify Window level parameters.
pLEADContainerViewer->WindowLevelAction().SetChange (100);
pLEADContainerViewer->WindowLevelAction().SetCircularMouseMove (TRUE);
pLEADContainerViewer->WindowLevelAction().SetStartColor (RGB(0, 0, 0));
pLEADContainerViewer->WindowLevelAction().SetEndColor (RGB(255, 255, 255));

// Set Window level parameters.
pLEADContainerViewer->WindowLevelAction().SetAction (0, 0, CONVIEW_ACTIONLEVEL_CONTAINER);

}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


WindowlevelCellAction Example for Visual C++ 5.0

void WindowlevelCellAction(CLEADRasterContainerViewer * pLEADContainerViewer)
{
TRY
{
pLEADContainerViewer->SetEnableMethodErrors (TRUE);

if(!pLEADContainerViewer->WindowLevelAction ().GetUse ())
pLEADContainerViewer->WindowLevelAction().ActivateAction (TRUE, 0);

// Specify Window level cell parameters.
pLEADContainerViewer->WindowLevelAction().SetWidth (2000);
pLEADContainerViewer->WindowLevelAction().SetCenter(1000);
pLEADContainerViewer->WindowLevelAction().SetFillType (FILLLUT_LINEAR);

// Apply Window level on subcell 0 of cell 0.
pLEADContainerViewer->WindowLevelAction().SetAction (0, 0, CONVIEW_ACTIONLEVEL_CELL);

}
CATCH_ALL(e)
{
e->ReportError();
}
END_CATCH_ALL
}


Technical Support

As a registered user, free technical support is available. You must register your software to receive any technical support. Technical support is available 9 a.m. through 6 p.m. Eastern Standard Time. If you are calling by phone, please be at your computer. You can also contact us through the following methods:

Phone: | (704) 372-9681
E-mail: | support@leadtools.com
FAX: | (704) 372-8161
Online Support / FAQs | http://www.leadtools.com (click on Customers Only)
Home page: | http://www.leadtools.com
FTP: | ftp.leadtools.com

You can also contact LEAD by mail at:

LEAD Technologies, Inc.
Attn: Technical Support
1201 Greenwood Cliff, Suite 400
Charlotte, NC 28204

Before calling technical support, please look in the online documentation and the example programs for an answer to your question.


Properties, Methods, and Events

Image Viewer

Container Properties

Cell Properties

Window Level Action

Alpha Action

Offset Action

Magnifying Glass Action

Scale Action

Stack Action

Owner Action

Mouse and Keyboard Events


Image Viewer: Container Properties

Image Viewer
Container Properties

ActiveActionCount property

ActiveCellBorderColor property

ActiveSubCellBorderColor property

AutoScroll property

BackGroundColor property

BothResizeCursor property

CellBorderStyle property

CellCount property

CellMaintenance property

ColumnCount property

ControlWindow property

DefaultCursor property

EmptyCellBackGroundColor property

EnableMethodErrors property

FirstVisibleRow property

GetContainerProperties method

HorizontalResizeCursor property

IncludedParameters property

NonActiveCellBorderColor property

Resize property

RowCount property

RulerInColor property

RulerOutColor property

RulerStyle property

ScaleHeight property

ScaleLeft property

ScaleMode property

ScaleTop property

ScaleWidth property

SetContainerProperties method

ShadowColor property

ShowFreezeText property

TextColor property

TextQuality property

VerticalResizeCursor property


Image Viewer: Cell Properties

Image Viewer
Cell Properties

AddTag Method

BitmapList Property

Cell Property

CellTag event

ColumnPosition Property

EnableChangeOnMove Property

Freeze Property

Height Property

Individual Property

IsFit Property

InsertBitmapList Method

Left Property

RepositionCell Method

RowPosition Property

RulerStyle Property

Select Property

ShowRuler Property

ShowTags Property

SubColumnCount Property

SubRowCount Property

Top Property

Width Property

Window Property


Image Viewer: Window Level Action

Image Viewer
Window Level Action

Container level

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

EndColor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

StartColor Property

Use Property

WindowLevelAction property

Cell level

Center Property

FillType Property

Width Property


Image Viewer: Alpha Action

Image Viewer
Alpha Action

Container level:

ActivateAction Method

AlphaAction property

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

Cell level:

Factor Property


Image Viewer: Offset Action

Image Viewer
Offset Action

Container level:

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

Key Property

GetAction Method

GetKeyboardAction Method

Modifier Property

OffsetAction Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

Cell level:

XOffset property

YOffset property


Image Viewer: Magnifying Glass Action

Image Viewer
Magnifying Glass Action

ActivateAction Method

Appearance3D Property

BorderSize Property

CrossHair Property

Ellipse Property

GetAction Method

Height Property

MagnifyGlassAction Property

PenColor Property

SetAction Method

SetMouseButtonAction Method

Use Property

Width Property

ZoomFactor Property


Image Viewer: Scale Action

Image Viewer
Scale Action

Container level:

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

ScaleAction Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

Cell level:

ScaleFactor property


Image Viewer: Stack Action

Image Viewer
Stack Action

Container level:

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

StackAction Property

Use Property

Cell level:

ActiveSubCell property

ScrollValue property


Image Viewer: Owner Action

Image Viewer
Owner Action

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

OwnerAction Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property


Image Viewer: Mouse and Keyboard Events

Image Viewer
Mouse and Keyboard Events

Click event

DblClick event

KeyDown event

KeyPress event

KeyUp event

MouseDown event

MouseMove event

MouseUp event

MouseWheel event


Error Codes

For a list of all possible error codes for LEADTOOLS Medical Image Viewer COM, refer to LEADTOOLS COM Error Codes in the Main COM help file.


ActivateAction Method (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | short ActivateAction(VARIANT_BOOL bActive, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Activates or deactivates the action.

To set or get the properties of the action, use SetAction and GetAction Method.

The action can be associated with a particular mouse movement, a keystroke combination, or both. To associate an action with the mouse, use the SetMouseButtonAction method. To assign a keystroke combination, set the Key, and Modifier properties and then call the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


Change property (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | long Change
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a percentage value that represents the mouse sensitivity. Possible values are >= 0. Default is 100. A value of 100 indicates that the amount of change in the action is equal to the amount of movement of the mouse. For example, if the mouse is moved 1 pixel, the action changes by 1 unit. A value of 50 indicates that the amount of change in the action is 50% of the amount of mouse movement. For example, if the mouse is moved 2 pixels, the action only changes by one unit.

This property is applied at the container level.

To change the current mouse sensitivity for this alpha action, set this property and call the SetAction method.

This property is updated with the current mouse sensitivity value by calling the GetAction method.

See Also

Elements: | Cursor Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


CircularMouseMove property (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL CircularMouseMove
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Enables or disables the circular mouse movement, when the mouse pointer reaches the sides of the container.

Enabling the circular mouse movement means, when the mouse is dragging to one side of the container, it will disappear from that side and reappear on the opposite side. This also applies to the top and bottom of the container.

This property is applied at the container level.

Setting | Description
VARIANT_TRUE | Enables the circular mouse movement when it reaches the side (any side: left, right, top or bottom) of the container. This is the default value.
VARIANT_FALSE | Disables the circular mouse . The cursor will act normally. It will not disappear when it reaches one side and reappear on the opposite side.

To change the current status of the mouse movement, set this property and call the SetAction method.

This property is updated with the current status of the mouse movement by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


Cursor property (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | IPictureDisp * Cursor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the default cursor for this action.

This property is applied at the container level.

Default is the arrow cursor.

To set a new cursor for the alpha action, set this property and call the SetAction method.

This property is updated with the currently used cursor by calling the GetAction method.

See Also

Elements: | Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


Factor property (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | long Factor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Value that indicates the factor used in the function operation specified in the FillType Property of the ILEADWindowLevelAction. This property is used only if FillType is set to FILLLUT_EXPONENTIAL, FILLLUT_LOGARITHMIC or FILLLUT_SIGMOID. If FILLLUT_EXPONENTIAL or FILLLUT_SIGMOID is selected, the value of this property can be any integer (+/-). If FILLLUT_LOGARITHMIC flag is selected its value should be >= 0. If Factor = 0, the lookup table will be filled linearly.

This property is applied on the sub cell level.

To change the current factor for the action, set this property and call the SetAction method.

This property is updated with the current factor for the action by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Alpha Action


Key property (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | long Key
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the virtual key. These are the virtual key codes used by the Microsoft Windows operating system.

For more information about virtual key codes for Visual Basic, refer to Visual Basic Constants for Key Codes.

For more information about virtual key codes for Visual C++, refer to Visual C++ Key Codes.

To change the current keystroke combination for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current keystroke combination for the action by calling the GetKeyboardAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


Modifier property (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | long Modifier
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the flag that indicates which key to press with the key specified in Key property value. Possible values are:

Value | Meaning
CONVIEW_KEY_NONE | [0x00000000] No other key should be pressed.
CONVIEW_KEY_SHIFT | [0x00000001] Left or right Shift key must be pressed.
CONVIEW_KEY_CTRL | [0x00000002] Left or right Control key must be pressed.
CONVIEW_KEY_ALT | [0x00000004] Left or right ALT key must be pressed.

To change the current modifier for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current modifier for the action by calling the GetKeyboardAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


SetKeyboardAction Method (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | short SetKeyboardAction(MouseDirectionConstants Direction);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Assigns a keystroke (Key and Modifier properties) to the action and a particular mouse movement.

The action must be activated inside a container before applying this method by calling ActivateAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


Use property (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Use
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) This property is updated with a value that indicates whether the action is active.

Flag | Meaning
VARIANT_TRUE | Action is active
VARIANT_FALSE | Action is inactive

Actions can also be associated with a keystroke combination.

To determine whether a specific action has a keystroke combination associated with it, use the GetKeyboardAction method, and to assign a keystroke combination to an action, use the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


GetAction Method (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | short GetAction (long lCellIndex, long lSubCellIndex, ActionLevelConstants ActionLevel);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets the current values of the alpha action properties, based on the ActionLevel flag.

If the ActionLevel flag is: | The following properties will be updated:
CONVIEW_ACTIONLEVEL_CONTAINER | Cursor property, Change property, CircularMouseMove property, StartColor Property, EndColor Property.
CONVIEW_ACTIONLEVEL_CELL | Factor property.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetKeyboardAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


GetKeyboardAction Method (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | short GetKeyboardAction(enum MouseDirectionConstants Direction, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Updates the Key and Modifier properties with the current keystroke combination for this action.

The action must be activated inside a container before applying this method by calling ActivateAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


SetAction Method (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | short SetAction(long lCellIndex, long lSubCellIndex, ActionLevelConstants ActionLevel);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Sets the properties for this owner action object, based on the ActionLevel flag.

If the ActionLevel flag is: | Then the following properties should be set before calling this method:
CONVIEW_ACTIONLEVEL_CONTAINER | Cursor property, Change property, CircularMouseMove property, StartColor Property, EndColor Property.
CONVIEW_ACTIONLEVEL_CELL | Factor property.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, GetAction Method, GetKeyboardAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


SetMouseButtonAction Method (ILEADAlphaAction)

Visual Basic example

Visual C++ example

Syntax | short SetMouseButtonAction (MouseButtonConstants MouseButton, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Specifies the action’s mouse buttons.

The action must be activated inside a container before it can be assigned to a mouse button by calling ActivateAction method.

If the action is set to a mouse button that is already used by another action within the container this action will overwrite the old one. For example, if you set a mouse button for an owner action object in the container, and then set the same mouse button for a scale action object in the same container, the mouse button will cause a scale action within the container.

Actions can also be associated with keystroke combinations. To assign the action to a keystroke combination, set the Key and Modifier properties and call the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Factor Property.
Topics: | Image Viewer: Alpha Action


ActiveCellBorderColor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR ActiveCellBorderColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the color of the border used to designate a selected cell. Default color is RGB(255, 192, 0).

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


ActiveSubCellBorderColor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR ActiveSubCellBorderColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the color of the border used to designate a selected sub cell. Default color is yellow.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


AutoScroll property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL AutoScroll
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates whether to scroll the cells automatically if the user scrolls up or down. Possible values are:

Setting | Description
VARIANT_TRUE | Scroll automatically. This is the default value.
VARIANT_FALSE | Do not scroll.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


BackGroundColor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR BackGroundColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the background color value to display in non-empty cells. Default color is black.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


BothResizeCursor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | IPictureDisp * BothResizeCursor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the default cursor for resizing horizontally and vertically. Default is a four-pointed arrow.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


CellBorderStyle property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | BorderStyleConstants CellBorderStyle
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates the style of the border. Possible values are:

Value | Meaning
CONVIEW_PEN_STYLE_SOLID | [0x00000000] Solid border.
CONVIEW_PEN_STYLE_DASH | [0x00000001] Dashed border.
CONVIEW_PEN_STYLE_DOT | [0x00000002] Dotted border. This is the default value.
CONVIEW_PEN_STYLE_DASHDOT | [0x00000003] Dash and dot border.
CONVIEW_PEN_STYLE_DASHDOTDOT | [0x00000004] Dash and two dots border.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, TextQuality property.
Topics: | Image Viewer: Container Properties


CellMaintenance property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | CellsMaintenanceConstants CellMaintenance
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates whether to maintain, if possible, cell size or cell position. Possible values are:

Value | Meaning
CONVIEW_CELLSMAINTENANCE_SIZE | [0x00000000] Maintain the cell size, if possible. This is the default.
CONVIEW_CELLSMAINTENANCE_POS | [0x00000001] Maintain the cell position.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


ColumnCount property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | long ColumnCount
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the number of columns in the container. Default value is 1.

To set or get container properties, use the SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


DefaultCursor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | IPictureDisp * DefaultCursor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the default cursor for the container. Default cursor is standard arrow cursor.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


EmptyCellBackGroundColor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR EmptyCellBackGroundColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the background color value to display in empty cells. Default color is black.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


HorizontalResizeCursor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | IPictureDisp * HorizontalResizeCursor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the default cursor for resizing horizontally. Default is a horizontal two-headed arrow.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


IncludedParameters property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | long IncludedParameters
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that represents the valid properties used when retrieving or setting the container properties. Flags can be combined using the bitwise OR: Possible values are:

Value | Meaning
CONVIEW_CIP_ALL | [0x001FFFFF] All properties must be valid or must be filled in.
CONVIEW_CIP_ROWCOUNT | [0x00000001] The RowCount property is valid or must be filled in.
CONVIEW_CIP_COLUMNCOUNT | [0x00000002] The ColumnCount Property is valid or must be filled in.
CONVIEW_CIP_EMPTYCELLBACKGROUNDCOLOR | [0x00000004] The EmptyCellBackGroundColor Property is valid or must be filled in.
CONVIEW_CIP_BACKGROUNDCOLOR | [0x00000008] The BackGroundColor Property is valid or must be filled in.
CONVIEW_CIP_TEXTCOLOR | [0x00000010] The TextColor Property is valid or must be filled in.
CONVIEW_CIP_SHADOWCOLOR | [0x00000020] The ShadowColor Property is valid or must be filled in.
CONVIEW_CIP_RULERINCOLOR | [0x00000040] The RulerInColor Property is valid or must be filled in.
CONVIEW_CIP_RULEROUTCOLOR | [0x00000080] The RulerOutColor Property is valid or must be filled in.
CONVIEW_CIP_ACTIVECELLBORDERCOLOR | [0x00000100] The ActiveCellBorderColor Property is valid or must be filled in.
CONVIEW_CIP_NONACTIVECELLBORDERCOLOR | [0x00000200] The NonActiveCellBorderColor Property is valid or must be filled in.
CONVIEW_CIP_ACTIVESUBCELLBORDERCOLOR | [0x00000400] The ActiveSubCellBorderColor Property is valid or must be filled in.
CONVIEW_CIP_DEFAULTCURSOR | [0x00000800] The DefaultCursor Property is valid or must be filled in.
CONVIEW_CIP_VERTICALRESIZECURSOR | [0x00001000] The VerticalResizeCursor Property is valid or must be filled in.
CONVIEW_CIP_HORIZONTALRESIZECURSOR | [0x00002000] The HorizontalResizeCursor Property is valid or must be filled in.
CONVIEW_CIP_BOTHRESIZECURSOR | [0x00004000] The BothResizeCursor Property is valid or must be filled in.
CONVIEW_CIP_AUTOSCROLL | [0x00008000] The AutoScroll Property is valid or must be filled in.
CONVIEW_CIP_CELLMAINTENANCE | [0x00010000] The CellMaintenance Property is valid or must be filled in.
CONVIEW_CIP_SHOWFREEZETEXT | [0x00020000] The ShowFreezeText Property is valid or must be filled in.
CONVIEW_CIP_CELLBORDERSTYLE | [0x00040000] The CellBorderStyle Property is valid or must be filled in.
CONVIEW_CIP_TEXTQUALITY | [0x00080000] The TextQuality Property is valid or must be filled in.
CONVIEW_CIP_RULERSTYLE | [0x00100000] The RulerStyle Property is valid or must be filled in.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


NonActiveCellBorderColor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR NonActiveCellBorderColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the color of the border used to designate an unselected cell. Default color is white.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


RowCount property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | long RowCount
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the number of rows in the container. Default value is 1.

To set or get container properties, use the SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


RulerInColor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR RulerInColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the Ruler-in color value. Default color is white.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


RulerOutColor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR RulerOutColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the Ruler-out color value. Default color is blue.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


RulerStyle property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | RulerStyleConstants RulerStyle
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates the style of the rulers in the cells of the container. Possible values are:

Value | Meaning
CONVIEW_RULERSTYLE_INVERT | [0x00000000] The ruler is drawn using an inverted pen. This is the default value.
CONVIEW_RULERSTYLE_BORDERED | [0x00000001] The ruler is drawn using both the pen specified in the RulerInColor and RulerOutColor properties.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


ShadowColor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR ShadowColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the shadow’s color value. Default color is black.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


ShowFreezeText property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL ShowFreezeText
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates whether to display the word "Freeze" on frozen cells. Possible values are:

Value | Meaning
VARIANT_TRUE | Display the word "Freeze" on frozen cells. This is the default value.
VARIANT_FALSE | Do not display the word "Freeze" on frozen cells.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


TextColor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR TextColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the text color value. Default color is white.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


TextQuality property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | CellsTextQualityConstants TextQuality
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates the quality of the text and whether it is anti-aliased. Possible values are:

Value | Meaning
CONVIEW_TEXTQUALITY_DEFAULT | [0x00000000] Default quality.
CONVIEW_TEXTQUALITY_DRAFT | [0x00000001] Draft quality.
CONVIEW_TEXTQUALITY_PROOF | [0x00000002] Proof quality.
CONVIEW_TEXTQUALITY_NONANTIALIASED | [0x00000003] Forces use of draft quality.
CONVIEW_TEXTQUALITY_ANTIALIASED | [0x00000004] Enables anti-aliasing for the font.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, VerticalResizeCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property.
Topics: | Image Viewer: Container Properties


VerticalResizeCursor property (ILEADContainerViewerProperties)

Visual Basic example

Visual C++ example

Syntax | IPictureDisp * VerticalResizeCursor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the default cursor for resizing vertically. Default is a vertical two-headed arrow.

To set or get container properties, use SetContainerProperties and GetContainerProperties methods.

See Also

Elements: | IncludedParameters property, RowCount property, ColumnCount property, EmptyCellBackGroundColor property, BackGroundColor property, TextColor property, ShadowColor property, RulerInColor property, RulerOutColor property, ActiveCellBorderColor property, NonActiveCellBorderColor property, ActiveSubCellBorderColor property, DefaultCursor property, HorizontalResizeCursor property, BothResizeCursor property, AutoScroll property, RulerStyle property, CellMaintenance property, ShowFreezeText property, CellBorderStyle property, TextQuality property.
Topics: | Image Viewer: Container Properties


ActivateAction Method (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | short ActivateAction(VARIANT_BOOL bActive, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Activate or deactivate the action.

To set or get the properties of the action, use SetAction and GetAction Method.

The action can be associated with a particular mouse movement. To associate an action with the mouse, use SetMouseButtonAction method.

See Also

Elements: | Use Property, SetMouseButtonAction Method, SetAction Method, GetAction Method.
Topics: | Image Viewer: Magnifying Glass Action


Appearance3D property (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Appearance3D
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates whether the border of a rectangular magnifying glass appears as 3D or flat.

This value is valid only if the Ellipse Property is set to VARIANT_FALSE. Possible values are:

Value | Meaning
VARIANT_TRUE | The rectangular magnifying glass appears with a 3D border.
VARIANT_FALSE | The rectangular magnifying glass appears with a flat border. (Default)

This property is applied at the container level.

To change the appearance of the magnifying glass border, set this property and call the SetAction method.

This property is updated with a value that represents the current appearance of the magnifying glass borderby calling the GetAction method.

See Also

Elements: | Use Property, SetMouseButtonAction Method, ActivateAction Method, SetAction Method, GetAction Method, Width Property, Height Property, ZoomFactor Property, PenColor Property, Ellipse Property, BorderSize Property, CrossHair Property.
Topics: | Image Viewer: Magnifying Glass Action


BorderSize property (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | long Ellipse
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the size of the magnifying glass border in pixels. The value of this property will be ignored if the Ellipse property is set to VARIANT_FALSE and the Appearance3D property is set to VARIANT_TRUE. In this case the magnifying glass appears as a rectangle with a 3D border. The 3D border has a thickness of 2 pixels, one pixel for the highlight color and one for the shadow color.

The default value is 1.

This property is applied at the container level.

To set a new border size for the magnifying glass action, set this property and call the SetAction method.

This property is updated with the current border size by calling the GetAction method.

See Also

Elements: | Use Property, SetMouseButtonAction Method, ActivateAction Method, SetAction Method, GetAction Method, Width Property, Height Property, ZoomFactor Property, PenColor Property, Ellipse Property, Appearance3D Property, CrossHair Property.
Topics: | Image Viewer: Magnifying Glass Action


CrossHair property (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL CrossHair
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates the type of crosshair. Possible values are:

Value | Meaning
CROSSHAIR_NONE | [0] No Crosshair
CROSSHAIR_FINE | [1] The crosshair is one pixel wide and uses the color in the PenColor Property. (Default)
CROSSHAIR_INVERTPEN | [2] The crosshair is three pixels wide. The center pixel uses the color in the PenColor property. The outer pixels use the inverse of the color in the PenColor property.
CROSSHAIR_INVERTSCREEN | [3] The crosshair is three pixels wide. The center pixel uses the color in the PenColor property. The outer pixels use the inverse of the screen color.

This property is applied at the container level.

To update the container with this property value, SetAction method must be called, and to update the value of this property GetAction method must be called.

To change the crosshair of the magnifying glass, set this property and call the SetAction method.

This property is updated with a value that represents the current crosshair of the magnifying glass borderby calling the GetAction method.

See Also

Elements: | Use Property, SetMouseButtonAction Method, ActivateAction Method, SetAction Method, GetAction Method, Width Property, Height Property, ZoomFactor Property, PenColor Property, Ellipse Property, BorderSize Property, Appearance3D Property.
Topics: | Image Viewer: Magnifying Glass Action


Ellipse property (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Ellipse
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates the shape of the magnifying glass. Possible values are:

Value | Meaning
VARIANT_TRUE | The magnifying glass is an ellipse.
VARIANT_FALSE | The magnifying glass is a rectangle. This is the default value.

This property is applied at the container level.

To set a new shape for the magnifying glass action, set this property and call the SetAction method.

This property is updated with a value that represents the current shape by calling the GetAction method.

See Also

Elements: | Use Property, SetMouseButtonAction Method, ActivateAction Method, SetAction Method, GetAction Method, Width Property, Height Property, ZoomFactor Property, PenColor Property, BorderSize Property, Appearance3D Property, CrossHair Property.
Topics: | Image Viewer: Magnifying Glass Action


Height property (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | long Height
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the height of the magnifying glass, in pixels.

Minimum size is 10 pixels.

The default value is 200.

To set a new height value for the magnifying glass action, set this property and call the SetAction method.

This property is updated with the current height value by calling the GetAction method.

See Also

Elements: | Use Property, SetMouseButtonAction Method, ActivateAction Method, SetAction Method, GetAction Method, Width Property, ZoomFactor Property, PenColor Property, Ellipse Property, BorderSize Property, Appearance3D Property, CrossHair Property.
Topics: | Image Viewer: Magnifying Glass Action


PenColor property (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | long PenColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the color of the border of the magnifying glass. The value of this property will be ignored if the Ellipse property is set to VARIANT_FALSE and the Appearance3D property is set to VARIANT_TRUE. This property is applied at the container level.

The default value is black.

To set a new pen color for the magnifying glass action, set this property and call the SetAction method.

This property is updated with the current pen color by calling the GetAction method.

See Also

Elements: | Use Property, SetMouseButtonAction Method, ActivateAction Method, SetAction Method, GetAction Method, Width Property, Height Property, ZoomFactor Property, Ellipse Property, BorderSize Property, Appearance3D Property, CrossHair Property.
Topics: | Image Viewer: Magnifying Glass Action


Use property (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Use
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) This property is updated with a value that indicates whether the action is active.

Flag | Meaning
VARIANT_TRUE | Action is active
VARIANT_FALSE | Action is inactive

See Also

Elements: | SetMouseButtonAction Method, ActivateAction Method, SetAction Method, GetAction Method.
Topics: | Image Viewer: Magnifying Glass Action


Width property (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | long Width
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the width of the magnifying glass, in pixels.

Minimum size is 10 pixels.

The default value is 200.

To set a new width value for the magnifying glass action, set this property and call the SetAction method.

This property is updated with the current width value by calling the GetAction method.

See Also

Elements: | Use Property, SetMouseButtonAction Method, ActivateAction Method, SetAction Method, GetAction Method, Height Property, ZoomFactor Property, PenColor Property, Ellipse Property, BorderSize Property, Appearance3D Property, CrossHair Property.
Topics: | Image Viewer: Magnifying Glass Action


ZoomFactor property (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | long ZoomFactor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the zoom factor for the magnification, in percent. This value must be less than 100. For example, to zoom the image 2X, specify 200 for ZoomFactor; for 3X, specify 300, etc.

The default value is 200.

To set a new zoom factor value for the magnifying glass action, set this property and call the SetAction method.

This property is updated with the current zoom factor value by calling the GetAction method.

See Also

Elements: | Use Property, SetMouseButtonAction Method, ActivateAction Method, SetAction Method, GetAction Method, Width Property, Height Property, PenColor Property, Ellipse Property, BorderSize Property, Appearance3D Property, CrossHair Property.
Topics: | Image Viewer: Magnifying Glass Action


SetAction Method (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | short SetAction();
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Sets the properties for this magnifying glass action object.

See Also

Elements: | Use Property, SetMouseButtonAction Method, ActivateAction Method, GetAction Method.
Topics: | Image Viewer: Magnifying Glass Action


GetAction Method (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | short GetAction ();
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets the current values of the magnifying glass action properties.

See Also

Elements: | Use Property, SetMouseButtonAction Method, ActivateAction Method, SetAction Method.
Topics: | Image Viewer: Magnifying Glass Action


SetMouseButtonAction Method (ILEADMagnifyGlassAction)

Visual Basic example

Visual C++ example

Syntax | short SetMouseButtonAction (MouseButtonConstants MouseButton, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Specifies the action’s mouse buttons.

The action must be activated inside a container before it can be assigned to a mouse button by calling ActivateAction method.

If the action is set to a mouse button that is already used by another action within the container this action will overwrite the old one. For example, if you set a mouse button for an owner action object in the container, and then set the same mouse button for a scale action object in the same container, the mouse button will cause a scale action within the container.

See Also

Elements: | Use Property, ActivateAction Method, SetAction Method, GetAction Method.
Topics: | Image Viewer: Magnifying Glass Action


ActivateAction Method (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | short ActivateAction(VARIANT_BOOL bActive, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Activate or deactivate the action.

To set or get the properties of the action, use SetAction and GetAction Method.

The action can be associated with a particular mouse movement, a keystroke combination, or both. To associate an action with the mouse, use SetMouseButtonAction method. To assign a keystroke combination, set the Key, and Modifier properties and then call the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


Change property (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | long Change
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a percentage value that represents the mouse sensitivity. Possible values are >= 0. Default is 100. A value of 100 indicates that the amount of change in the action is equal to the amount of movement of the mouse. For example, if the mouse is moved 1 pixel, the action changes by 1 unit. A value of 50 indicates that the amount of change in the action is 50% of the amount of mouse movement. For example, if the mouse is moved 2 pixels, the action only changes by one unit.

This property is applied at the container level.

To change the current mouse sensitivity for this offset action, set this property and call the SetAction method.

This property is updated with the current mouse sensitivity value by calling the GetAction method.

See Also

Elements: | Cursor Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


CircularMouseMove property (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL CircularMouseMove
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Enables or disables the circular mouse movement, when the mouse pointer reaches the sides of the container.

Enabling the circular mouse movement means, when the mouse is dragging to one side of the container, it will disappear from that side and reappear on the opposite side. This also applies to the top and bottom of the container.

This property is applied at the container level.

Setting | Description
VARIANT_TRUE | Enables the circular mouse movement when it reaches the side (any side: left, right, top or bottom) of the container. This is the default value.
VARIANT_FALSE | Disables the circular mouse . The cursor will act normally. It will not disappear when it reaches one side and reappear on the opposite side.

To change the current status of the mouse movement, set this property and call the SetAction method.

This property is updated with the current status of the mouse movement by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


Cursor property (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | IPictureDisp * Cursor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the default cursor for this action.

This property is applied at the container level.

Default is the arrow cursor.

To set a new cursor for the offset action, set this property and call the SetAction method.

This property is updated with the currently used cursor by calling the GetAction method.

See Also

Elements: | Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


Key property (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | long Key
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the virtual key. These are the virtual key codes used by the Microsoft Windows operating system.

For more information about virtual key codes for Visual Basic, refer to Visual Basic Constants for Key Codes.

For more information about virtual key codes for Visual C++, refer to Visual C++ Key Codes.

To change the current keystroke combination for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current keystroke combination for the action by calling the GetKeyboardAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


Modifier property (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | long Modifier
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a flag that indicates which key to press with the key specified in the Key property. Possible values are:

Value | Meaning
CONVIEW_KEY_NONE | [0x00000000] No other key should be pressed.
CONVIEW_KEY_SHIFT | [0x00000001] Left or right Shift key must be pressed.
CONVIEW_KEY_CTRL | [0x00000002] Left or right Control key must be pressed.
CONVIEW_KEY_ALT | [0x00000004] Left or right ALT key must be pressed.

To change the current modifier for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current modifier for the action by calling the GetKeyboardAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, SetAction Method, GetAction Method, GetKeyboardAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


Use property (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Use
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) This property is updated with a value that indicates whether the action is active.

Flag | Meaning
VARIANT_TRUE | Action is active
VARIANT_FALSE | Action is inactive

Actions can also be associated with a keystroke combination.

To determine whether a specific action has a keystroke combination associated with it, use the GetKeyboardAction method, and to assign a keystroke combination to an action, use the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


XOffset property (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | long XOffset
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the X offset of the image. This value is given in pixels and is with respect to the center of the cell.

This property is applied on the cell level.

The default is 0.

To change the current X offset, set this property and call the SetAction method.

This property is updated with the current X offset by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, YOffset property.
Topics: | Image Viewer: Offset Action


YOffset property (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | long YOffset
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the Y offset of the image. This value is given in pixels and is with respect to the center of the cell.

This property is applied on the cell level.

The default is 0.

To update the cell with the value of the property, the user must call SetAction method after setting the value of this property.

To obtain the value of this property, the user must call GetAction method before calling this property.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, XOffset property.
Topics: | Image Viewer: Offset Action


GetAction Method (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | short GetAction (long lCellIndex, ActionLevelConstants ActionLevel);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets the current values of the offset action properties, based on the ActionLevel flag.

If the ActionLevel flag is: | Then the following properties are updated by this method:
CONVIEW_ACTIONLEVEL_CONTAINER | Cursor property, Change property, CircularMouseMove property, StartColor Property, EndColor Property.
CONVIEW_ACTIONLEVEL_CELL | XOffset property, YOffset property.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetKeyboardAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


GetKeyboardAction Method (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | short GetKeyboardAction(enum MouseDirectionConstants Direction, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Updates the Key and Modifier properties with the current keystroke combination for this action.

The action must be activated inside a container before applying this method by calling ActivateAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


SetAction Method (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | short SetAction(long lCellIndex, ActionLevelConstants ActionLevel);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Sets the properties for this offset action object.based on the ActionLevel flag.

If the ActionLevel flag is: | Then the following properties should be set before calling this method:
CONVIEW_ACTIONLEVEL_CONTAINER | Cursor property, Change property, CircularMouseMove property, StartColor Property, EndColor Property.
CONVIEW_ACTIONLEVEL_CELL | XOffset property, YOffset property.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, GetAction Method, GetKeyboardAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


SetKeyboardAction Method (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | short SetKeyboardAction(MouseDirectionConstants Direction);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Assigns a keystroke (Key and Modifier properties) to the action and a particular mouse movement.

The action must be activated inside a container before applying this method by calling ActivateAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


SetMouseButtonAction Method (ILEADOffsetAction)

Visual Basic example

Visual C++ example

Syntax | short SetMouseButtonAction (MouseButtonConstants MouseButton, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Specifies the action’s mouse buttons.

The action must be activated inside a container before it can be assigned to a mouse button by calling ActivateAction method.

If the action is set to a mouse button that is already used by another action within the container this action will overwrite the old one. For example, if you set a mouse button for an owner action object in the container, and then set the same mouse button for a scale action object in the same container, the mouse button will cause a scale action within the container.

Actions can also be associated with keystroke combinations. To assign the action to a keystroke combination, set the Key and Modifier properties and call the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, XOffset property, YOffset property.
Topics: | Image Viewer: Offset Action


ActivateAction method (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | short ActivateAction(VARIANT_BOOL bActive, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Activates or deactivates the action.

To set or get the properties of the action, use SetAction and GetAction Method.

The action can be associated with a particular mouse movement, a keystroke combination, or both. To associate an action with the mouse, use the SetMouseButtonAction method. To assign a keystroke combination, set the Key, and Modifier properties and then call the SetKeyboardAction method.

If the action associated to the owner action is applied (mouse, or keyboard action) the control will fire the related events KeyDown, KeyUp, MouseMove, MouseDown, MouseUp, or MouseWheel.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Owner Action


Change property (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | long Change
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a percentage value that represents the mouse sensitivity. Possible values are >= 0. The default is 100. A value of 100 indicates that the amount of change in the action is equal to the amount of movement of the mouse. For example, if the mouse is moved 1 pixel, the action changes by 1 unit. A value of 50 indicates that the amount of change in the action is 50% of the amount of mouse movement. For example, if the mouse is moved 2 pixels, the action only changes by one unit.

This property is applied at the container level.

To change the current mouse sensitivity for this owner action, set this property and call the SetAction method.

This property is updated with the current mouse sensitivity value by calling the GetAction method.

See Also

Elements: | Cursor Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Owner Action


CircularMouseMove property (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL CircularMouseMove
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Enables or disables the circular mouse movement, when the mouse pointer reaches the sides of the container.

Enabling the circular mouse movement means, when the mouse is dragged to one side of the container, it will disappear from that side and reappear on the opposite side. This also applies to the top and bottom of the container.

This property is applied at the container level.

Setting | Description
VARIANT_TRUE | Enables the circular mouse movement when it reaches the side (any side: left, right, top or bottom) of the container. This is the default value.
VARIANT_FALSE | Disables the circular mouse movement. The cursor will act normally. It will not disappear when it reaches one side and reappear on the opposite side.

To change the current status of the mouse movement, set this property and call the SetAction method.

This property is updated with the current status of the mouse movement by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Owner Action


Cursor property (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | IPictureDisp * Cursor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the default cursor for a specific owner action.

This property is applied at the container level.

Default is the arrow cursor.

To set a new cursor for the owner action, set this property and call the SetAction method.

This property is updated with the currently used cursor by calling the GetAction method.

See Also

Elements: | Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Owner Action


Key property (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | long Key
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the virtual key. These are the virtual key codes used by the Microsoft Windows operating system.

For more information about virtual key codes for Visual Basic, refer to Visual Basic Constants for Key Codes.

For more information about virtual key codes for Visual C++, refer to Visual C++ Key Codes.

To change the current keystroke combination for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current keystroke combination for the action by calling the GetKeyboardAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Owner Action


Modifier property (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | long Modifier
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a flag that indicates which key to press with the key specified in the Key property. Possible values are:

Value | Meaning
CONVIEW_KEY_NONE | [0x00000000] No other key should be pressed.
CONVIEW_KEY_SHIFT | [0x00000001] Left or right Shift key must be pressed.
CONVIEW_KEY_CTRL | [0x00000002] Left or right Control key must be pressed.
CONVIEW_KEY_ALT | [0x00000004] Left or right ALT key must be pressed.

To change the current modifier for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current modifier for the action by calling the GetKeyboardAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, SetAction Method, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Owner Action


Use property (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Use
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) This property is updated with a value that indicates whether the action is active. Possible values are:

Flag | Meaning
VARIANT_TRUE | Action is active
VARIANT_FALSE | Action is inactive

Actions can also be associated with a keystroke combination.

To determine whether a specific action has a keystroke combination associated with it, use the GetKeyboardAction method, and to assign a keystroke combination to an action, use the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Owner Action


GetAction method (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | short GetAction();
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets the current values of the owner action properties.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Owner Action


GetKeyboardAction method (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | short GetKeyboardAction(enum MouseDirectionConstants Direction, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Updates the Key and Modifier properties with the current keystroke combination for this action.

The action must be activated inside a container, by calling the ActivateAction method, before calling this method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method.
Topics: | Image Viewer: Owner Action


SetAction method (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | short SetAction();
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Sets the properties for this owner action object.

If the action associated with the owner action is applied (mouse, or keyboard action) the control will fire the related KeyDown, KeyUp, MouseMove, MouseDown, MouseUp, or MouseWheel events.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Owner Action


SetKeyboardAction method (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | short SetKeyboardAction(MouseDirectionConstants Direction);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Assigns a keystroke (Key and Modifier properties) to the action and a particular mouse movement.

The action must be activated inside a container before applying this method by calling ActivateAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

If the mouse or keyboard action associated with the owner action control is applied, the control will fire the related events KeyDown, KeyUp, MouseMove, MouseDown, MouseUp, or MouseWheel.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Owner Action


SetMouseButtonAction method (ILEADOwnerAction)

Visual Basic example

Visual C++ example

Syntax | short SetMouseButtonAction (MouseButtonConstants MouseButton, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Specifies the action’s mouse buttons.

The action must be activated inside a container before it can be assigned to a mouse button by calling ActivateAction method.

If the action is set to a mouse button that is already used by another action within the container this action will overwrite the old one. For example, if you set a mouse button for an owner action object in the container, and then set the same mouse button for a scale action object in the same container, the mouse button will cause a scale action within the container.

Actions can also be associated with keystroke combinations. To assign the action to a keystroke combination, set the Key and Modifier properties and call the SetKeyboardAction method.

If the action associated to the owner action is applied (mouse, or keyboard action) the control will fire the related events KeyDown, KeyUp, MouseMove, MouseDown, MouseUp, or MouseWheel.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Owner Action


AddTag method (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | Short AddTag(long lRow, CellAlignConstants Align, CellTagConstants TagType, BSTR String, long lFlag);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Add a tag to the specific location of the cell.

If two tags are written to the same location, the second tag written will overwrite the first tag.

To change the quality of the tag text, use TextQuality property.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property.
Topics: | Image Viewer: Cell Properties


BitmapList property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | LPDISPATCH BitmapList
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) Gets the ILEADRaster object that contains the bitmap list attached to the cell.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


ColumnPosition property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | long ColumnPosition
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read Only) Gets the cell's horizontal position (column). Column numbering starts with 1.

The column value obtained by this property is relative to the first cell in the container.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


EnableChangeOnMove property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableChangeOnMove
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates whether the action is applied when the user drags the mouse. This parameter is ignored if the Individual property is set to VARIANT_TRUE. Possible values are:

Value | Meaning
VARIANT_TRUE | Applies the action when the user drags the mouse.
VARIANT_FALSE | Applies the action after the user releases the mouse button. This is the Default value.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


Freeze property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Freeze
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates whether to freeze or unfreeze the cell. Possible values are:

Value | Meaning
VARIANT_TRUE | Freezes the cell. No further container actions can be applied to this cell while it is frozen.
VARIANT_FALSE | Un-freezes the cell. Actions associated with the container can be applied to the specified cell.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


Height property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | float Height
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read Only) Gets the height of the cell rectangle.

The unit of measure is determined by the ScaleMode property, and the position of the rectangle is relative to the origin of the bitmap.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Width Property.
Topics: | Image Viewer: Cell Properties


Individual property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Individual
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates whether the window level and alpha actions will be applied on each sub image separately. Possible values are:

Value | Meaning
VARIANT_TRUE | Applies the window level and alpha actions on each sub image separately.
VARIANT_FALSE | Applies the window level and alpha actions on every image in the list, after it has been applied to one image on the list. This is the default value.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


InsertBitmapList Method (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | short InsertBitmapList(LPDISPATCH pRasterList, VARIANT_BOOL bCleanImages, long lFlag);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Attaches a bitmap list to the cell.

It is best not to modify an existing bitmap list attached to the cell. However, if it is necessary to modify an attached bitmap list, follow the steps below:

1. | Get the bitmap list using the BitmapList Property .
2. | Call InsertBitmapList method with pRasterList set to NULL and bCleanImages set to FALSE.
3. | Modify the bitmap list as needed.
4. | Reattach the bitmap using InsertBitmapList.

If the cell already has a bitmap list and you call this method with pRasterList set to another valid list of bitmaps and bCleanImages set to TRUE, this method frees the current attached list and attaches the new list to the cell.

If the cell already has a bitmap list and you call this method with pRasterList set to another valid list of bitmaps and bCleanImages set to FALSE, this method will just overwrite the current list of bitmap with the new list of bitmaps. And the current list will just take up memory until the application ends.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property.
Topics: | Image Viewer: Cell Properties


IsFit property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL IsFit
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates whether the image is scaled to fit the window size. Possible values are:

Value | Meaning
VARIANT_TRUE | The image is scaled to fit the window size.
VARIANT_FALSE | The image is displayed at its normal size. This is the default value.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


Left property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | float Left
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read Only) Gets the X coordinate of the origin of the cell rectangle.

The unit of measure is determined by the ScaleMode property, and the position of the rectangle is relative to the origin of the bitmap.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


RowPosition property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | long RowPosition
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read Only) Gets the cell's vertical position (row). Row numbering starts with 1.

The row value obtained by this property is relative to the first cell in the container.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


Select property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Select
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates whether to select or deselect the cell. Possible values are:

Value | Meaning
VARIANT_TRUE | Selects the cell at the specified index.
VARIANT_FALSE | Deselects the cell at the specified index.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


ShowRuler property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | ShowRulerConstants ShowRuler
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates which ruler to display. Possible values are:

Value | Meaning
CONVIEW_SHOWRULER_NONE | [0x00000000] Display no ruler.
CONVIEW_SHOWRULER_BOTH | [0x00000001] Display the horizontal and vertical rulers. This is the default value.
CONVIEW_SHOWRULER_VERT | [0x00000002] Display the vertical ruler.
CONVIEW_SHOWRULER_HORZ | [0x00000003] Display the horizontal ruler.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


ShowTags property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | ShowTagsConstants ShowTags
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates whether to display the tags. Possible values are:

Value | Meaning
CONVIEW_SHOWTAGS_SHOW | [0x00000000] Show tags. This is the default value.
CONVIEW_SHOWTAGS_HIDE | [0x00000001] Hide tags.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


SubColumnCount property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | long SubColumnCount
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the number of columns within the cell. The default value is 1.

See Also

Elements: | SubRowCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


SubRowCount property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | long SubRowCount
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the number of rows within the cell. The default value is 1.

See Also

Elements: | SubColumnCount property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


Top property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | float Top
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read Only) Gets the Y coordinate of the origin of the cell rectangle.

The unit of measure is determined by the ScaleMode property, and the position of the rectangle is relative to the origin of the bitmap.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


Width property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | float Width
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read Only) Gets the width of the cell rectangle.

The unit of measure is determined by the ScaleMode property, and the position of the rectangle is relative to the origin of the bitmap.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property.
Topics: | Image Viewer: Cell Properties


Window property (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | long Window
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) Gets the cell window handle.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, ShowRuler Property, ShowTags Property, RepositionCell Method, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property, Width Property.
Topics: | Image Viewer: Cell Properties


RepositionCell method (ILEADRasterContainerCell)

Visual Basic example

Visual C++ example

Syntax | short RepositionCell(long lTargetCellIndex);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Sets the position of the cell, based on the lTargetCellIndex value.

See Also

Elements: | SubRowCount Property, SubColumnCount Property, EnableChangeOnMove Property, Individual Property, IsFit Property, Select Property, Freeze Property, RowPosition Property, ColumnPosition Property, Window Property, ShowRuler Property, ShowTags Property, AddTag Method, InsertBitmapList Method, RulerStyle property, BitmapList Property, Top Property, Left Property, Height Property.
Topics: | Image Viewer: Cell Properties


ActiveActionCount property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | long ActiveActionCount
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) Gets the number of activated actions associated with the container.

To activate or deactivate the defined or owner actions, use the ActivateAction and SetMouseButtonAction Method s of the WindowLevelAction, AlphaAction, OffsetAction, ScaleAction, StackAction, MagnifyGlassAction, and OwnerAction properties.

See Also

Elements: | MagnifyGlassAction property, WindowLevelAction property, AlphaAction property, OffsetAction property, ScaleAction property, StackAction property, OwnerActionImageList property, OwnerAction property.
Topics: | Image Viewer: Container Properties


AlphaAction property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | ILEADAlphaAction * AlphaAction
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Runtime-only) Gets the alpha action information for the container.

The alpha action information can be accessed by the following properties and methods located inside ILEADAlphaAction object:

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

Factor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

See Also

Elements: | ActiveActionCount property, MagnifyGlassAction property, WindowLevelAction property, OffsetAction property, ScaleAction property, StackAction property, OwnerActionImageList property, OwnerAction property.
Topics: | Image Viewer: Container Properties


Appearance property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | short Appearance
Overview | Refer to Using the Image Viewer

Remarks

(Persistent property, available at design time) Determines whether the "Display Container" has a flat or three-dimensional appearance.

Value | Meaning
CONVIEW_APPEARANCE_FLAT | [0x00000000] Flat appearance
CONVIEW_APPEARANCE_THREED | [0x00000001]Three-dimensional appearance

See Also

Elements: | Window Property.
Topics: | Image Viewer: Container Properties


Cell property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | ILEADRasterContainerCell * Cell(long Index);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Runtime-only) Gets the cell information from the collection of cells inside the conatiner.

The index of the first cell is 0, and the index of the last cell is CellCount -1.

The cell information can be accessed by the following properties and methods located inside the ILEADRasterContainerCell object:

AddTag Method

BitmapList Property

ColumnPosition Property

EnableChangeOnMove Property

Freeze Property

Height Property

Individual Property

InsertBitmapList Method

IsFit Property

Left Property

RepositionCell Method

RowPosition Property

RulerStyle property

Select Property

ShowRuler Property

ShowTags Property

SubColumnCount Property

SubRowCount Property

Top Property

Width Property

Window Property

See Also

Elements: | FirstVisibleRow property, InsertCell method, RemoveCell method, SetContainerProperties method, GetContainerProperties method, CellCount property.
Topics: | Image Viewer: Container Properties


CellCount property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | long CellCount
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) Gets the number of cells managed by the container.

To add cells to the container, use the InsertCell method. To remove one or more cells from the container, use the RemoveCell method.

Please note that the maximum number of rows that a container can have is 4 and the maximum number of columns is 8. However, the number of cells that can be added to a container is limited only by the available memory.

See Also

Elements: | FirstVisibleRow property, InsertCell method, RemoveCell method, SetContainerProperties method, GetContainerProperties method.
Topics: | Image Viewer: Container Properties


ControlWindow property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | long ControlWindow
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) Gets the handle of the actual "Display Container" window. Use this instead of the Window Property to use GDI functions such as GetDC to directly draw on or send messages to the window of the "Display Container".

See Also

Elements: | Appearance property
Topics: | Window Control/Image Viewer: Using the Image Viewer


EnableMethodErrors property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableMethodErrors
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
VARIANT_TRUE | Generate runtime exceptions.
VARIANT_FALSE | Do not generate runtime exceptions.

See Also

Topics:

Image Viewer: Container Properties


FirstVisibleRow property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | long FirstVisibleRow
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the first visible row of cells in the container.

This property is useless if the number of cells in the container is less than the number of rows in the container times the number of columns in the container. To determine the number of cells in the container, read the CellCount property.

The number of rows and columns in the container can be altered programmatically by calling the SetContainerProperties method. The number of rows and columns in the container can be altered dynamically by adding or removing splitters.

See Also

Elements: | CellCount property, InsertCell method, RemoveCell method, SetContainerProperties method, GetContainerProperties method.
Topics: | Image Viewer: Container Properties


MagnifyGlassAction property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | ILEADMagnifyGlassAction * MagnifyGlassAction
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Runtime-only) Gets the magnifying glass action information for the container.

The MagnifyGlass Action information can be accessed by the following properties and methods located inside the ILEADMagnifyGlassAction object:

ActivateAction Method

Appearance3D Property

BorderSize Property

CrossHair Property

Ellipse Property

GetAction Method

Height Property

PenColor Property

SetAction Method

SetMouseButtonAction Method

Use Property

Width Property

ZoomFactor Property

See Also

Elements: | ActiveActionCount property, WindowLevelAction property, AlphaAction property, OffsetAction property, ScaleAction property, StackAction property, OwnerActionImageList property, OwnerAction property.
Topics: | Image Viewer: Container Properties


OffSetAction property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | ILEADOffsetAction * OffsetAction
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Runtime-only) Gets the offset action information for the container.

The offset action information can be accessed by the following properties and methods located inside ILEADOffsetAction object:

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

XOffset Property

YOffset Property

See Also

Elements: | ActiveActionCount property, MagnifyGlassAction property, WindowLevelAction property, AlphaAction property, ScaleAction property, StackAction property, OwnerActionImageList property, OwnerAction property.
Topics: | Image Viewer: Container Properties


OwnerAction property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | ILEADOwnerAction * OwnerAction(long lActionID)
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Runtime-only) Gets the owner action information for the container.

The owner action information can be accessed by the following properties and methods located inside ILEADOwnerAction object:

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

If the action associated to the owner action is applied (mouse, or keyboard action) the control fire the related event (KeyDown, KeyUp, MouseMove, MouseDown, MouseUp, or MouseWheel).

See Also

Elements: | ActiveActionCount property, MagnifyGlassAction property, WindowLevelAction property, AlphaAction property, OffsetAction property, ScaleAction property, StackAction property, OwnerActionImageList property.
Topics: | Image Viewer: Container Properties


OwnerActionImageList property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | LPDISPATCH OwnerActionImageList(long lIndex);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) Gets the bitmap at a specific index from all the cell's bitmap lists selected by the user when the owner action is fired.

This property is activated only when the control fires the related owner action events (KeyDown, KeyUp, MouseMove, MouseDown, MouseUp, MouseWheel). The count of this bitmap lists is updated in lCount parameter of the owner action events.

See Also

Elements: | OwnerAction property.
Topics: | Image Viewer: Container Properties


Resize property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | void Resize(void);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Occurs when the "Display Container" first appears and whenever the size of the control changes.

See Also

Elements: | Resize property, KeyPress event, Click event, DblClick event, CellTag event, KeyDown event, KeyUp event, MouseMove event, MouseDown event, MouseUp event, MouseWheel event
Topics: | Image Viewer: Container Properties


ScaleAction property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | ILEADScaleAction * ScaleAction
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Runtime-only) Gets the scale action information for the container.

The scale action information can be accessed by the following properties and methods located inside ILEADScaleAction object:

ActivateAction Method

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

ScaleFactor property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

See Also

Elements: | ActiveActionCount property, MagnifyGlassAction property, WindowLevelAction property, AlphaAction property, OffsetAction property, StackAction property, OwnerActionImageList property, OwnerAction property.
Topics: | Image Viewer: Container Properties


ScaleHeight property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | float ScaleHeight
Overview | Refer to Using the Image Viewer

Remarks

(Persistent property, available at design time) Gets or sets the height of the client area of the "Display Container".

This is the true client area. The unit of measure is determined by the ScaleMode property.

If you write this property, the actual height of the control does not change, but the current height is expressed using the value that you provide. This lets you use a custom coordinate system. For example, you could set the ScaleWidth and ScaleHeight both to 100; then express all coordinates as percentage offsets.

See Also

Elements: | ScaleMode property, ScaleTop property, ScaleLeft property, ScaleWidth property
Topics: | Image Viewer: Container Properties


ScaleLeft property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | float ScaleLeft
Overview | Refer to Using the Image Viewer

Remarks

(Persistent property, available at design time) Gets or sets the X coordinate of the origin, in a custom coordinate system, for the client area.

This value is always 0, unless you change it to implement a custom coordinate system.

See Also

Elements: | ScaleMode property, ScaleTop property, ScaleHeight property, ScaleWidth property
Topics: | Image Viewer: Container Properties


ScaleMode property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | RasterScaleModeConstants ScaleMode
Overview | Refer to Using the Image Viewer

Remarks

(Persistent property, available at design time) Specifies the unit of measure for the "Display Container".

You can change the unit of measure at any time without affecting measurements that the "Display Container" maintains. The control accepts floating point values and converts them to pixels internally. This means, for example, that if you set a property value in twips, the value that you get back may be slightly different, since it is rounded to the nearest pixel.

Value | Meaning
0 | Indicates that one or more of the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties are set to custom values.
1 | Twips (1440 twips per logical inch; 567 twips per logical centimeter).
2 | Points (72 points per logical inch).
3 | Pixels (smallest unit of monitor or printer resolution).
4 | Characters (horizontal = 120 twips per unit; vertical = 240 twips per unit).
5 | Inches.
6 | Millimeters.
7 | Centimeters.

See Also

Elements: | ScaleTop property, ScaleLeft property, ScaleHeight property, ScaleWidth property
Topics: | Image Viewer: Container Properties


ScaleTop property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | float ScaleTop
Overview | Refer to Using the Image Viewer

Remarks

(Persistent property, available at design time) Gets or sets the Y coordinate of the origin, in a custom coordinate system, for the client area.

This value is always 0, unless you change it to implement a custom coordinate system.

See Also

Elements: | ScaleMode property, ScaleLeft property, ScaleHeight property, ScaleWidth property
Topics: | Image Viewer: Container Properties


ScaleWidth property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | float ScaleWidth
Overview | Refer to Using the Image Viewer

Remarks

(Persistent property, available at design time) Gets or sets the width of the client area of the "Display Container".

This is the true client area. The unit of measure is determined by the ScaleMode property.

If you write to this property, the actual width of the control does not change, but the current width is expressed using the value that you provide. This lets you use a custom coordinate system. For example, you could set the ScaleWidth and ScaleHeight both to 100; then express all coordinates as percentage offsets.

See Also

Elements: | ScaleMode property, ScaleTop property, ScaleLeft property, ScaleHeight property
Topics: | Image Viewer: Container Properties


StackAction property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | ILEADStackAction * StackAction
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Runtime-only) Gets the stack action information for the container.

The stack action information can be accessed by the following properties and methods located inside the ILEADStackAction object:

ActivateAction Method

ActiveSubCell Property

Change Property

CircularMouseMove Property

Cursor Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

ScrollValue Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

Use Property

See Also

Elements: | ActiveActionCount property, MagnifyGlassAction property, WindowLevelAction property, AlphaAction property, OffsetAction property, ScaleAction property, OwnerActionImageList property, OwnerAction property.
Topics: | Image Viewer: Container Properties


Window property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | long ControlWindow
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) Gets the handle of the "Display Container".

See Also

Elements: | ControlWindow property.
Topics: | Image Viewer: Container Properties


WindowLevelAction property (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | ILEADWindowLevelAction * WindowLevelAction
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Runtime-only) Gets the window level action information for the container.

The Window Level Action information can be accessed by the following properties and methods located inside the ILEADWindowLevelAction object:

ActivateAction Method

Center Property

Change Property

CircularMouseMove Property

Cursor Property

EndColor Property

FillType Property

GetAction Method

GetKeyboardAction Method

Key Property

Modifier Property

SetAction Method

SetKeyboardAction Method

SetMouseButtonAction Method

StartColor Property

Use Property

Width Property

See Also

Elements: | ActiveActionCount property, MagnifyGlassAction property, AlphaAction property, OffsetAction property, ScaleAction property, StackAction property, OwnerActionImageList property, OwnerAction property.
Topics: | Image Viewer: Container Properties


CellTag event (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | void CellTag(long hDC, long lCellIndex, long lLeft, long lTop, long lWidth, long lHeight);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Occurs when a cell needs to be repainted if the cell contains a custom (owner draw) tag.

See Also

Elements: | Resize property, KeyPress event, Click event, DblClick event, CellTag event, KeyDown event, KeyUp event, MouseMove event, MouseDown event, MouseUp event, MouseWheel event
Topics: | Image Viewer: Container Properties


Click event (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | void Click(void);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Occurs when the user presses and releases a mouse button over the "Display Container".

This is one of three events that occur in the following order:

1. | MouseDown event
2. | MouseUp event
3. | Click event

The first two events let you check which mouse button is pressed.

See Also

Elements: | Resize property, KeyPress event, DblClick event, CellTag event, KeyDown event, KeyUp event, MouseMove event, MouseDown event, MouseUp event, MouseWheel event
Topics: | Image Viewer: Container Properties


DblClick event (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | void DblClick(void);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Occurs when the user double-clicks a mouse button inside the "Display Container". This is one of four events that occur in the following order when the user double-clicks a mouse button:

1. | MouseDown event
2. | Click event
3. | MouseUp event
4. | DblClick event

The MouseDown and MouseUp events let you check which mouse button is pressed.

See Also

Elements: | Resize property, KeyPress event, Click event, CellTag event, KeyDown event, KeyUp event, MouseMove event, MouseDown event, MouseUp event, MouseWheel event
Topics: | Image Viewer: Container Properties


KeyDown event (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | void KeyDown(SHORT KeyCode, SHORT Shift, long lActionID, long lCount);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Occurs when the user presses a key while the "Display Container" has the focus. To interpret ANSI characters, use the KeyPress event.

See Also

Elements: | Resize property, KeyPress event, Click event, DblClick event, CellTag event, KeyUp event, MouseMove event, MouseDown event, MouseUp event, MouseWheel event
Topics: | Image Viewer: Container Properties


KeyPress event (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | void KeyPress(short KeyAscii);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Occurs when the user presses and releases an ANSI key.

See Also

Elements: | Resize property, KeyPress event, Click event, DblClick event, CellTag event, KeyDown event, KeyUp event, MouseMove event, MouseDown event, MouseUp event, MouseWheel event
Topics: | Image Viewer: Container Properties


KeyUp event (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | void KeyUp(SHORT KeyCode, SHORT Shift, long lActionID, long lCount);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Occurs when the user releases a key while an object has the focus. To interpret ANSI characters, use the KeyPress event.

See Also

Elements: | Resize property, KeyPress event, Click event, DblClick event, CellTag event, KeyDown event, MouseMove event, MouseDown event, MouseUp event, MouseWheel event
Topics: | Image Viewer: Container Properties


MouseDown event (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | void MouseDown(SHORT Button, SHORT Shift, FLOAT x, FLOAT y, long lActionID, long lCount);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Occurs when the user presses a mouse button.

See Also

Elements: | Resize property, KeyPress event, Click event, DblClick event, CellTag event, KeyDown event, KeyUp event, MouseMove event, MouseUp event, MouseWheel event
Topics: | Image Viewer: Container Properties


MouseMove event (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | void MouseMove(SHORT Button, SHORT Shift, FLOAT x, FLOAT y, long lActionID, long lCount);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Occurs when the user moves the mouse over the "Display Container".

See Also

Elements: | Resize property, KeyPress event, Click event, DblClick event, CellTag event, KeyDown event, KeyUp event, MouseDown event, MouseUp event, MouseWheel event
Topics: | Image Viewer: Container Properties


MouseUp event (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | void MouseUp(SHORT Button, SHORT Shift, FLOAT x, FLOAT y, long lActionID, long lCount);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Occurs when the user releases a mouse button.

See Also

Elements: | Resize property, KeyPress event, Click event, DblClick event, CellTag event, KeyDown event, KeyUp event, MouseMove event, MouseDown event, MouseWheel event
Topics: | Image Viewer: Container Properties


MouseWheel event (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | void MouseWheel(SHORT nDelta, SHORT Shift, FLOAT x, FLOAT y, long lActionID, long lCount);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Occurs when the user rotates or clicks the mouse wheel over the "Display Container".

See Also

Elements: | Resize property, KeyPress event, Click event, DblClick event, CellTag event, KeyDown event, KeyUp event, MouseMove event, MouseDown event, MouseUp event
Topics: | Image Viewer: Container Properties


GetContainerProperties method (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | short GetContainerProperties (ILEADContainerViewerProperties * pContainerViewerProperties, long lFlag);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets the container properties.

To set new container properties use the SetContainerProperties method.

See Also

Elements: | FirstVisibleRow property, InsertCell method, RemoveCell method, SetContainerProperties method.
Topics: | Image Viewer: Container Properties


InsertCell method (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | short InsertCell(long lCellIndex, long lFlag);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Adds a new empty cell to the container.

When the user passes –1 or a number greater than the cell count in lCellIndex, this method will append the container with the new cell. Otherwise all the cells starting from lCellIndex will be shifted to the right one block in order to add the new cell.

The newly inserted cell will be empty. To access the new cell properties, use the Cell property.

To remove any cell, use the RemoveCell Method.

See Also

Elements: | FirstVisibleRow property, CellCount property, RemoveCell method, SetContainerProperties method, GetContainerProperties method.
Topics: | Image Viewer: Container Properties


RemoveCell method (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | short RemoveCell(long lCellIndex, VARIANT_BOOL bCleanImages, long lFlag);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Removes a cell from the container.

When a cell is removed from the container, any cells to the right or below the removed cell will be automatically shifted to the left, or up, to the end of the preceding row, as needed.

To insert a new cell, use InsertCell Method.

When the "Display Container" itself is no longer needed, the Control automatically destroy any cells within the container, any associated bitmaps, and any internal data.

See Also

Elements: | FirstVisibleRow property, CellCount property, InsertCell method, SetContainerProperties method, GetContainerProperties method.
Topics: | Image Viewer: Container Properties


SetContainerProperties method (ILEADRasterContainerViewer)

Visual Basic example

Visual C++ example

Syntax | short SetContainerProperties (ILEADContainerViewerProperties * pContainerViewerProperties, long lFlag);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Sets the container properties.

If this method is not called, the default container properties are used.

To get the current properties of the container, use the GetContainerProperties method.

See Also

Elements: | FirstVisibleRow property, InsertCell method, RemoveCell method, GetContainerProperties method.
Topics: | Image Viewer: Container Properties


ActivateAction Method (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | short ActivateAction(VARIANT_BOOL bActive, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Activates or deactivates the action.

To set or get the properties of the action, use SetAction and GetAction Method.

The action can be associated with a particular mouse movement, a keystroke combination, or both. To associate an action with the mouse, use SetMouseButtonAction method. To assign the action to a keystroke combination, set the Key and Modifier properties and call the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


Change property (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | long Change
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a percentage value that represents the mouse sensitivity. Possible values are >= 0. Default is 100. A value of 100 indicates that the amount of change in the action is equal to the amount of movement of the mouse. For example, if the mouse is moved 1 pixel, the action changes by 1 unit. A value of 50 indicates that the amount of change in the action is 50% of the amount of mouse movement. For example, if the mouse is moved 2 pixels, the action only changes by one unit.

This property is applied at the container level.

To change the current mouse sensitivity for this scale action, set this property and call the SetAction method.

This property is updated with the current mouse sensitivity value by calling the GetAction method.

See Also

Elements: | Cursor Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


CircularMouseMove property (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL CircularMouseMove
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Enables or disables the circular mouse movement, when the mouse pointer reaches the sides of the container.

Enabling the circular mouse movement means, when the mouse is dragging to one side of the container, it will disappear from that side and reappear on the opposite side. This also applies to the top and bottom of the container.

This property is applied at the container level.

Setting | Description
VARIANT_TRUE | Enables the circular mouse movement when it reaches the side (any side: left, right, top or bottom) of the container. This is the default value.
VARIANT_FALSE | Disables the circular mouse. The cursor will act normally. It will not disappear when it reaches one side and reappear on the opposite side.

To change the current status of the mouse movement, set this property and call the SetAction method.

This property is updated with the current status of the mouse movement by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


Cursor property (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | IPictureDisp * Cursor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the default cursor for this action.

This property is applied at the container level.

Default is the arrow cursor.

To set a new cursor for the scale action, set this property and call the SetAction method.

This property is updated with the currently used cursor by calling the GetAction method.

See Also

Elements: | Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


Key property (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | long Key
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the virtual key. These are the virtual key codes used by the Microsoft Windows operating system.

For more information about virtual key codes for Visual Basic, refer to Visual Basic Constants for Key Codes.

For more information about virtual key codes for Visual C++, refer to Visual C++ Key Codes.

To change the current keystroke combination for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current keystroke combination for the action by calling the GetKeyboardAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


Modifier property (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | long Modifier
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the flag that indicates which key to press with the key specified in the Key property. Possible values are:

Value | Meaning
CONVIEW_KEY_NONE | [0x00000000] No other key should be pressed.
CONVIEW_KEY_SHIFT | [0x00000001] Left or right Shift key must be pressed.
CONVIEW_KEY_CTRL | [0x00000002] Left or right Control key must be pressed.
CONVIEW_KEY_ALT | [0x00000004] Left or right ALT key must be pressed.

To change the current modifier for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current modifier for the action by calling the GetAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


ScaleFactor property (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | long Scale
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the scaling factor, given in percentage. This property is applied on the cell level. The default is 100%.

To change the current scaling factor for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current scaling factor for the action by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method.
Topics: | Image Viewer: Scale Action


Use property (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Use
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) This property is updated with a value that indicates whether the action is active.

Flag | Meaning
VARIANT_TRUE | Action is active
VARIANT_FALSE | Action is inactive

Actions can also be associated with a keystroke combination.

To determine whether a specific action has a keystroke combination associated with it, use the GetKeyboardAction method, and to assign a keystroke combination to an action, use the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


GetAction Method (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | short GetAction (long lCellIndex, ActionLevelConstants ActionLevel);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets the current values of the scale action properties, based on the ActionLevel flag.

If the ActionLevel flag is: | Then the following properties are updated by this method:
CONVIEW_ACTIONLEVEL_CONTAINER | Cursor property, Change property, CircularMouseMove property, StartColor Property, EndColor Property.
CONVIEW_ACTIONLEVEL_CELL | ScaleFactor property.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetKeyboardAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


GetKeyboardAction Method (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | short GetKeyboardAction(enum MouseDirectionConstants Direction, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Updates the Key and Modifier properties with the current keystroke combination for this action.

The action must be activated inside a container, by calling ActivateAction method, before calling this method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


SetAction Method (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | short SetAction(long lCellIndex, ActionLevelConstants ActionLevel);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Sets the properties for this scale action object, based on the ActionLevel flag.

If the ActionLevel flag is: | Then the properties that should be set before calling this method are:
CONVIEW_ACTIONLEVEL_CONTAINER | Cursor property, Change property, CircularMouseMove property.
CONVIEW_ACTIONLEVEL_CELL | ScaleFactor property.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, GetAction Method, GetKeyboardAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


SetKeyboardAction Method (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | short SetKeyboardAction(MouseDirectionConstants Direction);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Assigns a keystroke (Key and Modifier properties) to the action and a particular mouse movement.

The action must be activated inside a container before applying this method by calling ActivateAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


SetMouseButtonAction Method (ILEADScaleAction)

Visual Basic example

Visual C++ example

Syntax | short SetMouseButtonAction (MouseButtonConstants MouseButton, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Specifies the action’s mouse buttons.

The action must be activated inside a container before it can be assigned to a mouse button by calling ActivateAction method.

If the action is set to a mouse button that is already used by another action within the container this action will overwrite the old one. For example, if you set a mouse button for an owner action object in the container, and then set the same mouse button for a scale action object in the same container, the mouse button will cause a scale action within the container.

Actions can also be associated with keystroke combinations. To assign the action to a keystroke combination, set the Key and Modifier properties and call the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScaleFactor property.
Topics: | Image Viewer: Scale Action


ActivateAction Method (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | short ActivateAction(VARIANT_BOOL bActive, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Activates or deactivates the action.

To set or get the properties of the action, use SetAction and GetAction Method.

The action can be associated with a particular mouse movement, a keystroke combination, or both. To associate an action with the mouse, use the SetMouseButtonAction method. To assign a keystroke combination, set the Key, and Modifier properties and then call the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScrollValue property, ActiveSubCell property.
Topics: | Image Viewer: Stack Action


ActiveSubCell property (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | long ActiveSubCell
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the index of the current active sub cell.

This property is applied on the cell level.

The default is 0.

To change the index of the current active sub-cell for the action, set this property and call the SetAction method.

This property is updated with the index of the current active sub-cell for the action by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScrollValue property.
Topics: | Image Viewer: Stack Action


Change property (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | long Change
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a percentage value that represents the mouse sensitivity. Possible values are >= 0. Default is 100. A value of 100 indicates that the amount of change in the action is equal to the amount of movement of the mouse. For example, if the mouse is moved 1 pixel, the action changes by 1 unit. A value of 50 indicates that the amount of change in the action is 50% of the amount of mouse movement. For example, if the mouse is moved 2 pixels, the action only changes by one unit.

This property is applied at the container level.

To change the current mouse sensitivity for this owner action, set this property and call the SetAction method.

This property is updated with the current mouse sensitivity value by calling the GetAction method.

See Also

Elements: | Cursor Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScrollValue property, ActiveSubCell property.
Topics: | Image Viewer: Stack Action


CircularMouseMove property (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL CircularMouseMove
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Enables or disables the circular mouse movement, when the mouse pointer reaches the sides of the container.

Enabling the circular mouse movement means, when the mouse is dragging to one side of the container, it will disappear from that side and reappear on the opposite side. This also applies to the top and bottom of the container.

This property is applied at the container level.

Setting | Description
VARIANT_TRUE | Enables the circular mouse movement when it reaches the side (any side: left, right, top or bottom) of the container. This is the default value.
VARIANT_FALSE | Disables the circular mouse . The cursor will act normally. It will not disappear when it reaches one side and reappear on the opposite side.

To update the action with the value of the property, the user must call SetAction method after setting the value of this property.

To obtain the value of this property, the user must call GetAction method before calling this property.

To change the current status of the mouse movement, set this property and call the SetAction method.

This property is updated with the current status of the mouse movement by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScrollValue property, ActiveSubCell property.
Topics: | Image Viewer: Stack Action


Cursor property (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | IPictureDisp * Cursor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the default cursor for this action.

This property is applied at the container level.

Default is the arrow cursor.

To set a new cursor for the stack action, set this property and call the SetAction method.

This property is updated with the currently used cursor by calling the GetAction method.

See Also

Elements: | Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScrollValue property, ActiveSubCell property.
Topics: | Image Viewer: Stack Action


Key property (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | long Key
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the virtual key. These are the virtual key codes used by the Microsoft Windows operating system.

For more information about virtual key codes for Visual Basic, refer to Visual Basic Constants for Key Codes.

For more information about virtual key codes for Visual C++, refer to Visual C++ Key Codes.

To change the current keystroke combination for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current keystroke combination for the action by calling the GetAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScrollValue property, ActiveSubCell property.
Topics: | Image Viewer: Stack Action


Modifier property (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | long Modifier
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the flag that indicates which key to press with the key specified in Key property value. Possible values are:

Value | Meaning
CONVIEW_KEY_NONE | [0x00000000] No other key should be pressed.
CONVIEW_KEY_SHIFT | [0x00000001] Left or right Shift key must be pressed.
CONVIEW_KEY_CTRL | [0x00000002] Left or right Control key must be pressed.
CONVIEW_KEY_ALT | [0x00000004] Left or right ALT key must be pressed.

To change the current modifier for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current modifier for the action by calling the GetAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScrollValue property, ActiveSubCell property
Topics: | Image Viewer: Stack Action


ScrollValue property (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | long ScrollValue
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the current scroll value. This value represents the image within the image list. Every step of the scroll advances 1 image in the list.

This property is applied on the cell level.

The default is 0.

To change the current scroll value for the action, set this property and call the SetAction method.

This property is updated with the current scroll value for the action by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ActiveSubCell property.
Topics: | Image Viewer: Stack Action


Use property (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Use
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) This property is updated with a value that indicates whether the action is active. Possible values are:

Flag | Meaning
VARIANT_TRUE | Action is active
VARIANT_FALSE | Action is inactive

Actions can also be associated with a keystroke combination.

To determine whether a specific action has a keystroke combination associated with it, use the GetKeyboardAction method, and to assign a keystroke combination to an action, use the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScrollValue property, ActiveSubCell property.
Topics: | Image Viewer: Stack Action


GetAction Method (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | short GetAction (long lCellIndex, ActionLevelConstants ActionLevel);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets the current values of the stack action properties, based on the ActionLevel flag.

If the ActionLevel flag is: | Then the following properties are updated by this method:
CONVIEW_ACTIONLEVEL_CONTAINER | Cursor property, Change property, CircularMouseMove property, StartColor Property, EndColor Property.
CONVIEW_ACTIONLEVEL_CELL | ScrollValue property, ActiveSubCell property.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetKeyboardAction Method, ScrollValue property, ActiveSubCell property.
Topics: | Image Viewer: Stack Action


GetKeyboardAction Method (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | short GetKeyboardAction(enum MouseDirectionConstants Direction, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Updates the Key and Modifier properties with the current keystroke combination for this action.

The action must be activated inside a container, by calling the ActivateAction method, before calling this method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, ScrollValue property, ActiveSubCell property
Topics: | Image Viewer: Stack Action


SetAction Method (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | short SetAction(long lCellIndex, ActionLevelConstants ActionLevel);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Sets the properties for this stack action object. based on the ActionLevel flag.

If the ActionLevel flag is: | Then the following should be set before calling this method:
CONVIEW_ACTIONLEVEL_CONTAINER | Cursor property, Change property, CircularMouseMove property, StartColor Property, EndColor Property.
CONVIEW_ACTIONLEVEL_CELL | ScrollValue property, ActiveSubCell property.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, GetAction Method, GetKeyboardAction Method, ScrollValue property, ActiveSubCell property.
Topics: | Image Viewer: Stack Action


SetKeyboardAction Method (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | short SetKeyboardAction(MouseDirectionConstants Direction);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Assigns a keystroke (Key and Modifier properties) to the action and a particular mouse movement.

The action must be activated inside a container before applying this method by calling ActivateAction method.

If the action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScrollValue property, ActiveSubCell property
Topics: | Image Viewer: Stack Action


SetMouseButtonAction Method (ILEADStackAction)

Visual Basic example

Visual C++ example

Syntax | short SetMouseButtonAction (MouseButtonConstants MouseButton, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Specifies the action’s mouse buttons.

The action must be activated inside a container before it can be assigned to a mouse button by calling ActivateAction method.

If the action is set to a mouse button that is already used by another action, this action will overwrite the old one.

If the action is set to a mouse button that is already used by another action within the container this action will overwrite the old one. For example, if you set a mouse button for an owner action object in the container, and then set the same mouse button for a scale action object in the same container, the mouse button will cause a scale action within the container.

Actions can also be associated with keystroke combinations. To assign the action to a keystroke combination, use SetKeyboardAction method, Key, and Modifier properties.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, Use Property, SetKeyboardAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, ScrollValue property, ActiveSubCell property.
Topics: | Image Viewer: Stack Action


ActivateAction Method (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | short ActivateAction(VARIANT_BOOL bActive, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Activates or deactivates the action.

To set or get the properties of the action, use SetAction and GetAction Method.

The action can be associated with a particular mouse movement, a keystroke combination, or both. To associate an action with the mouse, use the SetMouseButtonAction method. To assign a keystroke combination, set the Key, and Modifier properties and then call the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


Center property (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | long Center
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the center of the window level gradient.

This property is applied on the sub cell level.

To change the current center of the window level gradient for the action, set this property and call the SetAction method.

This property is updated with the current center of the window level gradient for the action by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, FillType Property.
Topics: | Image Viewer: Window Level Action


Change property (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | long Change
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a percentage value that represents the mouse sensitivity. Possible values are >= 0. The default is 100. A value of 100 indicates that the amount of change in the action is equal to the amount of movement of the mouse. For example, if the mouse is moved 1 pixel, the action changes by 1 unit. A value of 50 indicates that the amount of change in the action is 50% of the amount of mouse movement. For example, if the mouse is moved 2 pixels, the action only changes by one unit.

This property is applied at the container level.

To change the current mouse sensitivity for this owner action, set this property and call the SetAction method.

This property is updated with the current mouse sensitivity value by calling the GetAction method.

See Also

Elements: | Cursor Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


CircularMouseMove property (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL CircularMouseMove
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Enables or disables the circular mouse movement, when the mouse pointer reaches the sides of the container.

Enabling the circular mouse movement means, when the mouse is dragging to one side of the container, it will disappear from that side and reappear on the opposite side. This also applies to the top and bottom of the container.

This property is applied at the container level.

Setting | Description
VARIANT_TRUE | Enables the circular mouse movement when it reaches the side (any side: left, right, top or bottom) of the container. This is the default value.
VARIANT_FALSE | Disables the circular mouse . The cursor will act normally. It will not disappear when it reaches one side and reappear on the opposite side.

To change the current status of the mouse movement, set this property and call the SetAction method.

This property is updated with the current status of the mouse movement by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


Cursor property (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | IPictureDisp * Cursor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the default cursor for this action.

This property is applied at the container level.

Default is the arrow cursor.

To set a new cursor for the window level action, set this property and call the SetAction method.

This property is updated with the currently used cursor by calling the GetAction method.

See Also

Elements: | Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


EndColor property (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR EndColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the ending color value for the gradient.

This property is applied at the container level.

The default color is white.

To change the ending color of the window level action, set this property and call the SetAction method.

This property is updated with the current ending color by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


FillType property (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | WindowLevelFillLUTConstants FillType
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets a value that indicates the LUT type.

This property is applied on the sub cell level. Possible values are:

Value | Meaning
FILLLUT_LINEAR | [0x0010] LUT is linear.
FILLLUT_EXPONENTIAL | [0x0020] LUT is exponential.
FILLLUT_LOGARITHMIC | [0x0030] LUT is logarithmic.
FILLLUT_SIGMOID | [0x0030] LUT is sigmoid.

To change the current fill type for the action, set this property and call the SetAction method.

This property is updated with the current fill type for the action by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property.
Topics: | Image Viewer: Window Level Action


Key property (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | long Key
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the virtual key. These are the virtual key codes used by the Microsoft Windows operating system.

For more information about virtual key codes for Visual Basic, refer to Visual Basic Constants for Key Codes.

For more information about virtual key codes for Visual C++, refer to Visual C++ Key Codes.

To change the current keystroke combination for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current keystroke combination for the action by calling the GetKeyboardAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


Modifier property (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | long Modifier
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the flag that indicates which key to press with the key specified in Key property value. Possible values are:

Value | Meaning
CONVIEW_KEY_NONE | [0x00000000] No other key should be pressed.
CONVIEW_KEY_SHIFT | [0x00000001] Left or right Shift key must be pressed.
CONVIEW_KEY_CTRL | [0x00000002] Left or right Control key must be pressed.
CONVIEW_KEY_ALT | [0x00000004] Left or right ALT key must be pressed.

To change the current modifier for the action, set this property and call the SetKeyboardAction method.

This property is updated with the current modifier for the action by calling the GetKeyboardAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


StartColor property (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR StartColor
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the starting color value for the gradient.

This property is applied at the container level.

The default color is black

To change the starting color of the window level action, set this property and call the SetAction method.

This property is updated with the current starting color by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


Use property (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Use
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) (Read only) This property is updated with a value that indicates whether the action is active.

Flag | Meaning
VARIANT_TRUE | Action is active
VARIANT_FALSE | Action is inactive

Actions can also be associated with a keystroke combination.

To determine whether a specific action has a keystroke combination associated with it, use GetKeyboardAction method, and to assign a keystroke combination to an action, use SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


Width property (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | long Width
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets or sets the width of the window level gradient.

This property is applied on the sub cell level.

To change the current width for the action, set this property and call the SetAction method.

This property is updated with the current width for the action by calling the GetAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


GetAction Method (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | short GetAction (long lCellIndex, long lSubCellIndex, ActionLevelConstants ActionLevel);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Gets the current values of the window level action properties, based on the ActionLevel flag.

If ActionLevel is: | Then the following properties are updated:
CONVIEW_ACTIONLEVEL_CONTAINER | Cursor property, Change property, CircularMouseMove property, StartColor property, EndColor Property.
CONVIEW_ACTIONLEVEL_CELL | Width property, Center property, FillType property.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


GetKeyboardAction Method (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | short GetKeyboardAction(enum MouseDirectionConstants Direction, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Updates the Key and Modifier properties with the current keystroke combination for this action.

The action must be activated inside a container before applying this method by calling ActivateAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


SetAction Method (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | short SetAction(long lCellIndex, long lSubCellIndex, ActionLevelConstants ActionLevel);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Sets the properties for this window level action, based on the ActionLevel flag.

If ActionLevel is: | Then the properties to set before calling this method are:
CONVIEW_ACTIONLEVEL_CONTAINER | Cursor property, Change property, CircularMouseMove property, StartColor property, EndColor Property.
CONVIEW_ACTIONLEVEL_CELL | Width Property, Center property, FillType Property

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


SetKeyboardAction Method (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | short SetKeyboardAction(MouseDirectionConstants Direction);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Assigns a keystroke (Key and Modifier properties) to the action and a particular mouse movement.

The action must be activated inside a container before applying this method by calling ActivateAction method.

If this action is set to a keystroke combination that is already used by another action within the container this action will overwrite the old one. For example, if you set a keystroke combination for an owner action object in the container, and then set the same keystroke combination for a scale action object in the same container, the keystroke combination will cause a scale action within the container.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetMouseButtonAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


SetMouseButtonAction Method (ILEADWindowLevelAction)

Visual Basic example

Visual C++ example

Syntax | short SetMouseButtonAction (MouseButtonConstants MouseButton, long lFlags);
Overview | Refer to Using the Image Viewer

Remarks

(Medical Imaging Suite) Specifies the action’s mouse buttons.

The action must be activated inside a container before it can be assigned to a mouse button by calling ActivateAction method.

If the action is set to a mouse button that is already used by another action within the container this action will overwrite the old one. For example, if you set a mouse button for an owner action object in the container, and then set the same mouse button for a scale action object in the same container, the mouse button will cause a scale action within the container.

Actions can also be associated with keystroke combinations. To assign the action to a keystroke combination, set the Key and Modifier properties and call the SetKeyboardAction method.

See Also

Elements: | Cursor Property, Change Property, CircularMouseMove Property, StartColor Property, EndColor Property, Use Property, SetKeyboardAction Method, ActivateAction Method, Key Property, Modifier Property, SetAction Method, GetAction Method, GetKeyboardAction Method, Width Property, Center Property, FillType Property.
Topics: | Image Viewer: Window Level Action


Raster Pro/Document/Medical Features

Raster Pro:

LEADTOOLS Raster Imaging Pro provides some imaging capabilities that are not available in the LEADTOOLS Raster Imaging product. In order to access these features, you must unlock them by calling UnlockSupport (L_SUPPORT_LTPRO, L_KEY_LTPRO). L_KEY_LTPRO can be found in ltkey.h.

If you are a licensed user of LEADTOOLS Raster Imaging, and would like to access Raster Imaging Pro features, you must contact Tech Support for information on obtaining a license and the unlock key for calling LSettings::UnlockSupport.

Document/Medical:

LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite are the most comprehensive imaging toolkits on the market. No other toolkit provides as many imaging features for color, gray-scale and black & white images in one development package, and for one price. These toolkits comprise LEAD's best code and are designed for the programmer who is looking for the fastest performance, and/or the most extensive color, document, and medical imaging capabilities available.

These toolkits contain powerful annotation capabilities and optimized document image processing filters, and high performance compression, decompression and viewing of JPEG, LEAD CMP, MRC and CCITT G3/G4. The annotation capabilities enable the programmer to add text, highlights, sticky notes, audio, ellipses, buttons, lines, arrows, rectangles, polygons, redaction (blackout), hotspots, freehand scribble, pointers, bitmap and text stamps, to black & white and color images. Programmers working with document imaging will also find special processing filters such as despeckle, deskew, favor black, and scale to gray to enhance their black and white 1 bit images. Additionally, you can achieve faster rotation in 90-degree increments by applying a rotated view perspective to the bitmap. These LEADTOOLS toolkits offer the fastest software-only JPEG decoder available.

LEADTOOLS Document Imaging

The LEADTOOLS Document Imaging toolkit contains all the features available in the LEADTOOLS Raster Imaging Pro. In addition, it contains the following capabilities:

Special functions for Document (bitonal) images. The LEADTOOLS functions for bitonal images are especially useful for working with images from black-and-white scanners or FAX machines. These functions let you do things such as automatically straighten (deskew) an image, remove spots (despeckle), or clarify a scaled display (using scale-to-gray and favor-black features).

Annotation. LEADTOOLS supports annotation of images by letting you overlay images with text, lines, shapes, arrows, buttons, highlights, hot spots, sticky notes, stamps, buttons, and sounds.

Fast rotation. LEADTOOLS achieves fast rotation in 90-degree increments by applying a rotated view perspective to the bitmap.

ISIS support. LEADTOOLS supports ISIS interfaces for driving scanning devices.

Faster compression and decompression. The Document/Medical editions work faster when loading and saving LEAD CMP, JPEG, and CCITT Group 3 and Group 4 images. The LEADTOOLS functions for loading and saving are the same in all products. The only difference is in performance.

1-bit Image Clean-up. The Document toolkits include support for removing dots, blobs, holes, inverted text, lines, borders, bumps and nicks from 1-bit images.

Region Clean-up. [Document/Medical] Remove all the holes from a region.

Embedded Messages. The Document toolkits include support for embedding messages in lossless image formats like bmp, tiff, lossless jpeg, etc. The message is embedded without any visible changes to the image, and does not appreciably increase the size of the image. The message is password-protected.

Image Conversion. The Document toolkits include support for transforming a bitmap into a binary image using specified thresholds or a threshold calculated automatically based on statistical features of the bitmap.

12 and 16 bit grayscale images. [Document/Medical] Load, process, display, window level and save 12 and 16 bit grayscale images (including support for 16-bit grayscale TIFF).

48 and 64 bit color images. [Document/Medical] Load, process, display, and save 48 and 64 bit color images.

MRC Support. [Document/Medical] LEADTOOLS supports the Mixed Raster Content format for color documents containing mixed image and text components. For more information, refer to the .

Halftoning. [Document/Medical] Convert 1-, 4-, 8-, 16-, 24-, or 32-bit bitmaps to a halftoned bitmap, with a specified pattern rotation. A halftoned bitmap is a 1-bit bitmap that has been dithered for black and white printing or display.

LEADTOOLS Document Imaging Suite

The LEADTOOLS Document Imaging Suite toolkit contains all the capabilities of LEADTOOLS Document Imaging, and includes the features listed below. Please note that the OCR features are included in this toolkit, however they can also be purchased as a plug-in for the LEADTOOLS Document Imaging toolkit. Also, JBIG support is provided in this toolkit, however a JBIG Module may be added on to LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging or LEADTOOLS Medical Imaging Suite.

OCR features. [Document/Medical] LEAD offers OCR features that use Scansoft Textbridge technology. Support for these features is included in the LEADTOOLS Document Imaging Suite, and can be added, via plug-in to the LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite toolkits. The OCR features allow you to perform optical character recognition and turn images into documents. Features include preset confidence and accuracy levels for controlling how sensitive the engine is to unrecognized text, artificial intelligence for improving recognition on documents of the same type, and built-in and user-defined lexicons for limiting the type of text to recognize within a particular zone. LEADTOOLS provides the ability to verify or correct text during, and (using LEAD's unique OCR editor) after recognition. LEAD's OCR editor ties the text being edited directly to the image, providing a visual reference to the original bitmap data. The OCR engine can perform Automatic area segmentation creating multi-layered zones, recognizing areas such as tables, rules, images and text. Or, you can manually designate up to 250 such zones. The OCR features support different fonts, sizes (5 to 72 point) and styles. Fax, dot matrix and halftones can be preprocessed to improve recognition results. The OCR Engine supports major European and Scandinavian languages (Danish, Dutch, Finnish, French, German, Italian, Norwegian, Portuguese, Russian, Spanish, and Swedish) as well as English. Support for dialects such as US. English, French Canadian, Latin American Spanish, Swiss German, and Brazilian Portuguese is also provided.

Recognized text can be exported to more than 40 different formats, including MS Word, MS Excel, Dbase andWordPerfect. The LEADTOOLS OCR features contain superior OCR processing speeds, for use in form recognition and processing applications.

LEAD's JBIG filter. [Document/Medical] LEAD includes support for this filter in the LEADTOOLS Document Imaging Suite toolkit. Support for this filter can be added to LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging or LEADTOOLS Medical Imaging Suite by purchasing the JBIG Module. JBIG defines a method for lossless compression encoding of a bi-level image (two-color image). This method can also be used for coding grayscale and color images. LEADTOOLS completely supports all three types of images, giving you the ability to make full use of this powerful compression technology. LEADTOOLS also supports the progressive capability of JBIG, allowing you to store and send multiple representations of images at different resolutions without any extra storage overhead.

LEADTOOLS Medical Imaging

LEADTOOLS Medical Imaging contains all the capabilities of LEADTOOLS Document Imaging. It also includes general medical imaging technologies (1-16,24,32 bit color, 1-16 bit grayscale and window leveling of 12 and 16-bit grayscale images) and support for the DICOM file format.

DICOM file support. [Medical] LEADTOOLS Medical Imaging provides COMPLETE support for the DICOM 3.0 specification, including all standard IOD classes and modalities (CR, CT, MR, NM, US, RF, SC, VL, etc.) and complete DICOM Basic Directory support.

Window leveling. [Document/Medical] Detect and set LowBit and HighBit for image data, display images with automatic LUT intensity expansion, or set LUT entries and ranges with specific values and gradients. Display images through the LUT without changing the data, or process the image data using the LUT. Linearize the number of pixels locally in a bitmap, based on the specified color space in order to bring out the detail in dark areas of an image, and smooth the edges between blocks.

Medical Imaging Processing. [Medical] LEADTOOLS Medical Imaging provides image processing functionality designed specifically to allow you to examine and improve the quality of medical images.

LEADTOOLS Medical Imaging Suite

LEADTOOLS Medical Imaging Suite contains all the capabilities of LEADTOOLS Medical Imaging. In addition, it supports the following:

DICOM Communication support. [Medical Suite] LEADTOOLS provides COMPLETE support for DICOM Communications, including all Service Classes (Verification, Storage, Query/Retrieve, Patient Management, etc), and contains high-level communications functions simplifying the creation of DICOM client/server applications.

(Document/Medical) is used in the documentation to designate the features that are available in LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite. Those features that are available only in the Medical toolkits are indicated in the documentation by (Medical). Features available only in the LEADTOOLS Medical Imaging Suite toolkit are indicated in the documentation by (Medical Suite).

(Internet only) is used in the documentation to designate the features that are available only in the LEADTOOLS Internet toolkit.

For more information, refer to Document/Medical Edition Support and Licensing Requirements.


Document/Medical Support and Licensing Requirements

Document/Medical Licensing and Royalty Agreements:

Congratulations! You have licensed one of the LEADTOOLS Document/Medical software products, the most comprehensive imaging toolkits on the market, enabling you to create powerful imaging applications. The license terms for LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite require runtime licensing based on the number of copies of your application that you deploy (i.e., distribute or install and use internally).

By paying the initial box price for the applicable LEADTOOLS product, you have obtained a development license, which entitles you to develop your application and test it. Once completed, if you wish to distribute the application or deploy it internally on multiple machines, you are required to enter into a duplication and distribution agreement with LEAD. You have the ability to choose from several licensing options depending on your volume needs.

The product you are installing is a fully functional working version and includes support for all features in LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite. (Depending on which product you have licensed, some of the features may ultimately not be available to you. See the on-line help file for a product feature comparison.) Until you sign and return the correct licensing agreement, your application will display a "nag" message. Once LEAD receives the executed contract, we will provide you a password that will permit you to terminate the "nag" message for the product that you have licensed. In addition to providing the password, you must also use the no nag version of the LTKRN14N.DLL, found in the REDIST\NONAGLTKRN directory. This is also the version you must redistribute.

Duplication and Distribution Agreements

Click this button to start the Licensing help file to review the License Agreements governing your use of the software.


LEADTOOLS Documentation

LEADTOOLS Reference Manuals

LEADTOOLS provides reference manuals that contain the same information as the online help. You can print them from PDF files. Please note that due to the large size of the PDF files that contain the LEADTOOLS manuals, these files are no longer included in the setup. Instead, these PDF files can be downloaded from our website at http://support.leadtools.com/SupportPortal/DesktopDefault.aspx?tabindex=3&tabid=27.

To print the PDF files, you must use the Adobe Acrobat Reader 3.0 or higher. You can download a copy of the Acrobat Reader from the Adobe web site (http://www.adobe.com). Note that different versions of the Acrobat Reader are available for different operating systems, but they all can read the same PDF files.


Syntax

This is the internal syntax of the property, method, or event. The external syntax depends on the development system you are using. Refer to the code example for your system, or for general information, refer to the following:

Visual Basic Syntax

Visual C++ 5.0 Syntax


Visual Basic Constants for Key Codes

Do the following to find the Visual Basic key codes:

1. | On the View pull-down menu, select Object Browser....
2. | Select VB - Visual Basic objects and procedures.
3. | Select VBKeyCodeConstants.
4. | Select one of the listed constants.

A description of the constant appears at the bottom of the form.


Visual Basic Syntax

The syntax for the LEAD control's properties, methods, and events is the same as for other controls in Visual Basic.

Whenever you declare a variable as a data type, you need to know how the ActiveX data type is expressed in Visual Basic. Refer to the following table for the appropriate data type:

ActiveX Data Type | Visual Basic Data Type
boolean | Integer
BSTR | String
IPictureDisp | Picture
long | Long
OLE_COLOR | Long color value (such as the RGB return value)
short | Integer
float | Single
VARIANT_BOOL | Boolean


Visual C++ 5.0 Syntax

In Version 5.0 of Visual C++, the MicroSoft Foundation Class (MFC) library provides an ActiveX interface. This topic describes how to use the interface with the LEADTOOLS ActiveX.

To add a LEAD RasterView control to your application, refer to the example in Loading and Displaying an Image .

Alternatively, to create an instance of the LEAD control at run time, use the Create function, which has the following prototype:

BOOL Create( | LPCTSTR lpszWindowName, DWORD dwStyle,
 | const RECT&rect, CWnd* pParentWnd, UINT nID,
 | CFile* pPersist = NULL, BOOL bStorage = FALSE,
 | BSTR bstrLicKey = NULL);

Provide parameters as follows:

lpszWindowName | Use "", because the control window does not need a name.
dwStyle | Use 0 for the default style.
&rect | Use the CRect function. For example: CRect(0,0,50,50).
pParentWnd | Use this to refer to the current window.
nID | Use 0 for the default ID.
pPersist | Use NULL.
bStorage | Use FALSE.
bstrLicKey | Use the LEADTOOLS license string, which is always the first line in the LTOCX14.LIC file. For example: "LEADTOOLS OCX Copyright (c) 1990-2005 LEAD Technologies, Inc." If you do not specify this string correctly, the ActiveX will not work when you distribute your application.

For example:

CLEADRasterView *pRasView=NULL;
static const WCHAR BASED_CODE _szLicString[] =
L"LEADTOOLS OCX Copyright (c) 1990-2005 LEAD Technologies, Inc.";
pRasView = new CLEADRasterView;
// pass the license string to the CLEADRasterView::Create function.
// The CLEADRasterView::Create expects a BSTR parameter and SysAllocString converts the
// WCHAR[] to a BSTR
BSTR lpLic = SysAllocString(_szLicString);
pRasView->Create("", 0,CRect(0,0,50,50),this,0,NULL,FALSE,lpLic);
pRasView->ShowWindow(SW_HIDE);
SysFreeString(lpLic);

When getting or setting a property value, you must use a function that is created by adding a prefix to the property name.

To set a property value, the syntax is as follows:

m_controlname.Setpropertyname(value);

For example:

m_Lead1.SetRubberBandVisible(FALSE);

To get a property value, the syntax is as follows:

value = m_controlname.Getpropertyname();

For example:

HeightFactor = m_Lead1.GetBitmapHeight();

To set a property array value, the syntax is as follows:

m_controlname.Setpropertyname(index, value);

For example:

m_Lead1.SetRemapTable(MyIndex, (255 * Offset) / CurrentRange);

To get a property array value, the syntax is as follows:

value = m_controlname.Getpropertyname(index);

For example:

m_Lead1.SetBitmap(m_Lead1.GetColorPlanes(3)); // Copy the K plane

In Version 5.0 of Visual C++, the MicroSoft compiler also has a #import directive, which can be used to import type library information from an ActiveX control or COM Object.

To add any of the LEAD COM Objects to your application you can use the following:

// get information for ILEADRaster
#import <ltr14n.dll> no_namespace, named_guids
// get information for ILEADRasterIO
#import <ltrio14n.dll> no_namespace, named_guids

Then, you can create instances of the objects. The following shows how to create

an instance of ILEADRaster, which is licensed, and an instance of ILEADRasterIO, which is not. Note, you can also use IClassFactory2::CreateInstanceLic to create ILEADRaster objects.

static const WCHAR BASED_CODE _szLicString[] =
L"LEADTOOLS OCX Copyright (c) 1990-2005 LEAD Technologies, Inc.";
BSTR lpLic = SysAllocString(_szLicString);
ILEADRasterFactory *pFactory=NULL;
ILEADRaster *pRaster=NULL;
CoCreateInstance(CLSID_LEADRasterFactory, NULL, CLSCTX_ALL,
IID_ILEADRasterFactory, (void**)&pFactory);
pRaster = (ILEADRaster*)pFactory->CreateObject("LEADRaster.LEADRaster.140", lpLic);
SysFreeString(lpLic);//free the string
pRaster->CreateBitmap(100.0f, 100.0f, 24);//create a bitmap
pFactory->Release();//release the object
pRaster->Release();//release the object

ILEADRasterIO *pRasterIO=NULL;
CoCreateInstance(CLSID_LEADRasterIO, NULL, CLSCTX_ALL,
IID_ILEADRasterIO, (void**)&pRasterIO);
pRasterIO->put_EnableMethodErrors(FALSE);//1
pRasterIO->PutEnableMethodErrors(FALSE); //2
pRasterIO->EnableMethodErrors = FALSE; //3
pRasterIO->Load(m_LEADRasterView1.GetRaster(),
"v:\\images\\chess.bmp", 0, 1, 1);
pRasterIO->Release();

Note that there are 3 different ways that you can access a COM Object's properties when you use the #import statement.

To set a property value, the syntax is as follows:

1) pObject->put_propertyname(value);
2) pObject->Putpropertyname(value);
3) pObject->propertyname = value;

For example:

pRasterIO->put_EnableMethodErrors(FALSE);//1
pRasterIO->PutEnableMethodErrors(FALSE); //2
pRasterIO->EnableMethodErrors = FALSE; //3

To get a property value, the syntax is as follows:

1) pObject->Get_propertyname(&value);
2) value = pObject->Getpropertyname();
3) value = pObject->propertyname;

For example:

VARIANT_BOOL bVal;
pRasterIO->get_EnableMethodErrors(&bVal); //1
bVal = pRasterIO->GetEnableMethodErrors();//2
bVal = pRasterIO->EnableMethodErrors; //3


Visual C++ Key Codes

The following are the Visual C++ key codes:

VK_A through VK_Z are the same as their ASCII equivalents: 'A' thru 'Z'.
VK_0 through VK_9 are the same as their ASCII equivalents: '0' thru '9'.
VK_LBUTTON
VK_RBUTTON
VK_CANCEL
VK_MBUTTON
VK_BACK
VK_TAB
VK_CLEAR
VK_RETURN
VK_SHIFT
VK_CONTROL
VK_MENU
VK_PAUSE
VK_CAPITAL
VK_ESCAPE
VK_SPACE
VK_PRIOR
VK_NEXT
VK_END
VK_HOME
VK_LEFT
VK_UP
VK_RIGHT
VK_DOWN
VK_SELECT
VK_PRINT
VK_EXECUTE
VK_SNAPSHOT
VK_INSERT
VK_DELETE
VK_HELP

VK_NUMPAD0
VK_NUMPAD1
VK_NUMPAD2
VK_NUMPAD3
VK_NUMPAD4
VK_NUMPAD5
VK_NUMPAD6
VK_NUMPAD7
VK_NUMPAD8
VK_NUMPAD9
VK_MULTIPLY
VK_ADD
VK_SEPARATOR
VK_SUBTRACT
VK_DECIMAL
VK_DIVIDE
VK_F1
VK_F2
VK_F3
VK_F4
VK_F5
VK_F6
VK_F7
VK_F8
VK_F9
VK_F10
VK_F11
VK_F12
VK_F13
VK_F14
VK_F15
VK_F16
VK_F17
VK_F18
VK_F19
VK_F20
VK_F21
VK_F22
VK_F23
VK_F24
VK_NUMLOCK
VK_SCROLL


Topic Selection

LEAD Technologies, Inc.
1201 Greenwood Cliff, Suite 400
Charlotte, NC 28204

Sales@Leadtools.com
www.leadtools.com

(704) 332-5532
FAX: (704) 372-8161
Tech Support: (704) 372-9681

LEADTOOLS is ideal for developers involved in still frame, multimedia, document, medical, and vector imaging projects, including Internet/Intranet applications. Independent of the specific application requirement – scanning, file format support/conversion, compression, image processing, annotation, database support, multimedia, etc. – LEADTOOLS provides the most comprehensive, robust, flexible, and powerful imaging solution available.

Click this button to start a new WinHelp session to review the License Agreements governing your use of the software.

Click this button to start a new WinHelp session to review the full line of LEADTOOLS Products.

Click this button to start a new WinHelp session to review the full line of LEADTOOLS Image Categories.


Version Info

Current version: | 14.5
Last update: | 10/11/2005 9:05 AM


bActive Parameter For ActivateAction

bActive

Boolean value that indicates whether to activate or deactivate the action:

Value | Meaning
VARIANT_TRUE | Activate the action.
VARIANT_FALSE | Deactivate the action.


lFlags Parameter For ActivateAction

lFlags

Reserved for future use. Must be zero.


Return for ActivateAction

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


ActionLevel Parameter For GetAction

ActionLevel

Flag that determines which properties to get. Possible values are:

Value | Meaning
CONVIEW_ACTIONLEVEL_CONTAINER | [0x00000000] Get the general properties.
CONVIEW_ACTIONLEVEL_CELL | [0x00000001] Get the specific properties.


lCellIndex Parameter For GetAction

lCellIndex

A zero-based index of the cell for which to get the action properties. This parameter is only valid when CONVIEW_ACTIONLEVEL_CELL is set in ActionLevel. If ActionLevel contains CONVIEW_ACTIONLEVEL_CONTAINER, this parameter is ignored.


lSubCellIndex Parameter For GetAction

lSubCellIndex

A zero-based index in the image list attached to the cell specified in lCellIndex. This property is only valid when CONVIEW_ACTIONLEVEL_CELL is set in ActionLevel. If ActionLevel contains CONVIEW_ACTIONLEVEL_CONTAINER, this parameter is ignored.


Return for GetAction

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


Direction Parameter For GetKeyboardAction

Direction

Value that represents the mouse direction assigned to the keystroke. Possible values are:

Value | Meaning
CONVIEW_MOUSEMOVE_UP | [0x00000000] Mouse moving up.
CONVIEW_MOUSEMOVE_DOWN | [0x00000001] Mouse moving down.
CONVIEW_MOUSEMOVE_LEFT | [0x00000002] Mouse moving left.
CONVIEW_MOUSEMOVE_RIGHT | [0x00000003] Mouse moving right.


lFlags Parameter For GetKeyboardAction

lFlags

Reserved for future use. Must be zero.


Return for GetKeyboardAction

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


ActionLevel Parameter For SetAction

ActionLevel

Flag that determines which properties to set. Possible values are:

Value | Meaning
CONVIEW_ACTIONLEVEL_CONTAINER | [0x00000000] Set the general properties.
CONVIEW_ACTIONLEVEL_CELL | [0x00000001] Set the specific properties.


lCellIndex Parameter For SetAction

lCellIndex

A zero-based index of the cell for which to set the action properties. This parameter is only valid when CONVIEW_ACTIONLEVEL_CELL is set in ActionLevel. If ActionLevel contains CONVIEW_ACTIONLEVEL_CONTAINER, this parameter is ignored.


lSubCellIndex Parameter For SetAction

lSubCellIndex

A zero-based index in the image list attached to the cell specified in lCellIndex. This property is only valid when CONVIEW_ACTIONLEVEL_CELL is set in ActionLevel. If ActionLevel contains CONVIEW_ACTIONLEVEL_CONTAINER, this parameter is ignored.


Return for SetAction

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


Direction Parameter For SetKeyboardAction

Direction

Value that represents the mouse direction assigned to the keystroke. Possible values are:

Value | Meaning
CONVIEW_MOUSEMOVE_UP | [0x00000000] Mouse moving up.
CONVIEW_MOUSEMOVE_DOWN | [0x00000001] Mouse moving down.
CONVIEW_MOUSEMOVE_LEFT | [0x00000002] Mouse moving left.
CONVIEW_MOUSEMOVE_RIGHT | [0x00000003] Mouse moving right.


Return for SetKeyboardAction

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


lFlags Parameter For SetMouseButtonAction

lFlags

Flags that indicate the cells to which the action is applied and when the action is applied. The following flags indicate the cells to which the action is applied:

Value | Meaning
CONVIEW_ACTION_ACTIVEONLY | [0x0000] Apply the effect on the active cell only.
CONVIEW_ACTION_SELECTED | [0x0001] Apply the effect on all the cells.
CONVIEW_ACTION_ALLCELLS | [0x0002] Apply the effect on the selected cells only.

The following flags indicate when the action is applied:

Value | Meaning
CONVIEW_ACTION_REALTIME | [0x0000] Apply the action during the mouse movement. This option is only valid if either CONVIEW_ACTION_ALLCELLS or CONVIEW_ACTION_SELECTED is also set.
CONVIEW_ACTION_ONRELEASE | [0x0010] Apply the action after releasing the mouse button. This option is only valid if either CONVIEW_ACTION_ALLCELLS or CONVIEW_ACTION_SELECTED is also set.


MouseButton Parameter For SetMouseButtonAction

MouseButton

Value that indicates the mouse button to be associated with this action. Possible values are:

Value | Meaning
CONVIEW_MOUSE_BUTTON_NONE | [0x000] No button is attached.
CONVIEW_MOUSE_BUTTON_LEFT | [0x001] Left mouse button.
CONVIEW_MOUSE_BUTTON_RIGHT | [0x002] Right mouse button.
CONVIEW_MOUSE_BUTTON_MIDDLE | [0x003] Middle mouse button.
CONVIEW_MOUSE_WHEEL | [0x004] Mouse wheel.
CONVIEW_MOUSE_BUTTON_XBUTTON1 | [0x005] X button 1.
CONVIEW_MOUSE_BUTTON_XBUTTON2 | [0x006] X button 2.


Return for SetMouseButtonAction

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


bActive Parameter For ActivateAction

bActive

Boolean value that indicates whether to activate or deactivate the action:

Value | Meaning
VARIANT_TRUE | Activate the action
VARIANT_FALSE | Deactivate the action


ActionLevel Parameter For GetAction

ActionLevel

Flag that determines which properties to get. Possible values are:

Value | Meaning
CONVIEW_ACTIONLEVEL_CONTAINER | [0x00000000] Set the general properties.
CONVIEW_ACTIONLEVEL_CELL | [0x00000001] Set the specific properties.


lCellIndex Parameter For GetAction

lCellIndex

A zero-based index of the cell for which to get the action properties. This parameter is only valid when CONVIEW_ACTIONLEVEL_CELL is set in ActionLevel. If ActionLevel contains CONVIEW_ACTIONLEVEL_CONTAINER, this parameter is ignored


lCellIndex Parameter For SetAction

lCellIndex

A zero-based index of the cell for which to set the action properties. This parameter is only valid when CONVIEW_ACTIONLEVEL_CELL is set in ActionLevel. If ActionLevel contains CONVIEW_ACTIONLEVEL_CONTAINER, this parameter is ignored


Return For ActivateAction

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


Return For SetKeyboardAction

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


Return For SetMouseButtonAction

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


lCellIndex Parameter For SetAction

lCellIndex

A zero-based index of the cell for which to set the action properties. This parameter is only valid when CONVIEW_ACTIONLEVEL_CELL is set in ActionLevel. If ActionLevel contains CONVIEW_ACTIONLEVEL_CONTAINER, this property is ignored


ActionLevel Parameter For SetAction

ActionLevel

Flag that determines which properties contain valid information for setting the . Possible values are:

Value | Meaning
CONVIEW_ACTIONLEVEL_CONTAINER | [0x00000000] Set the general properties.
CONVIEW_ACTIONLEVEL_CELL | [0x00000001] Set the specific properties.


lSubCellIndex Parameter For SetAction

lSubCellIndex

A zero-based index in the image list attached to the cell specified in lCellIndex. This property is only valid when CONVIEW_ACTIONLEVEL_CELL is set in ActionLevel. If ActionLevel contains CONVIEW_ACTIONLEVEL_CONTAINER, this parameter is ignored


Align Parameter For AddTag

Align

The origin point from which to count the rows specified in the lRow parameter. For example, if Align is CONVIEW_CELLALIGN_BOTTOMLEFT and lRow is 4, the application will count 4 rows from the bottom and place the tag on that location. Possible values are:

Value | Meaning
CONVIEW_CELLALIGN_TOPLEFT | [0x0000] Start counting rows from the top of the cell. The tag will be left justified.
CONVIEW_CELLALIGN_TOPRIGHT | [0x0001] Start counting rows from the top of the cell. The tag will be right justified.
CONVIEW_CELLALIGN_BOTTOMLEFT | [0x0002] Start counting rows from the bottom of the cell. The tag will be left justified.
CONVIEW_CELLALIGN_BOTTOMRIGHT | [0x0003] Start counting rows from the bottom of the cell. The tag will be right justified.
CONVIEW_CELLALIGN_LEFTCENTER | [0x0004] The tag is placed in the center, based on the height of the cell, and is left justified.
CONVIEW_CELLALIGN_RIGHTCENTER | [0x0005] The tag is placed in the center, based on the height of the cell, and is right justified.
CONVIEW_CELLALIGN_TOPCENTER | [0x0006] The tag is placed in the center, based on the width of the cell, and is top justified.
CONVIEW_CELLALIGN_BOTTOMCENTER | [0x0007] The tag is placed in the center, based on the width of the cell, and is bottom justified.


lFlags Parameter For AddTag

lFlags

Reserved for future use. Must be zero.


lRow Parameter For AddTag

lRow

The number of rows to count before placing the tag. The maximum number of rows and columns that a cell can have is 4 X 8.


Return for AddTag

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


String Parameter For AddTag

String

Character string containing a custom tag. This parameter is only used if TagType is set to CONVIEW_CELLTAG_USERDATA.


TagType Parameter For AddTag

TagType

Type of tag to be added. Possible values are:

Value | Meaning
CONVIEW_CELLTAG_USERDATA | [0x0000] User data tag
CONVIEW_CELLTAG_SCALE | [0x0001] Scale tag
CONVIEW_CELLTAG_WLCENTERWIDTH | [0x0002] Window level tag
CONVIEW_CELLTAG_FIELDOFVIEW | [0x0003] Field of view tag
CONVIEW_CELLTAG_OWNERDRAW | [0x0004] Owner draw tag
CONVIEW_CELLTAG_FRAME | [0x0005] Frame tag


hDC Parameter For CellTag

hDC

Memory DC that is used to paint the cell.


lCellIndex Parameter For CellTag

lCellIndex

Index of the cell, which has the owner draw tag.


lHeight Parameter For CellTag

lHeight

Height of the owner draw tag area in the Memory DC.


lLeft Parameter For CellTag

lLeft

X coordinate of the origin of the owner draw tag area in the Memory DC.


lTop Parameter For CellTag

lTop

Y coordinate of the origin of the owner draw tag area in the Memory DC.


lWidth Parameter For CellTag

lWidth

Width of the owner draw tag area in the Memory DC.


lFlag Parameter For GetContainerProperties

lFlag

Reserved for future use. Must be zero.


pContainerViewerProperties Parameter For GetContainerProperties

pContainerViewerProperties

An ILEADContainerViewerProperties object that will be updated with container information.


Return for GetContainerProperties

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


bCleanImages Parameter For InsertBitmapList

bCleanImages

Flag that specifies whether to free the bitmap list that was previously attached to the cell. Possible values are:

Value | Meaning
VARIANT_TRUE | Frees the bitmap list that was previously attached to the cell.
VARIANT_FALSE | Do not free the bitmap list that was previously attached to the cell.


lFlags Parameter For InsertBitmapList

lFlags

Reserved for future use. Must be zero.


pRasterList Parameter For InsertBitmapList

pRasterList

Pointer to an ILEADRaster object that contains the list of bitmaps, which will be attached to the cell. Pass NULL to remove the current bitmap list.

Removing the current bitmap list will not free the attached image(s). The value in the bCleanImages parameter determines whether the image(s) associated with the removed bitmap list are also freed.


Return for InsertBitmapList

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


lCellIndex Parameter For InsertCell

lCellIndex

A zero-based index that specifies where to place the new cell. Pass –1 or a number greater than the cell count to append the cell to the end of the current cell list.


lFlag Parameter For InsertCell

lFlag

Reserved for future use. Must be zero.


Return for InsertCell

Return Value

Return | Meaning
0 | The index of the new cell.
> 20000 (FAILURE) | An error occurred. Refer to Error Codes.


KeyCode Parameter For KeyDown

KeyCode

Each development environment has its own way of handling key codes. The following topics provide a quick reference:

Visual Basic Constants for Key Codes.

Visual C++ Key Codes.


lActionID Parameter For KeyDown

lActionID

Non-zero value that indicates the action ID associated with this event. Since this event is also used for user-defined actions.

If this event was not fired for a user-defined action, the lActionID and lCount values will be set to -1.


lCount Parameter For KeyDown

lCount

The number of bitmap lists selected by the user when the owner action is fired.

To get a specified bitmap list, use the OwnerActionImageList property with the specified index.

If this event was not fired for a user-defined action, the lActionID and lCount values will set to -1.


Shift Parameter For KeyDown

Shift

An integer that indicates which of the SHIFT, CTRL, or ALT keys are down when the button specified in the KeyCode parameter is pressed. The following are possible values:

Value | Meaning
1 | SHIFT key
2 | CTRL key
4 | ALT key
3 | CTRL/SHIFT key
5 | ALT/SHIFT key
6 | CTRL/ALT key
7 | CTRL/ALT/SHIFT key


KeyAscii Parameter For KeyPress

KeyAscii

The standard numeric ANSI keycode. KeyAscii is passed by reference; changing it sends a different character to the object. Changing KeyAscii to 0 cancels the keystroke so that the object receives no character.


KeyCode Parameter For KeyUp

KeyCode

Each development environment has its own way of handling key codes. The following topics provide a quick reference:

Visual Basic Constants for Key Codes.

Visual C++ Key Codes.


lActionID Parameter For KeyUp

lActionID

Non-zero value that indicates the action ID associated with this event, since this event is also used for user-defined actions.

If this event was not fired for a user-defined action, the lActionID and lCount values will be set to -1.


lCount Parameter For KeyUp

lCount

The number of bitmap lists selected by the user when the owner action is fired.

To get a specified bitmap list, use the OwnerActionImageList property with the specified index.

If this event was not fired for a user-defined action, the lActionID and lCount values will set to -1.


Shift Parameter For KeyUp

Shift

An integer that indicates which of the SHIFT, CTRL, or ALT keys are down when the button specified in the button argument is pressed. The following are possible values:

Value | Meaning
1 | SHIFT key
2 | CTRL key
4 | ALT key
3 | CTRL/SHIFT key
5 | ALT/SHIFT key
6 | CTRL/ALT key
7 | CTRL/ALT/SHIFT key


Button Parameter For MouseDown

Button

An integer that identifies the button that was pressed to cause the event. The following are possible values:

Value | Meaning
1 | left button
2 | right button
3 | middle button


lActionID Parameter For MouseDown

lActionID

Non-zero value that indicates the action ID associated with this event, since this event is also used for user-defined actions.

If this event was not fired for a user-defined action, the lActionID and lCount values will set to -1.


lCount Parameter For MouseDown

lCount

The number of bitmap lists selected by the user when the owner action is fired.

To get a specified bitmap list, use the OwnerActionImageList property with the specified index.

If this event was not fired for a user-defined action, the lActionID and lCount values will set to -1.


Shift Parameter For MouseDown

Shift

An integer that indicates which of the SHIFT, CTRL, and ALT keys are down when the button specified in the Button parameter is pressed. The following are possible values:

Value | Meaning
1 | SHIFT key
2 | CTRL key
4 | ALT key
3 | CTRL/SHIFT key
5 | ALT/SHIFT key
6 | CTRL/ALT key
7 | CTRL/ALT/SHIFT key


x Parameter For MouseDown

x

X coordinate of the mouse pointer relative to the origin of the "Display Container". The unit of measure is determined by the form that contains the "Display Container".


y Parameter For MouseDown

y

Y coordinate of the mouse pointer relative to the origin of the "Display Container". The unit of measure is determined by the form that contains the "Display Container".


Button Parameter For MouseMove

Button

An integer that identifies the button that was pressed to cause the event. The following are possible values:

Value | Meaning
1 | left button
2 | right button
3 | middle button


lActionID Parameter For MouseMove

lActionID

Non-zero value that indicates the action ID associated with this event. Since this event is also used for user-defined actions.

If this event was not fired for a user-defined action, the lActionID and lCount values will set to -1.


lCount Parameter For MouseMove

lCount

The number of bitmap lists selected by the user when the owner action is fired.

To get a specified bitmap list, use the OwnerActionImageList property with the specified index.

If this event was not fired for a user-defined action, the lActionID and lCount values will set to -1.


Shift Parameter For MouseMove

Shift

An integer that indicates which of the SHIFT, CTRL, and ALT keys are down when the button specified in the button argument is pressed. The following are possible values:

Value | Meaning
1 | SHIFT key
2 | CTRL key
4 | ALT key
3 | CTRL/SHIFT key
5 | ALT/SHIFT key
6 | CTRL/ALT key
7 | CTRL/ALT/SHIFT key


x Parameter For MouseMove

x

X coordinate of the mouse pointer relative to the origin of the "Display Container". The unit of measure is determined by the form that contains the "Display Container".


y Parameter For MouseMove

y

Y coordinate of the mouse pointer relative to the origin of the "Display Container". The unit of measure is determined by the form that contains the "Display Container".


Button Parameter For MouseUp

Button

An integer that identifies the button that was pressed to cause the event. The following are possible values:

Value | Meaning
1 | left button
2 | right button
3 | middle button


lActionID Parameter For MouseUp

lActionID

Non-zero value that indicates the action ID associated with this event, since this event is also used for user-defined actions.

If this event was not fired for a user-defined action, the lActionID and lCount values will set to -1.


lCount Parameter For MouseUp

lCount

The number of bitmap lists selected by the user when the owner action is fired.

To get a specified bitmap list, use the OwnerActionImageList property with the specified index.

If this event was not fired for a user-defined action, the lActionID and lCount values will set to -1.


Shift Parameter For MouseUp

Shift

An integer that indicates which of the SHIFT, CTRL, and ALT keys are down when the button specified in the button argument is pressed. The following are possible values:

Value | Meaning
1 | SHIFT key
2 | CTRL key
4 | ALT key
3 | CTRL/SHIFT key
5 | ALT/SHIFT key
6 | CTRL/ALT key
7 | CTRL/ALT/SHIFT key


x Parameter For MouseUp

x

X coordinate of the mouse pointer relative to the origin of the "Display Container". The unit of measure is determined by the form that contains the "Display Container".


y Parameter For MouseUp

y

Y coordinate of the mouse pointer relative to the origin of the "Display Container". The unit of measure is determined by the form that contains the "Display Container".


lActionID Parameter For MouseWheel

lActionID

Non-zero value that indicates the action ID associated with this event, since this event is also used for user-defined actions.

If this event was not fired for a user-defined action, the lActionID and lCount values will set to -1.


lCount Parameter For MouseWheel

lCount

The number of bitmap lists selected by the user when the owner action is fired.

To get a specified bitmap list, use the OwnerActionImageList property with the specified index.

If this event was not fired for a user-defined action, the lActionID and lCount values will set to -1.


nDelta Parameter For MouseWheel

nDelta

Value that indicates whether the mouse wheel rotated forward or backward. If this value is –120, the mouse wheel was rotated backward. If this value is 120, the mouse wheel was rotated forward.


Shift Parameter For MouseWheel

Shift

An integer that indicates which of the SHIFT, CTRL, and ALT keys are down when the button specified in the button argument is pressed. The following are possible values:

Value | Meaning
1 | SHIFT key
2 | CTRL key
4 | ALT key
3 | CTRL/SHIFT key
5 | ALT/SHIFT key
6 | CTRL/ALT key
7 | CTRL/ALT/SHIFT key


x Parameter For MouseWheel

x

X coordinate of the mouse pointer relative to the origin of the "Display Container". The unit of measure is determined by the form that contains the "Display Container".


y Parameter For MouseWheel

y

Y coordinate of the mouse pointer relative to the origin of the "Display Container". The unit of measure is determined by the form that contains the "Display Container".


lIndex Parameter For OwnerActionImageList

lIndex

Index of the bitmap to obtain from the cell's bitmap list.


bCleanImages Parameter For RemoveCell

bCleanImages

Boolean that indicates whether to free the image(s) attached to the cell. Possible values are:

Value | Meaning
VARIANT_TRUE | Free any images attached to the cell specified in the lCellIndex parameter.
VARIANT_FALSE | Do not free any images attached to the cell specified in the lCellIndex parameter. If the images are not removed, they will take up memory until the application ends.


lCellIndex Parameter For RemoveCell

lCellIndex

A zero-based index of the cell to remove. Pass –1 to remove all cells. Removing the cell will not remove the attached image. The value in the bCleanImage parameter determines whether the image(s) associated with the removed cell are also freed.


lFlag Parameter For RemoveCell

lFlag

Reserved for future use. Must be zero.


Return for RemoveCell

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


lTargetCellIndex Parameter For RepositionCell

lTargetCellIndex

A zero-based index of the new cell position.


Return for RepositionCell

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.


lFlag Parameter For SetContainerProperties

lFlag

Reserved for future use. Must be zero.


pContainerViewerProperties Parameter For SetContainerProperties

pContainerViewerProperties

An ILEADContainerViewerProperties object that will be used to set the container properties.


Return for SetContainerProperties

Return Value

Return | Meaning
0 | The method was successful.
<>0 | An error occurred. Refer to Error Codes.